Legend:
[+] - new feature/improvement
[*] - functionality changes
[!] - bugfix

Changes in version 4.6.1 and future versions are described in the documentation: http://docs.cs-cart.com/latest/history/index.html

Version 4.5.2.SP2, April 10 2017

[!] Session: Authorization: If a store's domain had "www" in it, administrators and customers couldn't sign in after upgrading to version 4.5.2 until they cleared cookies in their browsers or switched to another browser. Fixed.

Version 4.5.2.SP1, April 7 2017

[!] JS: Checkout: Customers couldn't return from the Billing Options step to the Shipping Options step. Fixed.
[!] JS: Order management: If a payment method for the order was set to "Credit card", then an attempt to change the payment method on the order editing page in the Administration panel resulted in an endless loading indicator that didn't go away until the user refreshed the page manually. Fixed.

Version 4.5.2, April 6 2017

[+] Add-ons: Searchanise: The add-on was made compatible with the “Vendor data premoderation” add-on.
[+] Add-ons: Searchanise: The add-on now has its own icon that will appear next to it on the add-on list.
[+] Checkout: Payment methods: Phone ordering: Autocomplete was implemented for the phone field. The phone number comes from “Contact information” section. If there is no phone number in that section, then it is taken from the billing address or shipping address (whichever comes first at checkout). 
[+] Hooks: New TPL hooks were added to templates/views/orders/order_downloads.tpl and design/backend/templates/views/products/update.tpl.
[+] Hooks: New PHP hooks were added to the fn_get_user_edp() and fn_generate_ekeys_for_edp() functions.
[+] Languages: Translations: Greek translations were added for some of the blocks, states, promotions, menu items, product tabs, shipment and order statuses, and taxes.

[*] Add-ons: Email marketing, Newsletters: CSRF protection is now enabled for the “em_subscribers.update” and “newsletters.add_subscriber” controllers to protect the newsletter subscription form.

[!] Add-ons: Google reCAPTCHA: Anti-bot validation didn’t work at guest checkout. Fixed.
[!] Add-ons: Searchanise: Bestsellers & On-Sale Products: The Searchanise add-on didn't work with the “Sort by discount” and “Sort by bestselling” product list sortings. Fixed.
[!] Add-ons: Social Login: HybridAuth: Sign-ins via Facebook didn't work because an old version of Facebook API was used. Fixed.
[!] Add-ons: PayPal payments: Multi-Vendor: Credit card data wasn't removed from orders when PayPal Pro was used, and products were purchased from multiple vendors. Fixed.
[!] Add-ons: PayPal payments: PayPal Pro: IPNs for some payments were not processed. Fixed.
[!] Add-ons: SEO: Performance: When opening a category page, a large number of database queries was made. Fixed.
[!] Add-ons: SEO:  PHP 7.1: The “Bestsellers & On-Sale Products” and “Comments and reviews” add-ons didn’t extend the “canonical_urls” schema of the SEO add-on properly; that led to a fatal error on PHP 7.1. Fixed.
[!] Add-ons: SEO: Vendor URLs and brand URLs were not replaced with SEO names. Fixed.
[!] Core: Add-ons: A service pack was considered older than the version it was meant for. For example, third-party add-ons marked as compatible with CS-Cart 4.5.1 and newer versions, couldn’t be run on CS-Cart 4.5.1.SP1. Fixed.
[!] Core: Add-ons: When an add-on was uninstalled, SQL queries for deleting language variables could be executed multiple times. Fixed.
[!] Core: Database: Placeholder "?e" didn't work properly with an array, when one of the keys of the array was 0. Fixed.
[!] Core: PHP 7.1: Database: Passing strings to the “?i” DB placeholder could cause warnings and errors on PHP 7.1. Fixed.
[!] Core: PHP 7.1: Deprecated "mcrypt_*" function calls resulted in notices and warnings. Fixed.
[!] Core: PHP 7.1: The schema loading mechanism could cause a fatal error on PHP 7.1. Fixed.
[!] Design: Add-ons: Vendor data premoderation: The product approval pop-up was displayed incorrectly. Fixed.
[!] Design: Checkout: PayPal: The icons of PayPal payment methods were positioned incorrectly at checkout.
[!] Design: Checkout: When payment wasn’t required, the field for a comment in the payment step wasn’t displayed properly. Fixed.
[!] Design: Long taps on links didn’t work in Safari on mobile devices. Fixed.
[!] Design: Parent themes: On-site template editing: When editing a template that was missing in a child theme, the changes were stored in the parent theme. Fixed.
[!] Design: Products: Big picture: The brand image didn't contain a link to the brand page in the Big picture template. Fixed.
[!]  Design: Products: Product page: The “maximum-scale=1.0” parameter in the “viewport” meta tag was excessive. The parameter was removed, because other parameters already specified the right scale.
[!] Design: Themes: Theme logos were not installed during theme installation. Fixed.
[!] Design: Upgrade center: Extra <br> tags were added between paragraphs and list elements in the upgrade description. Fixed.
[!] Document editor: Product options: The information about product options of the “File” type didn’t appear in documents. Fixed.
[!] Document editor: Shipments: The “o.tracking_number” variable always displayed one tracking number, even if an order had multiple shipments. Fixed.
[!] Export/Import: Orders: The “Shipping: phone” and “Billing: phone” fields weren't on the list of fields available for export. Fixed.
[!] JS: Checkout: Credit card validator didn’t display the MasterCard logo for the new 2-series BIN card numbers. Fixed; the jquery.creditCardValidator library was updated.
[!] JS: WYSIWYG editors: Shipping methods: When the TinyMCE editor was enabled, it was impossible to test the rate calculation of a real-time shipping service. Fixed.
[!] Multi-Vendor: Applying for a vendor account: When the application for a vendor account was approved, the email notification contained a wrong logo. Fixed.
[!] Multi-Vendor: Products of disabled vendors could still be displayed in categories until the cache was cleared. Fixed.
[!] Orders: Performance: An SQL request was incorrect if the store had many orders with “user_id=0” (for example, guest orders). Fixed.
[!] Orders: Sales reports: When the value in the “Total” line was 0, a PHP warning was displayed. Fixed.
[!] Payment methods: AuthorizeNet.Aim: Payments were rejected by EvoSnap because invalid country codes were used. Fixed.
[!] Payment methods: QB Merchant Service: Credit card data was logged. Fixed.
[!] Products: Search: An SQL error occurred when a product search query didn't include the “pname” parameter. Fixed.
[!] Product options: Variant images: When a customer opened a product page with an option combination already selected via a direct link (for example, via search), the images of option variants didn’t appear on the page until the customer selected another option combination. Fixed.
[!] Sessions: The “www” subdomain was always removed from the domain in the session cookie; that could lead to authorization problems when secure connection was enabled. Fixed.
[!] Sessions: Redis: Cart content wasn’t stored long enough for guest customers. Fixed.
[!] {#6583} Design: Layouts: When an administrator was editing the settings of the same layout page from different layouts in separate browser tabs at the same time, a layout page could be saved to a wrong layout. Fixed.
[!] {#6589} {#6654} Email notifications: Old email templates: A wrong number of products in stock was shown in email notifications about low inventory level. Fixed.
[!] {#6608} Payment methods: ESTpay: The ESTpay payment processor didn't work, so it was removed.
[!] {#6638} Add-ons: Suppliers: Shipments: The notifications to suppliers about changes of shipment statuses weren't supposed to be sent, but the “Notify supplier” checkbox still appeared. Fixed.
[!] {#6677} Core: Sessions: Sessions that were idle for longer than specified in the SESSION_ONLINE constant were still returned by the getOnline method. Fixed.

Version 4.5.1.SP1, March 6 2017

[!] Cache: Layouts: If the content of a block was unique for each object (product, category, etc.), then only the content of one of the blocks сould be displayed in all instances of that block. Fixed.

Version 4.5.1, February 28 2017

[+] Add-ons: Buy together: You can now choose whether or not to limit the availability of a combination of products to a certain time period.
[+] Add-ons: PayPal payments: Administrators can now choose to set the status of newly-placed orders with a PayPal Standard payment method to “Open” or “Incomplete” automatically.
[+] Multi-Vendor: Add-ons: PayPal Adaptive Payments: The add-on that allows administrators to distribute funds from orders among multiple vendors automatically was added.
[+] Multi-Vendor: Accounting: New email notifications for payouts, withdrawals, and their statuses were added.
[+] Multi-Vendor: Dashboard: Accounting information (balance, income) and the “Top sellers” block were added to the dashboard.
[+] Promotions: Order management: The reapplication of promotions according to the current rules during order editing can now be disabled via a tweak in the config.local.php file.
[+] Storefronts: Layouts: When cloning a storefront, the content settings of blocks are now updated automatically to use the entities of the clone storefront.
[+] Users: An email notification can now be sent when a user account is disabled.

[*] Add-ons: Customers also bought: Products in the block with the “Also bought” filling are now sorted from the most purchased to the least purchased.
[*] Add-ons: Data feeds: Product option combinations can now be exported to Google Merchant Center with their GTINs (the CODE field) and images. GTINs of products can also be taken from the CODE field, if the product doesn't have a corresponding feature.
[*] Add-ons: Data feeds: Tips and notifications related to Google Merchant Center were added to the page that contains the list of data feeds.
[*] Add-ons: Google reCAPTCHA: Image verification: The old CAPTCHA was removed from the core. Relevant image verification settings were moved to the "Google reCAPTCHA” add-on, backward compatibility preserved.
[*] Core: Registry: Cache update handlers are now stored separately from each other and can be processed independently. That reduces the server load and eliminates race condition.
[*] Marketing: Abandoned carts: The data that an unregistered customer enters during checkout is now saved when the customer doesn’t complete checkout.
[*] Multi-Vendor: Accounting: The “Account balance” page was replaced with the new “Accounting” page.
[*] Shipping methods: UPS: Upgrade: The “Suggested Retail Rates” pickup type is no longer supported by UPS. This pickup type will be automatically replaced with “One Time Pickup” in all existing UPS-based shipping methods during the upgrade.
[*] Storage: CDN: Amazon SDK library updated to version 1.6.3.

[!] Add-ons: Data feeds: Products: Features: If multiple features had the same name, then the values were always taken from the last feature. Fixed.
[!] Addons: PayPal payments: IPNs were not processed for some payments made with PayPal Pro. That’s why the statuses of some orders didn’t change automatically. Fixed.
[!] Add-ons: RSS feed: The feed included hidden and disabled blog posts. Fixed.
[!] Add-ons: SEO: When cloning a storefront, the SEO names could be generated wrongly for cloned categories. Fixed.
[!] Blocks: Menu: A storefront could display a menu that belonged to another storefront. Fixed.
[!] Checkout: Payment methods: It was impossible to place an order with zero cost. Fixed.
[!] Checkout: Registration: When the “Administrator must activate new user accounts” setting was on, the customer still had an option to register an account at checkout before submitting an order. Fixed.
[!] Design: Bright theme: Add-ons: Email marketing: The header was missing in the “Subscribe” block. Fixed.
[!] Design: Parent theme: On-site template editing: When editing a template that is missing in a child theme, changes were saved to the parent theme. Fixed.
[!] Design: Storefront: Bright theme: Buttons: Using certain languages could lead to buttons having wrong sizes and positions on mobile devices. Fixed.
[!] Design: Storefront: Long words in a text could make the text occupy areas outside of the text field. Fixed.
[!] Documents & Email templates: Unnecessary switchers for the content languages existed on the list of email templates and code snippets. Fixed.
[!] Documents: Editing documents was available with selected storefront, although it was supposed to be available only in the “All stores” mode. Fixed.
[!] Licensing: License mode: A wrong message was displayed to administrators when using a license number with a version that was released after the upgrade subscription had expired. Fixed.
[!] Multi-Vendor: An SQL error could occur when merging vendors. Fixed.
[!] Order notification: Old email templates: Order status email notifications that were sent to orders department used email subject and email template from default storefront instead of the storefront where the order was placed. Fixed.
[!] Products: Features: When adding a new feature variant on the product editing page, there was no check whether this variant existed already. Fixed.
[!] Settings: General: The "Initial order ID value" field accepted wrong types of data, including non-numeric data. Fixed.
[!] Shippings: Temando: The php-soap extension was required, but there was no notification when the extension wasn’t installed. Fixed.
[!] {#6562} Design: RTL wasn’t supported by breadcrumbs and the <title> tag. Fixed.
[!] {#6568} Shippings: UPS: Shipping rates couldn't be fetched when the “UPS All countries: Worldwide Express Freight” service was used. Fixed.
[!] {#6609} JS: Product features: CKEditor: Pagination for feature variants didn’t work in a pop-up window when CKEditor was enabled. Fixed.
[!] {#6610} Add-ons: Call requests: The “Buy now with 1-click” button appeared to unregistered customers even if prices and the “Add to cart” button were hidden from them. Fixed.
[!] {#6628} Design: Parent theme: LESS files: LESS files of the child theme didn’t override the LESS files of the parent theme in some cases. Fixed.
[!] {#6635} Documents: Invoice: Discount: When a discount was set up as a catalog promotion, its value appeared as 0 in the invoice. Fixed.
[!] {#6655} Products: Search: When a specific storefront was selected, product search didn’t work in some cases. Fixed.
[!] {#6667} Core: Console: HTTPS: When the store used HTTPS, PHP controllers couldn’t be executed for the customer area in the console. Fixed.

Version 4.4.3, January 26 2017

[+] Add-ons: The Google reCAPTCHA add-on was introduced to improve anti-bot validation.
[+] Core: Upgrade: The ability to upgrade a store via console was implemented.
[+] Hooks: Design: Backend: New hooks were added to the templates of the Administration panel to allow modifying the sidebars.
[+] Hooks: Shipping methods: Package info: Hooks that can affect the package information were added.
[+] Shipping methods: Australia Post: The ability to calculate package cost based on the dimensions of the largest parcel was added.
[+] Shipping methods: UPS: The list of available pickup and package types was updated.

[*] Add-ons: Customers also bought: The most purchased products now appear first in the “Also bought” block.
[*] Add-ons: PayPal payments: The default value of the “Order status on partial refund” setting is now “Do not change”. Effective for new 4.4.3 installations; those who upgrade from earlier versions are not affected by this change.
[*] Core: File changes detector: Added folders now appear collapsed in the tree instead of being expanded.
[*] Core: Mailer: The PHPMailer library was updated to version 5.2.22.
[*] Orders: Sales reports: The “Total” line was removed from the “Categories sales” report.
[*] Upgrade Center: Migrations: When a migration can’t be completed, the store upgrade is now stopped, and the technical details are displayed.

[!] Add-ons: Call requests: Design: Bright theme: Disabling the “Call requests” add-on caused problems with the way the header was displayed. Fixed.
[!] Add-ons: Call requests: Design: Cart block: The “Call requests” block could appear above the “Cart content” block. Fixed.
[!] Add-ons: Call requests: The position of the buttons on the product details page changed slightly after pressing the “Add to cart” button. Fixed.
[!] Add-ons: Call requests: Design: Under some circumstances the title of the “Buy now with 1-click” popup wasn’t displayed. Fixed.
[!] Add-ons: Google Analytics: A PHP notice was generated after the order status was changed. Fixed.
[!] Add-ons: Newsletters: Subscribers: Search: Searching subscribers by the "Confirmed" field didn't work properly. Fixed.
[!] Add-ons: Newsletters: When a customer was added to a mailing list shared among storefronts 2 and 3, that customer was deleted from the mailing list shared among storefronts 1 and 2. Fixed.
[!] Add-ons: SEO: All the generated 301 redirects led to non-secure (i.e. HTTP) URLs even when the secure connection was enabled for the full site. Fixed.
[!] Add-ons: SEO: When changing a parent object for many objects at once, some child objects were skipped and their SEO names weren't updated automatically. Fixed.
[!] Add-ons: Vendor's terms and conditions: Gift certificates: When purchasing a gift certificate without any products, vendor's terms and conditions still appeared at checkout. Fixed.
[!] Blocks: Product filters: Templates for the "Product filters" and "Product filters for home page" blocks couldn't be added via an add-on. Fixed.
[!] Checkout: Payment methods: Disabling a payment method while a customer was on the payment method selection step could lead to error 403, even if the customer refreshed the page. Fixed.
[!] Core: A fatal error was caused due to incompatibility with PHP 7.1. Fixed.
[!] Core: Add-ons: Dependencies on add-ons that were absent from the “app/addons” directory weren't checked. Fixed.
[!] Core: AJAX: Blocks loaded via AJAX could be reloaded incorrectly, when not formatted properly. Fixed.
[!] Core: File changes detector: The color of highlighting for changed files didn’t fit the legend. Fixed.
[!] Core: Images: Thumbnails: If the generation of a thumbnail failed, the HTTP request could lead to an endless loop. Fixed.
[!] Core: Links to the administration panel had wrong URLs, when generated from the customer area. Fixed.
[!] Core: Multi-Vendor: Orders: Updating a non-parent order with the “fn_update_order” function marked that order as a parent order. Fixed.
[!] Core: There was a typo in the fn.init.php file in "Tygh::$app['cache']". Fixed.
[!] Core: Thumbnails: Thumbnails could be generated on the fly even if "lazy_thumbnails" in config.local.php was set to false. Fixed.
[!] Design: Backend: Add-ons: The “Call requests” and “Attachments” add-ons had wrong icons. Fixed.
[!] Design: Email templates: The specified font didn’t always appear in the email. Fixed.
[!] Design: Layouts: Block descriptions were not loading from template files. Fixed.
[!] Design: Layouts: Blocks: In some cases the action icons for blocks didn’t appear (even though they were clickable) or had a wrong color. Fixed.
[!] Design: Layouts: Export/Import: When importing a layout, the store logo and the favicon were always replaced with the default ones. Fixed.
[!] Design: Menu: Text links: A menu didn’t expand on a tablet if the menu block used the “Text links” template and had the “Show items inline” setting turned on. Fixed.
[!] Design: Themes: Basic: Clicking on a filter in the Basic theme could lead to a JS error. Fixed.
[!] Design: Themes: Bright: Category page: The product name area could be narrower than the width of the product image when a product had a long name. Fixed.
[!] Design: Themes: Bright: Shipping estimator: The buttons in the shipping estimation pop-up on the cart page were positioned incorrectly. Fixed.
[!] Design: Themes: Responsive: Bullets didn't appear for nested unordered lists. Fixed.
[!] Design: Themes: Responsive: Shipping estimator: Shipping estimation buttons were displayed in the wrong order when the smartphone switched to the landscape (horizontal) mode.
[!] Design: My account: The margins for some fields were wrong. Fixed. 
[!] Document editor: Original values of the formatted attributes were not available. Fixed.
[!] Document editor: The "state" field of the customer address contained the name of the state instead of the code. Fixed.
[!] Document editor: WYSIWYG: Highlighting text in bold was not always processed by the editor. Fixed.
[!] Document editor: Some email clients displayed wrong font in the documents. Fixed.
[!] Documents & Email templates: The "Email templates mode" setting didn't work properly with multiple storefronts. Fixed.
[!] Email templates: The emails didn’t display properly in Outlook 2016. Fixed.
[!] Email notifications: Old template mode: Profiles: The link to the customer's profile didn't appear in an email sent after customer's registration. Fixed.
[!] Export/Import: Product options: Exceptions: In some cases exceptions weren’t imported properly. Fixed.
[!] Export/Import: Products: If a product name contained character ":", the part of the name before that character wasn’t imported. Fixed.
[!] Global options: When the last option was deleted from the list, an error occurred. Fixed.
[!] Multi-Vendor: Orders: Vendor administrators were unable to change shipment status. Fixed.
[!] Multi-Vendor: Products: Add-ons: Tags: A Smarty error could occur when creating a new product while the “Tags” add-on was active. Fixed.
[!] Multi-Vendor: Promotions: When purchasing products from multiple vendors in at once, the "Once per customer" condition applied and made the bonus apply only to one of the suborders. Fixed.
[!] Multi-Vendor: Wrong text was used to display the Terms and Conditions when applying for a vendor account. Fixed.
[!] Orders: Profile fields: Custom profile fields appeared in the order information even if they weren't filled in. Fixed.
[!] Orders: Promotions: Cart promotions with the "Discount on product" bonus were processed incorrectly when they were applied during order editing. Fixed.
[!] Product options: The “File” and “Checkbox” type options didn’t work together properly, if the checkbox was a required option. When a customer uploaded the file first and ticked the checkbox afterwards, the file wasn’t saved. Fixed.
[!] Products: Add-ons: Attachments: A direct URL of a disabled or deleted attachment returned a blank page instead of "404 Not Found". Fixed.
[!] Products: Features: A product feature could appear on the product editing page even if that feature wasn’t available for that product. Fixed.
[!] Products: Features: Product editing: The number of items per page on the “Features” tab on the product editing page wasn’t saved. Fixed.
[!] Products: Filters: When multiple filter variants were selected, another wrong filter was added automatically. Fixed.
[!] Products: Product tabs: Inline scripts were not executing if the tab was loaded from a block. Fixed.
[!] Products: Search: The sorting order and number of items per page could be reset to default when selecting one of the filter variants. Fixed.
[!] Profile fields: The data in custom profile fields wasn’t saved after a customer used guest checkout and created an account. Fixed.
[!] REST API: Orders: Customer's payment information was provided via REST API. Fixed.
[!] Shipping methods: Getting a carrier information caused a store crash on some versions of PHP 5.3. Fixed.
[!] Themes: Settings overrides: Overwritten settings values were displayed as they were stored in the database. Fixed.
[!] Themes: Settings overrides: When cloning a theme, settings overrides were not present in the cloned theme. Fixed.
[!] Upgrade center: Child themes were not upgraded at all, even when present in an upgrade package. Fixed.
[!] Widget mode: JS: Add-ons: Comments and reviews: Clicking on a product rating didn’t scroll the page to the list of reviews. Fixed.
[!] Widget mode: JS: The popup content didn’t appear if Bootstrap 3 was used on the page that included the widget. Fixed.
[!] Widget mode: The widget didn’t work when embedding on sites using RequireJS. Fixed.
[!] {#6513} Filters: When selecting the “In stock” filter, the variants for other filters couldn’t be selected. Fixed.
[!] {#6520} Authorization: Password recovery: The password recovery link always used the HTTP protocol, even when the site used HTTPS. Fixed.
[!] {#6529} Add-ons: SEO: 301 redirects from the pages of categories didn't work when “Category SEO URL format” was set to “/parent-category/category-[page-2].html” or “category[-page-2].html” Fixed.
[!] {#6534} Core: File changes detector: Uninstalling an add-on could mark its files from the “design” directory (templates, styles, images) as “Deleted” in file changes detector. Fixed.
[!] {#6535} Products: Search: After renaming a product shared with a storefront, it could only be found on that storefront by its old name. Fixed.
[!] {#6538} Add-ons: Social login: The PayPal icon didn’t appear in the admin panel when editing a customer’s account. Fixed.
[!] {#6547} Design: Menu: If touched, a menu expanded and collapsed on mobile devices even when scrolling. Fixed.
[!] {#6548} Settings: Appearance: Timezone "Athens, Beirut, Istanbul" was no longer relevant because the time in Athens and Istanbul was different. Fixed; the timezone "Athens, Beirut, Istanbul" was split into 3 separate timezones.
[!] {#6553} Shipping methods: FedEX: Shipping rates for Freight shipping services couldn't be calculated. Fixed.
[!] {#6555} Document editor: WYSIWYG: The changes made with the use of CKEditor weren’t saved via AJAX. Fixed.
[!] {#6563} Add-ons: Call requests: Design: Bright theme: The “Highlight first chars” setting didn’t work. Fixed.
[!] {#6578} Design: Bright theme: Call requests: When disabling the “Call requests” add-on, an error occurred in the “Call requests” block. Fixed.
[!] {#6580} Add-ons: Form builder: Old template mode: The email with the filled out form didn't include the selected values of "Multiple checkboxes" and "Multiple selectbox" fields. Fixed.
[!] {#6582} Add-ons: Newsletters: Sent emails could have "default_company_name" instead of the actual company name in the "From:" field. Fixed.
[!] {#6586} Design: Products: Product tabs: Switching between tabs did not work properly when using the smartphone in the landscape (horizontal) mode. Fixed.
[!] {#6589} Products: Low inventory: Old template mode: The email notification about the product being out of stock didn't include the value in the "Amount" field. Fixed.
[!] {#6593} Multi-Vendor: Payments: 2checkout: No order notifications were sent when buying products from multiple vendors. Fixed.
[!] {#6603} Design: Orders: Account creation: The registration form after placing an order as guest occupied only half of the screen on mobile devices. Fixed.
[!] {#6611} Multi-Vendor: Add-ons: Vendor plans: Changes to products made on the product list in the "All vendors" mode weren't saved. Fixed.

Version 4.4.2.SP2, December 29 2016

[!] The PHPMailer 5.2.19 library didn't fully solve the problem with potential unauthenticated remote execution of malicious code on the server. Fixed.

Version 4.4.2.SP1, December 28 2016

[!] The PHPMailer library contained a critical vulnerability to exploits. Fixed by updating the library to version 5.2.19.

Version 4.4.2, November 29 2016

[+] Add-ons: Mobile Admin App: An add-on that allows you to manage your store from mobile devices was added. It is available for CS-Cart Ultimate.
[+] Editions: CS-Cart Ultimate: A new edition “CS-Cart Ultimate” was introduced. It offers Mobile Admin App and an unlimited number of storefronts.

[*] Core: Payment methods: Amazon Checkout: Additional sanitization of request data was added to the Amazon Checkout payment method to prevent possible XXE attacks.

[!] Add-ons: Bestsellers: Sorting products by discount while using “Bestselling” as the default sorting method could lead to an SQL error. Fixed.
[!] Add-ons: Comments and reviews: If a product was displayed in a block, the rating link could lead to the review and rating page of a wrong product. Fixed.
[!] Add-ons: PayPal payments: Returning to the store without using the “Return to store” link after paying for the order could lead to problems with cart or order status. Fixed. 
[!] Add-ons: Searchanise: Closing the store: The storefront didn’t appear as closed for the administrator when the access key was specified in the settings and the Searchanise add-on was enabled. Fixed.
[!] Checkout: Payment methods: A PHP notice could appear when paying for an order via some specific payment methods. Fixed.
[!] Core: Upgrade center: Migrations: The migration was impossible for MySQL with NO_ZERO_DATE mode. Fixed.
[!] Design: Parent theme: Add-ons couldn’t override the blocks of product list templates. Fixed.
[!] Design: Parent theme: Styles were not loaded properly when the store was installed on Windows systems. Fixed.
[!] Multi-Vendor: An attempt to merge vendors that had products in the same category could lead to an SQL error. Fixed.
[!] Orders: Sales reports: The order totals were calculated incorrectly on the “Categories sales” tab. Fixed.
[!] Products: The 'account_info*' value was missing in the ‘result_ids’ field of the “compact_list.tpl” template. Fixed.
[!] REST API: It was impossible to set or change creation timestamps for orders, shipments, stores, and users via REST API. Fixed.
[!] {#6462} Themes: Responsive: Cursor always appeared as pointer on laptops with touch screens. Fixed.
[!] {#6484} Add-ons: Gift certificates: Currencies: The prices of gift certificates were rounded incorrectly in non-primary currencies. Now the price of a gift certificate can only be entered in the primary currency.
[!] {#6532} Design: Parent theme: Theme editor: Styles of child themes couldn’t be compiled to CSS or restored to LESS. Fixed.

Version 4.4.1, November 14 2016

[+] Add-ons: Backend: Icons for add-ons are now supported by default.
[+] Add-ons: Divido: The Divido payment method is now available as an add-on.
[+] Add-ons: Google Export: Prices can now be exported with taxes included.
[+] Add-ons: PayPal payments: Ability to send country code and phone number was added for PayPal Standard.
[+] Add-ons: RMA: Gift certificate: The code of the gift certificate given for the return now appears on the return page.
[+] Core: File Changes Detector was added to monitor changes in the core files.
[+] Design: Themes: Each theme can now have its own language variables.
[+] Design: Themes: Rewriting the files of non-default themes when upgrading a store was disabled. Themes can now use the files of a parent theme. When a theme is installed, the files will no longer be copied from the parent theme.
[+] Documents: Template editor for documents (email notifications, invoices, packing slips, etc.) was implemented.
[+] Multi-Vendor: Add-ons: Vendor plans: Ability to prevent vendors from switching to another plan was added.
[+] Multi-Vendor: Add-ons: Vendor plans: Privileges to view and manage vendor plans were added.
[+] Multi-Vendor: Export/Import: Ability to export and import vendors was added.
[+] Order management: The ability to assign managers to orders was added.
[+] Order management: The ability to copy orders was added.
[+] Order management: The name of the customer’s company now appears below the customer’s name on the order list.
[+] Pages: Entering the URL of a Link in the address bar now redirects customers to the target page of the link.
[+] Shipping methods: FedEx: The delivery options and the list of shipping services were updated.
[+] Upgrade center: Backward compatibility: Function names are now checked before the upgrade to make sure that third-party add-ons don’t have any functions with the same names as the core functions added by the upgrade. 

[*] Add-ons: Data feeds: You can now select a layout for your feed.
[*] Add-ons: eBay synchronization: The add-on no longer requires a license since version 4.4.1.
[*] Add-ons: Google export: New product attributes were added. They are available in the google_export feed layout.
[*] Add-ons: PayPal payments: You can now choose whether or not to change order status automatically after a partial refund via PayPal.
[*] Add-ons: Reward points: You can now choose which order statuses grant reward points.
[*] Core: Attribute 'enctype' was added to multiple update templates.
[*] Design: Add-ons: Banners: Old banners from demo data were replaced with new ones.
[*] Design: Email notifications: The notifications now have a new design.
[*] Features: Feature groups: The lists of features and and feature groups are now separate.
[*] Installer: Themes: The Bright theme is now selected by default after installation instead of Responsive.
[*] Multi-Vendor: Add-ons: Vendor commission: The “Vendor commission” add-on has been replaced with “Vendor plans”. When you upgrade to 4.4.1, the data from the “Vendor commission” add-on will be moved to “Vendor plans” automatically.
[*] Performance: Catalog: Options: The process of applying option modifiers to product price and/or weight was improved.
[*] Settings: Appearance: The settings responsible for the number of orders, products, and CMS pages per page were removed.
[*] Shipments: The “Allow multiple shipments for a single order” setting was removed. Multiple shipments are enabled by default. The interface was changed to allow you to create a single or multiple shipments.

[!] Add-ons: Google sitemap: Links to pages of other storefronts appeared on the sitemap. Fixed.
[!] Add-ons: Searchanise: PHP notice appeared in the error log when a feature that had a filter was deleted. Fixed.
[!] Add-ons: Twigmo: Vulnerable code removed.
[!] Add-ons: Watermarks: HiDPI Display Support: Watermarked versions weren’t created for HiDPI @2x images. Fixed.
[!] Blocks: Cache: Smarty blocks were cached by default, leading to irrelevant content on pages. Fixed.
[!] Checkout: The data passed in the "user_data" array could affect the order data in unwanted ways. Fixed.
[!] Design: Layouts: Grid width could be set to 16 even though the layout width was 12. Fixed.
[!] Design: Product Tabs: The block creation pop-up didn’t close automatically after creating a new block. Fixed.
[!] Design: Responsive: Styles: Greeny: The default heading font didn’t support cyrillic symbols. The font was changed.
[!] Multi-Vendor: Design: Vendor logos couldn't be created/updated if Responsive theme was removed. Fixed.
[!] Order management: Privileges: The “Create order” privilege didn’t work without the “Edit order” privilege. Fixed.
[!] Product features: Features from additional product categories couldn’t be set for product. Fixed.
[!] Product options: Allowed exceptions: Sequential options: The option combinations allowed for products were displayed incorrectly. Fixed.
[!] Promotions: Security: Promotion name and descriptions weren't sanitized properly, thus allowing XSS. Fixed.
[!] Shipping methods: Surcharge: Taxes: Incorrect shipping cost could be displayed. Fixed.
[!] Upgrade center: The restore script couldn't be created if the directory of the script had incorrect permissions. Fixed.
[!] {#6451} Add-ons: SEO: hreflang meta link had no confirmation link. Fixed.
[!] {#6458} Export/Import: Products: Features: Different features with the same name weren’t imported properly when using multiple storefronts. Fixed.
[!] {#6488} Performance: Products: Product update mechanism was optimized—unnecessary fetching of the full product information was removed.
[!] {#6496} Add-ons: PayPal payments: Payment surcharge was removed from the order total upon IPN processing. Fixed.
[!] {#6506} Design: Blocks: Brands: Icons of brands didn’t appear in grayscale on the carousel. Fixed.
[!] {#6507} Add-ons: Social buttons: Pinterest: Spaces in product description were replaced with pluses automatically. Fixed.
[!] {#6522} Orders: Notifications: Checkboxes "Notify customer" and "Notify orders department" on the order detail page didn’t do anything. Fixed.

Version 4.3.10, October 18 2016

[+] Hooks: A new hook for modifying calculated shipping rates was added.
[+] Hooks: A new hook for modifying filters was added.
[+] Hooks: A new hook for modifying order payment information was added.
[+] Hooks: Add-ons: Hooks for the Reward Points add-on were added.
[+] Hooks: Design: A new hook around favicon was added.
[+] Hooks: Locations: A new hook at the beginning of “fn_update_destination” was added.
[+] Information about enabling/disabling API access for a user will now appear in the email notification.
[+] Multi-Vendor: Hooks: A new hook for modifying the child order status or for preventing status change was added.

[*] API: Authorization check was moved to the "handleRequest" function.
[*] Design: Orders: The "tabs_extra" hook was moved outside the form.
[*] Shipping Methods: UPS: The list of shipping services was updated.

[!] Add-ons: Attachments: After deleting an attachment, a new attachment couldn't be added without refreshing the page first. Fixed.
[!] Add-ons: Bestsellers: Performance: Ticking the "Only in-stock products" checkbox for a "Products" block with the "Similar" filling type resulted in high CPU usage by MySQL server. Fixed.
[!] Add-ons: Gift certificates: ZIP Code input field on the storefront was too short. Fixed.
[!] Addons: PayPal payments: The “Merchant ID” field on the PayPal Express Checkout configuration page could be left blank when the "Use In-Context checkout" setting was enabled. Fixed.
[!] Add-ons: Price list: Using HTML tags in currency symbols or using special symbols (&nbsp;) as thousands separator could lead to errors when trying to open the generated XLSX file in Excel. Fixed.
[!] Add-ons: Searchanise: Instant search widget didn't work on vendor products page. Fixed.
[!] Add-ons: Searchanise: Products of inactive companies could appear in search results. Fixed.
[!] Add-ons: Searchanise: Sorting wasn't set to default when the Searchanise request failed. Fixed.
[!] Add-ons: Searchanise: The search result page didn't use Searchanise filters. Fixed.
[!] Add-ons: SEO: Objects with SEO names couldn't be accessed when the default front-end language wasn't shared for the storefront. Fixed.
[!] Add-ons: SEO: The add-on was enabled by default even when the rewrite engine was disabled. Fixed.
[!] Add-ons: SMS Notifications: Messages weren't sent if any specific shipping methods were chosen in the add-on's settings. Fixed.
[!] Add-ons: Store locator: Google Maps API key wasn't used. Fixed.
[!] Categories: On rare occasions product name could disappear from the product page because the category was not removed from the “cscart_products_categories” table. Fixed.
[!] Core: API: Users with disabled accounts could still perform API requests. Fixed.
[!] Core: Cache: Product Options: Product cache was not cleared after removing a global option from the product. Fixed.
[!] Core: Disabled features were displayed in advanced search form. Fixed.
[!] Core: Errors in functions “fn_top_menu_form” and “fn_top_menu_standardize” were fixed.
[!] Core: File upload: An error occurred when the total size of all uploaded files exceeded “upload_max_filesize”. Fixed.
[!] Core: Upgrade: Checking permissions for changed files could result in errors if the target file was inaccessible or did not exist. Fixed.
[!] Core: Upgrade: Permissions for entry point files could be set to 0666/0777 during the upgrade, making the site unavailable at suPHP hosts. Fixed.
[!] CS-Cart: Languages: A language that was not shared for the storefront could be used as the default frontend language. Fixed.
[!] CS-Cart: Some storefront URLs were wrong if the admin panel was served via HTTPS but the storefront itself wasn't. Fixed.
[!] Debugger: On-site live editing: Using on-site live editing with the debugger enabled caused PHP fatal errors. Fixed.
[!] Design: Back-end: Orders: Product info in the order could appear under the images. Fixed.
[!] Design: Dashboard: Changing language on the dashboard didn't affect the status names in the Recent Orders section. Fixed.
[!] Design: Images: Images didn’t open in a pop-up and couldn’t be saved to iPhone and iPad. Fixed.
[!] Design: Layouts: An error occurred after adding a custom tooltip to grid options. Fixed.
[!] Design: Layouts: Product Filters: Product filter settings in block properties could appear on a new page instead of pop-up window. Fixed.
[!] Design: Orders: Pagination didn't work for a new search. Fixed.
[!] Design: Products: Product tabs: When a tab on the product page appeared as a pop-up window, the “Close” button was focused on by default. Fixed.
[!] Design: Themes: Basic: Theme editor couldn't be loaded. Fixed.
[!] Design: Themes: Responsive: Breadcrumbs: Breadcrumbs were showing over parent block if the parent had “Content alignment: Left.”
[!] Design: WYSIWYG: Inserted videos did not adapt for the screens of mobile devices. Fixed.
[!] Downloadable Products: Addons: PayPal payments: Cancelling the order after submitting it could cause PHP notices when selling downloadable products. Fixed.
[!] Export/Import: Products: Images for option variants were not imported from URLs. Fixed.
[!] Features: Product details: When switching to a new page, the chosen number of items per page wasn’t saved. Fixed.
[!] Multi-Vendor: Add-ons: eBay synchronization: License checking didn’t work properly for vendors. Fixed.
[!] Multi-Vendor: Add-ons: PayPal payments: Order couldn't be placed when using In-Context Checkout. Fixed.
[!] Multi-Vendor: Filters: The filter by vendor appeared even for categories without products. Fixed.
[!] Multi-Vendor: Product management: Empty "Vendors" section was displayed in advanced product search form. Fixed.
[!] Options: File: No messages were displayed when the total size of files uploaded for the option with the “File” type exceeded the maximum value allowed by the server. Fixed.
[!] Order management: Shipments: A shipment couldn't be created without entering a tracking number. Fixed.
[!] Orders: The quantity of purchased items of a product couldn't be higher than 65535 in order data. Fixed.
[!] Payments: SagePay: Tax information was not sent to the payment gateway. Fixed.
[!] Phar: Tgz archives were compressed incorrectly. Fixed.
[!] Product filters: Price: The price range couldn't be set manually if the currency sign used HTML. Fixed.
[!] Promotions: When a product feature with the “Multiple checkboxes” type was selected on the “Conditions” tab, the select box didn't work. Fixed.
[!] Promotions: When using a “Coupon code” condition with "in", coupon codes with whitespaces were not applied. Fixed.
[!] Redis: Ability to set connection port added.
[!] Shippings: Redistributing products between boxes by weight didn't affect full box info. Fixed.
[!] {#6332} Core: Session: A failure of session validity check could lead to errors on servers with PHP 7. Fixed.
[!] {#6378} Design: Product Gallery: Thumbnails: Thumbnails appeared out of window on mobile devices, if the “Product details page thumbnail width” was larger than screen width. Fixed.
[!] {#6381} Design: Back-end: Dialog: Dialog doesn't rebuild after an AJAX request. Fixed.
[!] {#6401} Add-ons: Order barcode: Generated barcodes weren't recognized correctly. Fixed.
[!] {#6411} Core: Database: The mechanism of reconnecting to database after lost connection was broken. Fixed.
[!] {#6415} Core: Database: Table prefixes with digits could lead to errors. Fixed.
[!] {#6416} Design: Themes: Responsive: Vertical menu: Menu was open by default on mobile devices. Fixed.
[!] {#6421} Multi-Vendor: Products of different vendors could have the same SEO-names. Fixed.
[!] {#6425} Checkout: Shipping: If the amount of purchased items was changed, the number of boxes could be increased incorrectly. Fixed.
[!] {#6425} Checkout: Shipping: Option price modifiers were not applied to the box cost. Fixed.
[!] {#6426} Core: JS: Microformat "cm-ajax-content-input" was not handled if used together with "cm-value-integer" or "cm-value-decimal". Fixed.
[!] {#6429} Core: The “fn_get_dir_contents” function wasn't working properly when used with relative paths. Fixed.
[!] {#6435} Core: A database error occurred after the upgrade if products were added from a session created in 4.3.8. Fixed.
[!] {#6443} Payments: AuthorizeNet.Aim: AVS response code for non-U.S. Card Issuing Bank was missing. Fixed.
[!] {#6447} Add-ons: Gift certificates: Customers could bypass entering the address when purchasing a gift certificate. Fixed.
[!] {#6454} Design: Theme editor: Some icons were not displayed properly when the Theme editor was enabled. Fixed.
[!] {#6454} Design: Theme Editor: The Theme editor panel didn’t support RTL. Fixed.
[!] {#6477} Multi-Vendor: Account balance displayed on the “Add payout” pop-up was not reloaded when changing vendor. Account balance section has been removed from the pop-up completely.
[!] {#6483} Users: Customers: The “Name” field could get empty in the customer's profile after checkout. Fixed.

Version 4.3.9, July 14 2016

[+] Add-ons: PayPal payments: Ability to set payment surcharge for payment methods that use PayPal services was added.
[+] Hooks: Additional argument was added to the "update_image" hook to distinguish cloning from other cases.
[+] Hooks: Orders: A new hook for shipment details info was added.
[+] Hooks: Products: A new hook for extending mass product update fields was added.
[+] Hooks: Products: A new hook was added for field groups.

[*] Design: Themes: Responsive: The "multiple_buttons.tpl" template was deprecated.

[!] Abandoned / Live carts: The "cscart_user_session_products.order_id" field didn't have an "unsigned" attribute. Fixed.
[!] Add-ons: Age verification: Products with age restrictions were displayed without those restrictions in several product blocks. Fixed.
[!] Add-ons: Ebay Synchronization: Product feature initialization was broken, if the product had an empty feature group. Fixed.
[!] Add-ons: eBay Synchronization: Redefinition of a product description was broken, if WYSIWYG was used. Fixed.
[!] Add-ons: HiDPI displays support: The add-on shrinked product images during the cloning process. Fixed.
[!] Add-ons: Image Zoom: Resizing a detailed image to the correct ratio could cause performance issues. Fixed.
[!] Add-ons: PayPal payments: Order management: The payment processor response wasn't changed when IPN was received. Fixed.
[!] Add-ons: Social buttons: The link in e-mails did't look nice and clean. Fixed.
[!] Add-ons: Social buttons: Wrong URLs were generated for pages. Fixed.
[!] Checkout: Payments: eWAY: The payment form data encryption was performed multiple times in some cases. Fixed.
[!] Checkout: Taxes: Taxes based on Unit price were not calculated on the cart and checkout pages for unauthorized users. Fixed.
[!] Checkout: The empty cart notification used the language variable name instead of the text. Fixed.
[!] Core: Pages: The "avail_from_timestamp" and "avail_till_timestamp" fields were erased by the "fn_update_page" function. Fixed.
[!] Core: URL: Wrong links from the admin panel to storefronts could be generated in the All Stores mode. Fixed.
[!] Design: Images: Images were displayed incorrectly, if they were very large. Fixed.
[!] Emails: Links, which contained the punycode text, were not decoded. Fixed.
[!] Multi-Vendor: Add-ons: RMA: A PHP notice was displayed, when the return status was changed. Fixed.
[!] Orders: If a store had over 10000000 orders, an admin couldn't open orders with id > 10000000 in Marketing -> Abandoned / Live carts. Fixed.
[!] Products: Filters: The filter by a shared feature wasn't shown on the additional storefront, if the main storefront had the filter by this feature. Fixed.
[!] Promotions: If the coupon code had digits in the beginning, a false notice saying that the code worked was shown. Fixed.
[!] {#6377} Add-ons: RMA: PayPal: Partial refund could be performed multiple times, when the return request status was changed. Fixed.
[!] {#6382} Products: Quick View: A product image wasn't changed after the option was changed. Fixed.
[!] {#6387} Add-ons: Store locator: After clicking the View store button the page wasn't scrolled to the map. Fixed.
[!] {#6389} Orders: Tracking number wasn't shown on the order details page, if the carrier wasn't specified. Fixed.
[!] {#6410} Exim: The primary id of a new record could be incorrect. Fixed.
[!] {#6418} Core: CSS: Font names were wrong in the compiled styles file, if a CSS property value was forced with "!important". Fixed.

Version 4.3.8, June 8 2016

[+] Add-ons: Comments and reviews: Hooks were added to the "fn_get_discussion()" and "fn_get_discussions()" functions.
[+] Add-ons: PayPal payments: Philippine Peso was added to the list of currencies supported by PayPal Pro.
[+] Add-ons: RSS feed: Blog: RSS feed was added for blog posts.
[+] Add-ons: Store locator: "store_location_id" was added as an array key.
[+] Hooks: A hook for shipping information in order details was added.
[+] Hooks: A new hook for updating parameters in block manager was added.
[+] Hooks: Product features: A new hook for feature variants was added.
[+] Hooks: User groups: Hook was added to the "fn_get_usergroups" function.
[+] Payments: AuthorizeNet.Aim: Payment gateway URLs were updated to use Akamai CDN.
[+] Shipping methods: Australia Post: Integration with Australia Post was updated. Now shipping rates are calculated correctly.
[+] Shipping methods: Canada Post: Integration with Canada Post was updated, new services and shipping options were added.

[!] Add-ons: Call requests: The "Request call" pop-up window title was wrong. Fixed.
[!] Add-ons: Comments and reviews: Submitting emails resulted in error, if Yandex SMTP was used. Fixed.
[!] Add-ons: Form builder: Tags: Content of the submitted form page was not refreshed when the Tags add-on was enabled. Fixed.
[!] Add-ons: SEO: Exim: SEO names of the imported products were duplicated. Fixed.
[!] Add-ons: SEO: SEO names of shared products were reset after removing the storefront they were shared to. Fixed.
[!] Add-ons: Translations: PHP notices were displayed when add-ons, which used Scheme 3.0 and stored language variables in addon.xml were deleted. Fixed.
[!] Add-ons: Watermarks: If a watermark image was too wide, errors could occur during thumbnails generation. Fixed.
[!] Administration panel: Sales reports: The number of products in a sales report could be different for the same month for "This year" and "This month" periods. Fixed.
[!] Ajax: Admin: Storefronts: Storefronts didn't load in the "Pick a store" field, if there were more than 5 storefronts. Fixed.
[!] API: Product options: Updating of option variant images was broken. Fixed.
[!] Backup: Notifications were not shown. Fixed.
[!] Blocks: Cache: "Smarty" blocks were cached causing irrelevant content displayed to users. Fixed.
[!] Checkout: Widget mode: Entering wrong credentials on the "Sign in" checkout step caused emptying of the cart. Fixed.
[!] Core: Session: It was impossible to authenticate after redirection to the subdomain set as a secure storefront. Fixed.
[!] Core: Session: Session was started at the CLI mode causing notices and session table overflow. Fixed.
[!] Design: Administration panel: Price for the last viewed items was shown incorrectly. Fixed.
[!] Design: Blocks: Vertical menu: Menu items were behind other elements. Fixed.
[!] Design: Checkout: On the Order Success page, there was an odd dot. Fixed.
[!] Design: Edit content on-site: WYSIWYG: Buttons for adding images and videos were unavailable. Fixed.
[!] Design: Font family names containing spaces were not escaped correctly in a compiled CSS file. Fixed.
[!] Design: Responsive: Checkout: Errors occurred, if the "Show" or "Select" types were set for the shipping method selection at checkout. Fixed.
[!] Design: Responsive: The title of the Main content block was displayed incorrectly with the Sidebox important wrapper. Fixed.
[!] Exim: Products: Promo text was incorrectly updated, when an admin imported it from a CSV file in the multi-storefront environment. Fixed.
[!] JavaScript: Editors: TinyMCE: Errors occurred in Internet Explorer 11. Fixed.
[!] Last View: Order management: Navigating the search results with the Next/Previous buttons while on the item details page could lead to irrelevant items. Fixed.
[!] Multi-Vendor: If shipping was disabled for the first vendor, it was also unavailable for other vendors. Fixed.
[!] Multi-Vendor: Vendor commission: Vendor commission settings were completely removed from the database, after the add-on had been disabled. Fixed.
[!] Options: Images: The main image didn't change, when a customer chose a particular option in the Quick view pop-up. Fixed.
[!] Order management: Empty values couldn't be set for a customer's first name, last name, or phone number. Fixed.
[!] Payments: Rocketgate-Native: All guest customers had the same Customer ID on the payment gateway side. Fixed.
[!] Products: Features: If a store had a lot of features, saving products in bulk on the products list of the admin panel took much time. Fixed.
[!] Products: Features: The value of a product feature of the "Select box > Number" type was shown with rounding. Fixed.
[!] Sales reports: Reports based on categories worked incorrectly. Fixed.
[!] Searchanise: Searchanise admin panel didn't open, when an apostrophe (') was used as thousands separator for currency. Fixed.
[!] {#6330} Core: Layouts: The "location_data" template variable had the wrong "location_id" value for custom layout pages. Fixed.
[!] {#6334} Order management: Promotions: Gift certificates: If the order had a gift certificate bonus, the new certificate was created after each update of that order. Fixed.
[!] {#6340} Core: Mathematical functions flooring and ceiling values to required precision provided wrong results for negative values. Fixed.
[!] {#6344} Core: Files: File names with specific characters were not sanitized. Fixed.
[!] {#6345} {#6346} Checkout: Credit card types were detected wrong for Visa and Maestro cards. Fixed.
[!] {#6347} Checkout: Diners Club cards were not accepted. Fixed. 
[!] {#6353} Multi-Vendor: The Phone, URL, and Fax fields of the newly registered vendor became empty after approval of that vendor. Fixed.
[!] {#6360} Add-ons: PayPal payments: Required profile fields could be left empty when using PayPal Express Checkout. Fixed.

Version 4.3.7, May 10 2016

[+] Add-ons: Google export: The price format was updated to include a currency code. The weight format was also updated plus the measure unit symbol was added. Data feed option to exclude products with zero prices was added.
[+] Add-ons: Payments: Ability to create payments working in the iframe mode via the add-on was added.
[+] Administration panel: Orders: Hooks: The "Select_popup: notify_checkboxes" hook was changed and status variables were added.
[+] Administration panel: Search: Searching by several product IDs was added.
[+] Feedback: New data to analyze was added.
[+] Hooks: Languages: Hooks were added to the "get", "getAll", "getSimpleLanguages", and "getAvailable" methods.
[+] Hooks: Orders: A new hook "orders:order_total" was added.
[+] Hooks: Storefront: New hooks "index:body" and "index:html" was added to the <body> and <html> opening tags correspondingly.
[+] Multi-Vendor: To-be vendors must agree to the terms & conditions when applying for the vendor status.
[+] Multi-Vendor: You can now enable a shipping method for all the vendors in one click.
[+] Shipments: Shipment statuses were added, ability to update the shipment comment and date was added.
[+] Taxes: Ability to set a 0% value for taxes was added.
[+] Theme editor: Backward compatibility for theme editor was implemented.
[+] Upgrade center: Revert: Removal of the old core files was implemented.
[+] {#6247} Add-ons: eBay Synchronization: eBay product identifiers were implemented.
[+] {#6251} Add-ons: Form builder: Customers can now specify subjects for the emails sent through forms.

[*] Add-ons: PayPal payments: PayPal In-Context Checkout was enabled by default.
[*] Add-ons: Searchanise: Ability to search products by product options combination codes was added.
[*] Add-ons: Store Import: The Store Import add-on was moved from the installation package to the Marketplace.
[*] Checkout: Shippings: The language variable with shipping instructions was returned to the shipping step at checkout.
[*] Core: Licensing mode: Free mode was removed.
[*] Design: Themes: Interface of the Design → Themes page was improved for themes without styles.

[!] Add-ons: Add-ons connected via relative symlinks didn't work. Fixed.
[!] Add-ons: Bestsellers & On-Sale Products: An SQL error appeared on the products.bestsellers page, if the default product sorting was set to Bestselling. Fixed.
[!] Add-ons: Blog: Block manager: Common pages and page types were displayed instead of Posts, when editing a block on the Blog layout page. Fixed.
[!] Add-ons: Buy together: Hooks: The "$params" function parameter was missing from the "buy_together_get_chains_pre" hook. Fixed.
[!] Add-ons: Call requests: Captcha was generated for each product on the page. Fixed.
[!] Add-ons: Comments and reviews: A company name was missing from the subject of a message received by the admin. Fixed.
[!] Add-ons: Comments and reviews: A customer could post comments for another customer's order. Fixed.
[!] Add-ons: Gift certificates: It was impossible to manage gift certificate statuses under the "All stores" mode.
[!] Add-ons: Newsletters: Disabled mailing lists caused PHP warnings on the newsletters management page. Newsletters were sent to the users from disabled mailing lists. Both fixed.
[!] Add-ons: Newsletters: Existing subrscribers couldn't be added to mailing lists. Fixed.
[!] Add-ons: Newsletters: The "Show on registration" setting of mailing lists had inaccurate name. Fixed.
[!] Add-ons: PayPal payments: Forms on the final step of In-Context Checkout were processed incorrectly. Fixed.
[!] Add-ons: PayPal payments: The logo displayed on the Paypal Checkout page had an HTTP path when secure connection for the storefront was enabled. Fixed.
[!] Add-ons: Required products: When customers added product to cart, required products were not added, if they were purchased earlier. Fixed.
[!] Add-ons: Store Import: If the Store Import add-on was installed and disabled in the store, the 404 page was displayed when importing data from that store. Fixed.
[!] Add-ons: Tags: Disabled tags were displayed on product pages. Fixed.
[!] Add-ons: The SQL error message shown during an add-on uninstall process had the wrong text. Fixed.
[!] Add-ons: Wish List: The wish list of a user was empty when the admin acted on behalf of that user. Fixed.
[!] Administration panel: Pages: Pages in the Pages tree weren't sorted by position. Fixed.
[!] Administration panel: Product filters: New filters added on the Products → Filters page were displayed incorrectly on the cloned storefront. Fixed.
[!] Administration panel: Products: Product popularity couldn't be set to 0, if it had had a non-zero value earlier. Fixed.
[!] Administration panel: Search: Searching by several order IDs didn't work. Fixed.
[!] API: Sharing: It was impossible to share an object with the "share_objects" parameter. Fixed.
[!] Block manager: Blocks with no content weren't cached. Fixed.
[!] Cart: Shippings: The default address was used incorrectly for identifying the user's location. Fixed.
[!] Checkout: Cart: Selecting a forbidden option combination of the product in cart caused PHP notices and interface issues. Fixed.
[!] Core: Add-ons: An add-on package contained a subfolder couldn't be installed. Fixed.
[!] Core: HTTP: The default connection timeout wasn't specified for requests performed via cURL. Fixed.
[!] Core: Images with uppercase extensions weren't loaded on the storefront located in the subfolder. Fixed.
[!] Core: Orders: There was inconsistency between conditions of saving and loading order status descriptions in the multi-storefront environment, which caused displaying incorrect descriptions. Fixed.
[!] Core: Session: HTTPS: Session data was lost after the redirection to a secure checkout located on a separate domain. Fixed.
[!] Core: Some regular expressions could work incorrectly on PHP 7. Fixed.
[!] Currency: If the primary currency was unavailable for a storefront, the secondary currency was displayed in the admin panel as primary. Fixed.
[!] Database: Additional data loading SQL-queries were executed, even if the main query returned no results. Fixed.
[!] Degubber: Debugger performed poorly when it was actively used. Fixed.
[!] Design: Blocks: Menu: The "Show items inline" setting of the Text Links worked incorrectly. Fixed.
[!] Design: Categories: The category list arrows were shown above the submenu block. Fixed.
[!] Design: Checkout: Payment methods: Payment instructions weren't shown, if WYSIWYG wasn't defined. Fixed.
[!] Design: Comparison list: Prefix and Suffix were shown incorrectly for the multiple checkbox feature. Fixed.
[!] Design: Products: Quick view: Pop-ups contained AJAX-loaded content had incorrect height. Fixed.
[!] Design: Responsive: Product list: Shipping information was shown incorrectly in the compact list. Fixed.
[!] Design: Theme editor: Background: Transparent property didn't work in Internet Explorer 9. Fixed.
[!] Design: Theme editor: Fonts from the "Other fonts" and "Popular fonts" sections were replaced with the system fonts after saving the style. Fixed.
[!] Design: Theme editor: The color code in the colorpicker was unreadable after the color change. Fixed.
[!] Emails: An email couldn't be sent, if the "From" field had several emails. Fixed.
[!] Exim: Options: Modifier values weren't imported for options of the Check box type. Fixed.
[!] Exim: Product features: Export and import of product features didn't support multiple languages. Fixed.
[!] Exim: Product features: When an admin created a new feature via import, the ID of the feature wasn't imported and was generated automatically. Fixed.
[!] Exim: Product options: Product options for secondary languages were updated incorrectly. Fixed.
[!] Exim: Quantity discounts: When importing a quantity discount, it was possible to create an empty product. Fixed.
[!] Exim: The whole image directory was exported, if the "image_path" field of an image was empty. Fixed.
[!] Multi-Vendor: By using the quick search, a vendor could find customers who had never bought his/her products. Fixed.
[!] Multi-Vendor: Design: The "Demo Store" and "Become a seller" menus in the footer didn't open on mobile devices. Fixed.
[!] Multi-Vendor: Security: A security issue was discovered in a vendor admin panel. Fixed.
[!] Multi-Vendor: Vendor profile fields got cleared after changing the password. Fixed.
[!] Options: Templates: If the "option_type" field was empty, a warning was shown on the option editing pop-up. Fixed.
[!] Orders: Privileges: It was possible to update some order data without having privileges for doing that. Fixed.
[!] Orders: Search: Order search by total price on the storefront used inactive currency. Fixed.
[!] Pages: Some pages weren't displayed in the paginated tree. Fixed.
[!] Pagination: The "page" and "items_per_page" parameters were validated incorrectly. Fixed.
[!] Payments: QB Merchant Service: Payment didn't work because of the legacy API. Fixed.
[!] Payments: Winbank: The wrong referrer URL was displayed in the payment configuration form. Fixed.
[!] Products: Filters: A filter stayed enabled, when the feature was hidden. Fixed.
[!] Products: Filters: Filtering by price worked incorrectly after switching the currency. Fixed.
[!] Products: Filters: It was possible to create duplicate filters. Fixed.
[!] Products: Options: Forbidden combinations: If the "No variant can be selected" and "Show warning on exception" properties were enabled, the warning wasn't shown. Also in Chrome, an option couldn't be selected as the radio group. Both fixed.
[!] Products: Quantity discounts: If the "Default state of the 'Update for all stores' icon" setting was active, the deletion of a quantity discount worked incorrectly for the owner company. Fixed.
[!] Products: Search: Incorrect logic of choosing the fallback variant of the sorting field could cause an SQL syntax error. Fixed.
[!] Registry: The current URL was set incorrectly for custom routes. Fixed.
[!] Search: The search form didn't work after returning from the search results page in Safari. Fixed.
[!] Templates: Calendar: Date picker didn't work if a right-to-left language was selected. Fixed.
[!] Themes: Add-ons: FTP: The FTP credentials pop-up contained incorrect path to the CS-Cart installation directory. Fixed.
[!] Upgrade center: A store with multiple storefronts couldn't be upgraded, if different admin emails were specified for the storefronts. Fixed.
[!] Widget mode: The initialization process wasn't continued, if it had been interrupted by a redirect, which caused the 500 error. Fixed.
[!] {#6201} Add-ons: HiDPI displays support: Some images crashed if they didn't have a @2x copy. Fixed.
[!] {#6245} Order management: Promotions: An automatically generated coupon code was replaced with a new one after editing the order. Fixed.
[!] {#6246} Checkout: Clicking the "Get rates" button caused the guest user shipping address to be rewritten. The "Billing and Shipping Address" section couldn't be edited in some cases after changing an address in the shipping estimation window. Both fixed.
[!] {#6248} Add-ons: Gift certificates: The add-on always used the default email template. Fixed.
[!] {#6249} Checkout: Shipping estimation: Shipping methods were selected by clicking them and not by using the "Select shipping method" button. Fixed.
[!] {#6252} Design: Debugger: Styles: Toolbar links had the unassigned color style. Fixed. 
[!] {#6255} Products: Filters: Products weren't filtered by a decimal price. Fixed.
[!] {#6262} Promotions: Features: A PHP notice was shown after a product had been deleted from cart, if a promotion with the "Product feature" condition was active. Fixed.
[!] {#6262} Promotions: Features: The value of the "Product feature" condition of the "Other->*" type wasn't shown after saving. Fixed.
[!] {#6272} API: Order update: Shipping for orders with multiple product groups was updated incorrectly. Fixed.
[!] {#6274} Blocks: Cache: Cache conditions were incorrectly applied, if one of the cache handlers wasn't found. Fixed.
[!] {#6282} Design: Responsive: Menu: Menu was shown incorrectly on a 767 pixels screen width. Fixed.
[!] {#6284} Upgrade center: Modificated theme files weren't shown on the "Local modifications" page. Fixed.
[!] {#6287} Add-ons: Blog: Order of posts couldn't be set. Fixed.
[!] {#6291} Add-ons: Store Import didn't work with two MySQL connections. Fixed.
[!] {#6292} Languages: Exported ".po" files had the wrong header structure. Fixed.
[!] {#6296} Promotions: During the promotions check, all the available conditions were checked, which caused poor performance. Fixed.
[!] {#6298} Shippings: FedEx: PHP warnings were generated during the shipping estimation. Fixed.
[!] {#6300} Promotions: Product options check was very strict. Fixed.
[!] {#6310} Products: Filters: A PHP notice could be shown on checking the available variants. Fixed.
[!] {#6314} Installer: Security: Created admin user had password without "salt". Fixed.
[!] {#6315} Products: Option combinations: If the product and its first combination didn't have codes, the code of the second combination wasn't visible on the product details page. Fixed.
[!] {#6316} MySQL: If the MySQL server was down, memory overflow occurred. Fixed.
[!] {#6322} Add-ons: Tags: An error occurred on the storefront after adding the "Tags" block to the layout. Fixed.

Version 4.3.6, March 2 2016

[+] Add-ons: Banners management: Template hooks were added.
[+] Add-ons: Ebay Synchronization: Ability to clear logs was added.
[+] Add-ons: Loading an add-on layout from the theme was added.
[+] Add-ons: Searchanise: Support for the Blog add-on was added.
[+] Add-ons: Store import: The add-on was updated to import stores' data to the latest CS-Cart version.
[+] Block manager: The "Subcategories tree" category filling was added.
[+] Core: The \Tygh\Registry::getAll() method was implemented: now developers can output all the registered variables in Registry.
[+] Debugger: The SQL-queries' explain JSON format support for MySQL 5.6 and higher was added. A new SQL formatter was added.
[+] Hooks: Add-ons: Comments and reviews: Hooks and docs were added.
[+] Hooks: Companies: Template hooks were added.
[+] Hooks: Hooks were added for the fn_buy_together_get_chains and fn_top_menu_form functions.
[+] Multi-Vendor: Add-ons: The "Vendor plans" add-on that allows admins to create subscription plans for vendors was added.
[+] Multi-Vendor: Add-ons: The "Vendor's terms and conditions" add-on that allows vendors to specify their terms and contidions was added.
[+] Multi-Vendor: Empty categories are hidden in vendor microstores now.
[+] Search: Administration panel: The Phone number field was added to the user search.
[+] Settings: Security: Detailed error messages were implemented for cURL errors.
[+] Shipping methods: Links to tracking services were added to order details pages.
[+] Shipping methods: The shipping description field was added.
[+] Upgrade center: The ability to skip the backup was added.
[+] {#5278} Design: Layouts and product tabs are created together with the new storefront now.
[+] {#6132} Add-ons: SEO: Blog: Canonical URLs were added.

[*] Administration panel: A company name was removed from the login page.
[*] Core: Installer: The "fileinfo" PHP extension check was added to the installer.
[*] Core: The minimal PHP version was bumped to 5.3.6.
[*] Design: Debugger templates were removed from the theme. Backend templates are used.
[*] Multi-Vendor: Add-ons: Vendor commission: The Vendor commission functionality and assigning categories to vendors were moved from the core to the add-on.
[*] Multi-Vendor: HTML sanitization notification was disabled in the storefront.
[*] Multi-Vendor: Styles of a vendor logo were improved.
[*] Multi-Vendor: Vendors: Ability to repeatedly set the Pending status for a vendor was added.
[*] Orders: Sales reports: Styles of the table report were improved.
[*] Products: Styles of product pages were improved.
[*] WYSIWYG: WYSIWYG was enabled in the storefront by default.

[!] Add-ons: Banners management: Code of the deprecated add-on "Statistics" was present. Fixed.
[!] Add-ons: Block with an addon info (version, author, install date/time) was displayed incorrectly on a separate page. Fixed.
[!] Add-ons: Buy together: Getting product combinations was optimized: promotions list loads fast even if there are a lot of feature variants in the store.
[!] Add-ons: Call requests: Phone masks were not defined on the 404 page because the necessary JavaScript code was initialized incorrectly. Fixed.
[!] Add-ons: Call requests: The Buy with 1-click pop-up didn't close, if the browser window height was smaller than the height of that pop-up.
[!] Add-ons: Comments and reviews: Rating stars were displayed on a vendor page on the storefront even if the rating feature was disabled. Fixed.
[!] Add-ons: Gift certificates: Certificate delete links didn't work in the Basic theme. Fixed.
[!] Add-ons: Gift certificates: If a user deleted gift certificates, logged out and then logged in, they were still present in the cart. Fixed.
[!] Add-ons: Gift certificates: Logos for gift certificates weren't created after creating a new storefront. Fixed.
[!] Add-ons: Google export: Product descriptions were too long. Fixed.
[!] Add-ons: HiDPI: The Size of an icon in the scroller changed when loading a new image with HiDPI thumbnail loaded. Fixed.
[!] Add-ons: MYOB: Order export data had wrong structure and had no shipping/taxes information. Fixed.
[!] Add-ons: Payment dependencies: Checkout: Payment information was requested for a free order. Fixed.
[!] Add-ons: Payment dependencies: Payment dependencies settings were reseting during the saving process on the shippings page. Fixed.
[!] Add-ons: PayPal payments: Gift certificates: Order data was corrupted after IPN. Fixed.
[!] Add-ons: Quickbooks: The AUTOTAX property was not set for taxable products. Fixed.
[!] Add-ons: Quickbooks: The taxable products property was not set. Fixed.
[!] Add-ons: SEO: Canonical URL led to the previous page of the products search. Fixed.
[!] Add-ons: SEO: Canonical URLs were missing for the "Bestsellers" and "Comments and reviews" pages, a vendor storefront, and the brand products page. Fixed.
[!] Add-ons: SEO: Exim: Product SEO names were not updated when having multiple stores and importing products as the root user. Fixed.
[!] Add-ons: Social buttons: Facebook image width and height were not passed. Fixed.
[!] Add-ons: Suppliers: Order shippings were overwritten with product group shippings. Fixed.
[!] Add-ons: Tags: Disabled products were still used to determine the size and visibility of the linked tags in the tag cloud block. Fixed.
[!] Add-ons: Watermarks: Image zoom: Watermark was not added, if the detailed image was disproportionate to the thumbnail. Fixed.
[!] Add-ons: Watermarks: Watermarked thumbnails were not removed when clearing up generated thumbnails. Fixed.
[!] Administration panel: The minimal lenght of the admin password was verified incorrectly for UTF-8 symbols. Fixed.
[!] Advanced search: Picker: The Check all property worked incorrectly if the page had 2 pickers. Fixed.
[!] Checkout: Session was not regenerated after the registration. Fixed.
[!] Checkout: The disabled shipping step was shown after a user registered on the checkout page. Fixed.
[!] Company: When the root admin edited a vendor/storefront in the All vendors/All stores mode, the sidebar wasn't displayed. Fixed.
[!] Core: Database: A non-installed MySQLi PHP-extension caused no errors when using the "mysqli" database adapter. Fixed.
[!] Core: Privileges: The function that checks user privileges worked incorrectly for admins with groups but without privileges. Fixed.
[!] Core: Subscription: The "New subscribers" language variable was displayed incorrectly: this variable belonged to the add-on, but was used by the core. Fixed.
[!] Design: Fonts: Font names that contained dashes were not detected in LESS files. Fixed.
[!] Design: Products: Odd space in the product price block was present. Fixed.
[!] Design: Products: The Big Picture template: Tabs were not displayed on product details pages. Fixed.
[!] Design: Products: When selecting a filter, the page was scrolled beyond the title. Fixed.
[!] Design: Responsive: Short list: Tax wasn't displayed on the category list. Fixed.
[!] Design: Responsive: Subcategories menu didn't disappear on iPad after a customer tapped random area of the storefront. Fixed.
[!] Design: Templates: Orders: The opening bracket was not present in the order details template. Fixed.
[!] Design: Themes: Logos: Logos weren't created after importing a new layout and installing 4.0.x themes. Fixed.
[!] Design: Tooltips: List items weren't displayed in tooltips. Fixed.
[!] Design: WYSIWYG: TinyMCE and CKEditor converted UTF-8 characters to HTML entities. Fixed.
[!] Exim: Comet: During the export of the pre-selected products, the export processing pop-up didn't disappear after the export was finished. Fixed.
[!] Exim: Features: Feature variants were exported from all the storefronts when exporting only from one storedfront. Fixed.
[!] Features: Feature comparison: If "Show on the Features tab" was not checked, the feature was not shown on a product comparison page. Fixed.
[!] Filters: Disabled product filters were displayed and worked for the advanced product search. Fixed.
[!] Filters: Product filters worked incorrectly after the price change. Fixed.
[!] Images: Image import process resulted in an SQL error. Fixed.
[!] Images: Images weren't correctly imported for products with duplicated IDs across several storefronts. Fixed.
[!] JavaScript: Newsletter: The Load template button worked incorrectly. Fixed.
[!] Languages: An obsolete language variable for shipping settings was present. Fixed.
[!] Layouts: PHP notices were generated after setting custom configuration for a container on the Design -> Layouts page. Fixed.
[!] Licensing mode: Trial mode notification was shown for all users without checking permission for changing the licensing mode. Fixed.
[!] Marketing: Promotions: Conditions: Values were not filtered. Fixed.
[!] Menus: Deleting menus with child items created before parent items caused PHP notices. Fixed.
[!] Multi-Vendor: Add-ons: Comments and reviewes: Link to vendor discussions resulted in the 404 page. Fixed.
[!] Multi-Vendor: Add-ons: Vendor data premoderation: When approving or disapproving a product, there was no product info in the approve (disapprove) message, and the message was shown in the default language, not in the one selected by a vendor. Fixed.
[!] Multi-Vendor: Import: Vendor couldn't update products via import. Fixed.
[!] Multi-Vendor: Logos: Vendor logos weren't saved when creating a new vendor. Fixed.
[!] Order management: Default address was not used, when shipping fields in a user's profile were disabled. Fixed.
[!] Orders: Order status could be created without the status code after the maximum amount of statuses had been reached. Fixed.
[!] Orders: Order status editor loaded incorrect description after removing all the storefronts except one. Fixed.
[!] Orders: PDF invoices printed in bulk had blank pages between orders. Fixed.
[!] Orders: Printed invoices and packing slips were vertically aligned to the center of the page. Fixed.
[!] Orders: Sales reports: An ellipsis was displayed instead of diacritic symbols in object names in table reports. Fixed.
[!] Orders: Sales reports: Daily reports contained incorrectly generated day sequence for 2016. Fixed.
[!] Orders: The credit card validation wasn't initialized during the ajax request. Fixed.
[!] Payments: Languages: The Vendor name field was fixed for DirectOne, SagePay direct, SagePay form, and Total Web Solutions Pay Page payment methods.
[!] Payments: Rocketgate Native: Transaction ID was missing. Fixed.
[!] Privileges: Orders: Deleting items in bulk was available for an admin without corresponding privileges. Fixed.
[!] Products: A customer could choose forbidden product quantity, if inventory tracking was disabled. Fixed.
[!] Products: Downloadable products: Files larger than 4 GB were stored incorrectly. Fixed.
[!] Products: Images:  Magnific-Popup caused the "Uncaught RangeError: Maximum call stack size exceeded" error. Fixed.
[!] Products: Images: Image viewer didn't work on the Quick view pop-up, if the current location was the product page. Fixed.
[!] Products: Options: Forbidden combinations: It was possible to add the same option combination to forbidden combinations more than once. Fixed.
[!] Products: Pagination: Products were duplicated on different pages when using 5.6.11 MySQL Community Server (GPL) and higher. Fixed.
[!] Products: Product switcher: Unnecessary GET parameters were used in product URLs. Fixed.
[!] Search: Shared pages were not displayed in the search results. Fixed.
[!] Security: Smarty variables weren't html-escaped properly. Fixed.
[!] Settings: Time zone: Bucharest had incorrect time zone. Fixed.
[!] Stores: If a domain name had capital letters, the storefront link changed to a widget link, and the View cart button didn't work. Fixed.
[!] Upgrade center: File upload pop-up used a caption from the theme installer instead of its own. Fixed.
[!] Upgrade center: Revert couldn't be done without MySQLi. Fixed.
[!] Users: Languages: A user language didn't reset to default, if that language had been deleted. Fixed.
[!] Users: Profiles: Disabled but already signed in users could place orders and edit profiles. Fixed.
[!] {#3006} Add-ons: Wish List: Selected product options were not added to Quick view and Detailed view, and a customer had to select those options again when adding a product to cart. Fixed.
[!] {#6059} Add-ons: SEO: Products: SEO names were created incorrectly for newly imported products. Fixed.
[!] {#6065} Add-ons: Reward points: Point discount was calculated incorrectly for fractional prices. Fixed.
[!] {#6080} Promotions: Features: The  Brand feature variants weren't shown when creating a cart promotion with product feature values condition. Fixed.
[!] {#6083} Quick search: Product and order search by ID didn't work properly. Fixed.
[!] {#6090} Exim: Performance: Memory overflowed when importing files larger that 30 MB. Fixed.
[!] {#6096} Multi-Vendor: Vendor admin was not created, if the password length was over 8 characters. Fixed.
[!] {#6097} Checkout: Cart: Unnecessary store name was displayed in the shipping estimation pop-up. Fixed.
[!] {#6099} Exim: Products: Global Options: Global options were updated incorrectly. Fixed.
[!] {#6106} Hooks: Cloned options and variants info was missing from the corresponding hook. Fixed.
[!] {#6107} Multi-Vendor: Filtering by a vendor: The Vendors list was not sorted by Name. Fixed.
[!] {#6108} Design: Storefront: File Uploader: Links for file upload disappeared, if a customer cancelled the upload. Fixed.
[!] {#6111} Add-ons: PayPal payments: The notice about existing user was shown when editing the second step at checkout. Fixed.
[!] {#6113} Products: If a product weight had more than two fraction digits, the weight value was cut to two digits. Fixed.
[!] {#6124} Orders: Files: Clicking the file name of the file uploaded as an option for a product on the orders management page resulted in the 404 page. Fixed.
[!] {#6130} Add-ons: SEO: Canonical URLs on pages/blog led to the first page. Fixed.
[!] {#6135} Multi-Vendor: Vendors couldn't change their SEO names. Fixed.
[!] {#6138} Core: PharData: The .tgz archives that contained files with names starting with a dot were not extracted. Fixed.
[!] {#6140} Design: Themes: Logos: Theme editor used logos for incorrect styles in some cases. Fixed.
[!] {#6157} Exim: Composite key was broken for new records causing problems when importing objects with composite primary keys.
[!] {#6158} Shipping methods: UPS: Rate calculation with empty state/zipcode values caused PHP notices. Fixed.
[!] {#6160} Core: Languages: When deleting a language variable with the "0" name, other language variables were also deleted. Fixed.
[!] {#6166} Add-ons: Social buttons: Facebook og:type field was empty for products. Fixed.
[!] {#6167} Database: Placeholders: Placeholder "?w" worked incorrectly with the NULL parameter. Fixed.
[!] {#6171} Add-ons: Ebay Synchronization: Ebay template selection on the bulk product editing page worked incorrectly. Fixed.
[!] {#6180} Shipping methods: Information about delivery time override by a shipping service was missing from the shipping method page. Fixed.
[!] {#6180} Shipping methods: UPS: Delivery time had wrong format when it was displayed in days. Fixed.
[!] {#6181} Categories: Categories nested deeper than 3 levels weren't shown in the "Categories" block with the "Dropdown horizontal" template selected even though the "Parent category" was specified. Fixed.
[!] {#6197} Administration panel: Menu: Expanding and collapsing nested menu items worked incorrectly. Fixed.
[!] {#6200} Design: Theme: Cache: Automatic cache rebuilding didn't check styles. Fixed.
[!] {#6202} Core: Debugger: Hierarchy of templates was displayed incorrectly. Fixed.
[!] {#6207} Add-ons: HiDPI: User was not informed about the thumbnail format change upon the add-on activation. Fixed.
[!] {#6218} Theme editor: Style changes were not saved in files with non-Unix newlines. Fixed. 
[!] {#6236} Filters: Filter of the "single checkbox" type wasn't used for retrieving the price range. Fixed.
[!] {#6238} Upgrade: Migrations: MysqliAdapter didn't support all the MySQLi functions. Fixed.

Version 4.3.5, December 15 2015

[+] Add-ons: eBay Synchronization: The add-on was refactored and greatly improved.
[+] Add-ons: Extra information about add-ons and add-on filters were added.
[+] Add-ons: PayPal: Currency conversion was added.
[+] Add-ons: PayPal: PayPal In-Context Checkout was implemented.
[+] Add-ons: Price list: The add-on was completely refactored, obsolete libraries were removed, generation speed and usability were improved.
[+] API: The "Call requests" entity was added.
[+] API: The "Carts" entity was added.
[+] API: The "Discussions" entity was added.
[+] API: The "Pages" entity was added.
[+] Categories: Trash category was added.
[+] Free mode: Add-ons: The Payment dependencies add-on was removed.
[+] Free mode: Multi-store feature was removed.
[+] Free mode: Product filter were unlocked: you can add as many filters as you want to the storefront.
[+] Hooks: Authentication routine hook was added.
[+] Hooks: Hooks were added into the currency functions.
[+] Hooks: New hooks were added into the "fn_get_cart_products()" function.
[+] Hooks: Orders: Hooks and documentation were added.
[+] Hooks: The adandoned/live carts functionality was moved from the controller. The "pre_get_carts" hooks was added.
[+] Payments: FirstData: Updated to Connect 2.0.
[+] Payments: SagePay: Affiliate code was added.
[+] Payments: The Rocketgate-Native payment was added.
[+] Products: Breadcrumbs were added to product editing pages.
[+] Products: Trash category: A notice for trashed products was added.
[+] Shippings: DHL: Legacy Airborne API was replaced with the latest XML-PI API.

[*] Add-ons: Data feeds: The "?t=" parameter was removed from the non-CDN image URLs.
[*] Add-ons: Social login: Usability of linking/unlinking of a social account was improved.
[*] License agreement: License agreements were updated for CS-Cart & Multi-Vendor: copyright_[ultimate/multivendor].txt.
[*] Payments: A number of  payment processors were renamed and removed. These ones were removed: ePassporte, MCPE, PRI [HTTPS Post], PRI [Form].
[*] Payments: eWAY: eWAY Direct Payment and eWAY Shared Payment processors were marked as deprecated.

[!] Abandoned carts: The cart of the previous user was cleared during the order placement. Fixed.
[!] Add-ons: Blog: Blocks with "Recent posts" and "Recent posts scroller" templates were empty on pages of the "Page" type (About us, About our company, etc.). Fixed.
[!] Add-ons: Blog: The "<!--CUT-->" tag was removed from blog records. Fixed.
[!] Add-ons: Blog: The Recent posts block behavior was tricky and non-obvious. Fixed.
[!] Add-ons: Buy together: Paypal: Discount was also substracted after IPN response. Fixed.
[!] Add-ons: Call requests: Invalid phone number could be sent. Fixed.
[!] Add-ons: Call requests: The Items per page selector didn't work in the call requests list. Fixed.
[!] Add-ons: Call requests: The value of the Phone mask was checked incorrectly. Fixed.
[!] Add-ons: Form builder: After sending a message via the form, the footer was shown incorrectly. Fixed.
[!] Add-ons: Form builder: The "pages:page_content" hook wasn't called, if a form was submitted successfully. Fixed.
[!] Add-ons: HiDPI: Images were created incorrectly for files with identical names. Fixed.
[!] Add-ons: PayPal: A user's address was changed after the response from PayPal. Fixed.
[!] Add-ons: PayPal: Payflow used the wrong language variable. Fixed.
[!] Add-ons: Paypal: The description for Status conversion map was added.
[!] Add-ons: PayPal: The Hong Kong Dollar (HKD) currency was missing in the PayPal Pro processor. Fixed.
[!] Add-ons: Reward points: Reward points for an order were not displayed in invoices in the administration panel. Fixed.
[!] Add-ons: Searchanise: The relevance-based sorting wasn't selected by default. Fixed.
[!] Add-ons: Social buttons: Content with long description caused errors when publishing on Pinterest. Fixed.
[!] Add-ons: Social login: The PayPal sandbox property wasn't set correctly. Fixed.
[!] Add-ons: Suppliers: Supplier information was missing in shipments. Fixed.
[!] Administration panel: Design: Styles of the category picker were improved.
[!] Administration panel: Pagination: The total number of displayed items on a page was reset to the defaul number after an admin added or deleted an item. Fixed.
[!] API: Features: Variant images weren't fetched. Fixed.
[!] Block manager: Blocks were dragged during the AJAX request. Fixed.
[!] Block manager: Blocks with special HTML characters in their names caused errors in the block manager. Fixed.
[!] Block manager: Duplicate IDs were generated when a new dialog was created. Fixed.
[!] Block manager: Grids that were extended lengthwise were displayed incorrectly in the admin area. Fixed.
[!] Categories: Storefront: The "fn_load_products_extra_data" function returned all the product categories without filtering by company. Fixed.
[!] Checkout: A PHP notice was displayed when the product in the order became out of stock during the order placement. Fixed.
[!] Checkout: Basic theme: The Next step button was clickable. Fixed.
[!] Core: Files: Files couldn't be uploaded, if the "post_max_size" parameter in php.ini had "0" value. Fixed.
[!] Core: HTTPS detection was improved.
[!] Core: Scripts: An empty Smarty "{scripts}" tag caused problems in inline scripts rendering. Fixed.
[!] Core: Session: Reset password: The "fn_generate_key" function used an old algorithm for generating a random string. Fixed.
[!] Database: Database queries failed, if a table prefix had numbers. Fixed.
[!] DataKeeper: The memory limit error occurred when creating backup as the ".tgz" archive. Fixed.
[!] DataKeeper: The new way of creating ZIP archives was implemented for only-database and only-files backups.
[!] Design: Blocks: Currencies: Currency links were indexed by Google. Fixed. 
[!] Design: Layouts: Styles of the tabs were improved.
[!] Design: Menu: Scroller arrows were displayed above the menu. Fixed.
[!] Design: Menu: Subitems of the last menu item were displayed in one column. Fixed.
[!] Design: Options: If a product had a lot of options, they were shown incorrectly on large displays. Fixed.
[!] Design: RTL: RTL support for invoices and packing slips was added.
[!] Design: Storefront: Short list: All the products were in the same form. Fixed.
[!] Design: Styles of the restriction message were added and improved.
[!] Design: The "Add to cart" button disappeared after a screen tap. Fixed.
[!] Design: Unclosed tags appeared when there was only one active grid in a row. Fixed.
[!] Emails: An email could not be sent to an email address that contained Cyrillic symbols. Fixed.
[!] Exim: Features: Root directories weren't assigned to features during the import process. Fixed.
[!] Exim: Procucts: Options: Global options were incorrectly updated. Fixed.
[!] Exim: Product combinations: Value splitting was handled incorrectly for strings with a delimeter. Fixed.
[!] Exim: Products: Features: Features that belonged to a hidden group weren't exported in the "Features" field of product export. Fixed.
[!] Files: elFinder was updated.
[!] Filters: Decimal numbers couldn't be used as filter values. Fixed.
[!] Filters: Feature groups were displayed in the selectbox when creating a new filter. Fixed.
[!] Filters: Products: The selected layout and sorting were cached incorrectly when selecting filter variants. Fixed.
[!] JavaScript: Autofocus on mobile devices has been disabled.
[!] JavaScript: File uploader: Files with spaces and special characters in their names were not downloaded. Fixed.
[!] JavaScript: Modernizr was not defined. Fixed.
[!] Languages: Translations: Translations of add-ons were exported incorrectly. Fixed.
[!] Multi-Vendor: Add-ons: Gift certificates: Suborder that contained only free products from a gift certificate was not saved. Fixed.
[!] Multi-Vendor: Products couldn't be found by product codes. Fixed.
[!] Multi-Vendor: Promotions: Promotion conditions were checked incorrectly for orders that contained products from several vendors. Fixed.
[!] Multi-Vendor: Promotions: Promotions with the free product bonus caused incorrect calculation of number of products for suborders. Fixed.
[!] Multi-Vendor: There was no notice about HTML sanitization. Fixed.
[!] Order management: Order details: Product price was shown incorrectly, if the price modifier was changed. Fixed.
[!] Order management: Promotions: Options were not saved for free product with "any options". Fixed.
[!] Order management: The invoice/credit memo label was not shown. Fixed.
[!] Orders: A discount coupon code with special characters couldn't be removed from an order. Fixed.
[!] Orders: Promotions: Promotions were not applied after reordering, if the order had promotions. Fixed.
[!] Payments: Atos: A PHP error appeared during the payment process. Fixed.
[!] Payments: Atos: Parameters passed to script were escaped incorrectly. Fixed.
[!] Payments: eWAY: An order could not be placed via Internet Explorer because of the CVV length validation rule. Fixed.
[!] Payments: It was impossible to go to the payment page with JavaScript disabled. Fixed.
[!] Product pages: Fatal error with a punycoded referer occurred. Fixed.
[!] Products: Categories: If products were shared with another storefront, they were not deleted together with the category of the first storefront. Now these products are moved to the trash category.
[!] Products: Features: A value of the product feature with the Date type was limited to the company start year. Fixed.
[!] Products: Features: There was no check if a feature was shared for the current company when opening the feature variant page. Fixed.
[!] Products: Features: The status of the filter was not checked in case of the hash filter link generation. Fixed.
[!] Products: Options: JavaScript function for option selection used the wrong value for unchecked checkbox options. Fixed.
[!] Products: Options: Search: The default combination of a product was selected incorrectly. Fixed.
[!] Products: Options: The default option variant was selected incorrectly for products on the product search results page. Fixed.
[!] Products: Product position was calculated incorrectly. Fixed.
[!] Products: Products could be added to cart without setting required options. Fixed.
[!] Products: Search: Search results didn't show some products, if "Inventory tracking" was enabled and "Show out of stock products" was disabled. Fixed.
[!] Profile: An empty non-required profile field of the "Data" type was auto-filled with the current date. Fixed.
[!] Sales reports: Countries without states were not present in sales reports in particular cases. Fixed.
[!] Search: Advanced search: The "Last week" period definition produced wrong dates. Fixed.
[!] Stores: Regions: Users were not redirected properly to storefronts according to their regions. Fixed.
[!] Styles: Styles of the Brightness style were improved.
[!] Themes: Compatibility with old themes was fixed.
[!] Upgrade center: The restore script couldn't be created on Windows servers because the filename contained semicolon. Fixed.
[!] WISYWIG: Redactor: Lists didn't work properly when Redactor was located inside the table. Fixed.
[!] {#5745} Multi-Vendor: Add-ons: Suppliers: A shipment couldn't be created for an order contained products from multiple vendors when "Allow multiple shipments" was enabled. Fixed.
[!] {#5750} Add-ons: Reward points: Reward points were not present in the customer invoice email after the order status update. Fixed.
[!] {#5780} Add-ons: Suppliers: Shippings were unavailable at checkout, if the "None" shipping method was disabled for a supplier, and "Display shipping methods to each supplier separately" was also disabled. Fixed.
[!] {#5812} Add-ons: SEO: Checking for object uniqueness was improved.
[!] {#5847} Add-ons: Gift certificates: The warning label was hardcoded instead of using a language variable. Fixed.
[!] {#5849} Add-ons: Gift certificates: The page was not redirected when a customer removed the certificate from the cart total or checkout summary. Fixed.
[!] {#5866} Multi-Vendor: Exim: Features: A vendor could create features through the import process. Fixed.
[!] {#5884} Multi-Vendor: The error message was displayed when switching vendor for an object with a long description. Fixed. 
[!] {#5910} Upgrade center: The "var/langs" directory wasn't backed up during the upgrade process. Fixed.
[!] {#5921} Products: Orders: A product that was not allowed for purchase could be ordered via the reorder functionality. Fixed.
[!] {#5924} Design: Checkout: The apply arrow next to the coupon was replaced by the Apply link.
[!] {#5931} Shippings: A shipping method could not be specified, if an order contained only free shipping products. Fixed.
[!] {#5959} Payments: Surcharge: Taxes were calculated without surcharge after an order placement. Fixed.
[!] {#5970} API: It was impossible to set an empty value for a setting. Fixed.
[!] {#5981} Core: Images: Uppercase extensions weren't handled properly while checking for allowed file types. Fixed.
[!] {#5993} Multi-Vendor: Exim: A vendor could create a category when importing products with secondary categories. Fixed.
[!] {#5999} Blocks: My profile: Incorrect "return_url" was used after a user logged in. Fixed.
[!] {#6002} Promotions: Coupon codes: Orders: A coupon was generated for every suborder. Fixed.
[!] {#6010} Design: JavaScript: The ty-table-disable-convertation class didn't consider the "th" tag. Fixed.
[!] {#6014} Design: Layouts: The fixed width worked incorrectly. Fixed.
[!] {#6019} Add-ons: Attachments: Permission check could be performed only for products. Fixed.
[!] {#6021} Currencies: Options: Styles of product options were fixed.
[!] {#6028} Upgrade center: The "conflicts" field at "installed_upgrades" was too small that caused unserialization errors. Fixed.
[!] {#6035} Upgrade center: The "set_time_limit" function call could trigger a PHP notice, that restricted the creation of the restore script. Fixed.
[!] {#6036} Design: RTL: RTL support in the administration panel was improved.
[!] {#6041} Products: The Save button didn't work in the products list in Internet Explorer. Fixed
[!] {#6044} Checkout: The "Recalculate shipping cost" button is shown at checkout only when a user data is edited.
[!] {#6051} Sales reports: An SQL error appeared, if the report was limited by certain orders. Fixed.
[!] {#6056} Design: Tooltips: Tooltip positioning was incorrect. Fixed.
[!] {#6078} Add-ons: Call requests: The pagination didn't work correctly. Fixed.
[!] {#6087} Add-ons: Social login: Not all the profile fields were requested when signing in via Facebook. Fixed.
[!] {#6091} Payments: Servired: Payment request had the deprecated structure and signature. Fixed.
[!] {#6112} Design: Add-ons: Call requests: The second part of a phone number was not displayed on iOS. Fixed.

Version 4.3.4, September 9 2015

[+] Add-ons: Age verification: New promotion condition "Birthday" was added. Export and import of a customer's birthday was added.
[+] Add-ons: Call requests: CSS class was added for the Buy now with 1-click button.
[+] Add-ons: Payment dependencies: Ability to assign payment methods to shipping methods was added.
[+] Files: The license agreement was added to the download page.
[+] Hooks: Hooks were added for the "fn.locations" functions.
[+] Hooks: POST and SQL hooks were added to the "fn_get_banner_data" function.
[+] Hooks: PRE, POST, SQL hooks were added to the "fn_get_tags" function.
[+] Languages: RTL language support added.
[+] Marketing: Abandoned carts: The "Order ID" field was added.
[+] Upgrade Center: Ability to view information about installed upgrades was added.

[*] Add-ons: Google analytics: Google analytics JS widget was moved to the <head> section of the page.
[*] Core: Help Desk connector: License check: Admin script was removed from the request to the CS-Cart server.
[*] Core: saas_uid config parameters renamed to store_prefix.
[*] Design: Block manager: Ability to sort categories in the "Categories" block with the "manually" filling was added.
[*] Design: Layouts: The Dynamic tree filling was removed from Category blocks.
[*] Email: Email validation algorithm was changed—now it's less restrictive.
[*] JavaScript: JSMin PHP extension support was added.
[*] Profiles: Admin email or password can't be changed from the storefront.
[*] Licensing: The license agreement for the CS-Cart Free Mode license was updated.
[*] Upgrade Center: If the upgrade subscription expires, a store admin gets the notice when checking for the upgrade.
[*] Upgrade Center: Restore process started immediately when an admin clicked the link sent via emai; now the restore requires a confirmation.
 
[!] Add-ons: Bestsellers & On-Sale Products: The "Similar products" block displayed wrong products. Fixed.
[!] Add-ons: Gift certificates: Gift certificate value was converted incorrectly, if the secondary currency was used. Fixed.
[!] Add-ons: HiDPI: Retina images weren't loaded for the gallery slider. Fixed.
[!] Add-ons: Payment dependencies: Payment info displayed on the 4th checkout step was incorrect, if the first available payment method was unavailable due to shipping restrictions. Fixed.
[!] Add-ons: Paypal Express: If a customer selected a country without a state on the PayPal website, PHP notice appeared when he (or she) returned to the store after payment. Fixed.
[!] Add-ons: Price list: PHP notice appeared during the add-on installation. Fixed.
[!] Add-ons: RSS feed: The date in the "lastBuildDate" field was incorrect. Fixed.
[!] Add-ons: SEO: Settings: URL formats had mistakes. Fixed.
[!] Add-ons: Store locator: An admin with all the privileges couldn't manage the Store locator add-on. Fixed.
[!] Add-ons: Watermarks: Typo in the add-on instructions. Fixed.
[!] API: Products: Features: A feature wasn't applied to a new product, if the feature was assigned to a category. Fixed.
[!] Cache: Blocks: Auto-cleaning of block cache worked incorrectly for APC and XCache drivers. Fixed.
[!] Cache: Blocks: The "Recently viewed" products block was cached. Fixed.
[!] Checkout: Order placement: 403 error occurred after a customer hit the Place order button. Fixed.
[!] Checkout: Order placement: Billing and shipping addresses were saved incorrectly, if the 3rd and 4th checkout steps had been hidden. Fixed.
[!] Checkout: Order placement: Email was saved incorrectly if the 3rd and 4th checkout steps had been hidden. Fixed.
[!] Checkout: Order placement: The Place order button was not replaced by the Recalculate shipping cost button in case of changing the "Are shipping and billing addresses the same?" radio button. Fixed.
[!] Checkout: PHP notice "Undefined index: country..." appeared on order placement. Fixed.
[!] Core: JavaScript: JavaScript error occurred in case of using multiple selectboxes. Fixed.
[!] Design: Email: The <br> tag was displayed in emails in case of using multiple email addresses. Fixed.
[!] Design: Menu: Menu backlight disappered after a customer had changed the currency. Fixed.
[!] Design: Styles were improved.
[!] Email: An SMTP error occurred after the order status had been changed. Fixed.
[!] Exim: Products: Product thumbnails were not saved during the import process. Fixed.
[!] Images: Backward compatibility was broken in the "fn_resize_image()" function. Fixed.
[!] Images: Thumbnails weren't generated for lazy loading if an image filename contained particular symbols. Fixed.
[!] Layouts: Blocks: Categories: Right alignment of the Main content container did not work. Fixed. 
[!] Menu: Vertical menu did not work on mobile devices. Fixed.
[!] Multi-Vendor: Orders: Payment surcharge was calculated incorrectly for suborders. Fixed.
[!] Options: Allowed combinations: Options worked incorrectly, if a combination had two or more options with the "No variant can be selected" status. Fixed.
[!] Options: Allowed exceptions: Options selected by default worked incorrectly. Fixed.
[!] Order management: Multi-Vendor: The parent order ID was cleared after the order had been updated. Fixed.
[!] Owl carousel: When a customer scrolled to the left, images were not loaded. Fixed.
[!] Payments: HSBC: Windows support was removed.
[!] Payments: Innovative: PHP notice appeared when transaction failed. Fixed.
[!] Payments: PayPal Express: The PayPal button was shown to unregistered customers, even if the Disable anonymous checkout option was enabled. Fixed.
[!] Payments: When customers used the repay feature, they were redirected to an empty cart if they cancelled the payment process. Fixed.
[!] Products: EDP: There was no ability to delete downloadable file preview. Fixed.
[!] Products: Features: A large number of feature variants caused performance issues, and the picked feature didn't appear. Fixed.
[!] Products: Features: Category search parameters was not saved after editing a feature and saving the changes. Fixed.
[!] Products: Features: Feature groups without features were not displayed. Fixed.
[!] Products: Features: Pagination worked incorrectly on a product details page. Fixed.
[!] Products: Features: The 404 Not Found page wasn't displayed if a feature variant was not found. Fixed.
[!] Products: Features: The Editing product feature pop-up didn't close in Internet Explorer 9 via the Cancel or the Close button. Fixed.
[!] Products: Features: Variants applied to a product were counted as features when calculating the total of items in the "fn_get_product_features" function. Fixed.
[!] Products: Filters: All the filters were hidden when a filter combination that didn't match any product was selected. Fixed.
[!] Products: Product switching in the quick view mode worked incorrectly. Fixed.
[!] Products: Quick search in the admin area didn't work. Fixed.
[!] Products: Sorting: Sorting by the newest products worked incorrectly because all the new products had the same creation date. Fixed.
[!] Product tabs: Mandatory check didn't work. Fixed.
[!] Promotions: Condition groups with the "any" match type worked incorrectly. Fixed.
[!] Shipping methods: If Rate calculation for a shipping method was set to Manual, the Configure tab was displayed. Fixed.
[!] Shipping methods: USPS: USPS Priority Mail International didn't work for shippings to Canada. Fixed.
[!] Smarty: The "DEFAULT_FILE_PERMISSIONS" and "DEFAULT_DIR_PERMISSIONS" constant values weren't used for generating template cache files. Fixed.
[!] Templates: Override templates cache was generated incorrectly. Fixed.
[!] Upgrade Center: The upgrade availability notice wasn't removed after successful package installation. Fixed.
[!] Usergroups: Privileges: It was impossible to restrict access to the Design -> Templates section for a usergroup. Fixed.
[!] Users: Registration: The E-mail field wasn't visible in the registration form, if quick registration was disabled in the Basic theme. Fixed.
[!] {#5757} Product options: Files: The selected file is reset when another option was selected. Fixed.
[!] {#5776} PayPal: Diacritic symbols were handled incorrectly for IPN. Fixed.
[!] {#5784} Hooks: Backward compatibility was broken in the "pre_validate_promotion_attribute" hook. Fixed.
[!] {#5799} Multi-Vendor: Logos: A vendor logo was resized incorrectly. Fixed.
[!] {#5803} Design: Basic: Product filters: A suffix of a feature was displayed twice. Fixed.
[!] {#5822} Add-ons: Required products: Products were added twice during order editing. Fixed.
[!] {#5831} Add-ons: Social buttons: Scrolling didn't work with opened dialogs on touchscreen devices. Fixed.
[!] {#5839} Multi-Vendor: Logos: If the vendor ID was not specified, the latest vendor logo instead of the store logo was selected. Fixed.
[!] {#5842} Promotions: Some "Products In" conditions for products with options worked incorrectly. Fixed.
[!] {#5861} Cache: APC: XCache: Cache of two or more installations on the same server had a conflict. Fixed.
[!] {#5869} Exim: Images with URLs that contained special characters and/or nonlatin symbols could not be imported. Fixed.
[!] {#5870} Exim: Orders: SQL error appeared during import, if data contained an empty ip_address field. Fixed.
[!] {#5895} Products: When a customer opened a product details page, the product popularity wasn't incremented. Fixed.
[!] {#5930} JavaScript: Internet Explorer 8: The "Tygh undefined" error occurred in Internet Explorer 8. Fixed.
[!] {#5933} Add-ons: Polls: A question in the survey could not be mandatory. Fixed.
[!] {#5935} Core: Multi-Vendor: Filters: Unavailable vendors were not hidden from filter variants. Fixed.
[!] {#5953} Hooks: The update_option_combination function hooks were duplicated. Fixed.
[!] {#5954} Add-ons: Age verification: Customers couldn't see blocked products, even if they entered correct age. Fixed.

Version 4.3.3, June 25 2015

[+] Admin panel: Administration: Backup/Restore: Database size is now shown in the side panel.
[+] Hooks: New hook added to the regenerate_id method.
[+] Upgrade Center: MySQLi DB driver support implemented.

[*] Add-ons: Store import removed.

[!] Add-ons: Buy together: Combination price was not recalculated when changing options of the combinated products. Fixed.
[!] Add-ons: Data feeds: Google export: A server error occurred when downloading a data feed created from a category. Fixed.
[!] Add-ons: PayPal: PayPal Express Checkout: Order total was overwritten with the shipping cost after IPN if the order contained a product with an option of the type File. Fixed.
[!] Anonymous checkout: It was impossible to register or log in on anonymous checkout after page refresh. Fixed.
[!] API: Products: An SQL error occurred when a product with repeating categories was created. Fixed.
[!] Banners: Image assignment could fail randonly. Fixed.
[!] Export/Import: Images: Memory limit could be exceeded, which caused a fatal error. Fixed.
[!] Export/Import: Images: The "Image URL" field was always filled with the detailed image URL even if a thumbnail existed. Fixed.
[!] Export/Import: Quantity discounts: The ult_product_prices table was not updated. Fixed.
[!] Multi-Vendor: Products: A PHP notice appeared when product's in-stock quantity was changed from 0 to 1 and a customer had been subscribed to the product. Fixed.
[!] Order management: If a user profile was automatically created with an order, they were not linked. Fixed.
[!] Order management: Order creation: Customer data could be cleared on form update. Fixed.
[!] Products: Backward compatibility was broken at "get_products" hook; there was no way to modify the $sortings list. Fixed.
[!] {#5591} Add-ons: Gift certificates: Free product could not be added with product options. Fixed.
[!] {#5633} Call requests: All vendors/storefronts could see requests from other vendors. Fixed.
[!] {#5714} Sales reports: Product name was too short. Fixed.
[!] {#5778} Design: Layouts: Block status was not changed from products, pages, etc. layout pages. Fixed.
[!] {#5779} Design: MtronX: Filters: Variant names disappeared after filtering by price. Fixed.
[!] {#5817} Design: Layouts: Categories: Subcategories were not shown in the menu on hover if the One-click dropdown wrapper was used. Fixed.
[!] {#5825} Admin panel: Search: Products: Extended search by product code didn't work. Fixed.

Version 4.3.2, June 9 2015

[*] Add-ons: Gift certificates: Ability to apply a gift certificate with free products to empty cart added.
[*] API: DELETE-request: Response format changed. If the request is successful, the response has "status 204".
[*] Core: PHP fatal errors are now being caught—the "Service unavailable" page will appear in case of a fatal error.
[*] Core: PHP non-fatal errors, warnings and notices are being caught and properly formatted now (in development mode only).
[*] Filters: Ability to show product filters on the home page added.
[*] Shippings: UPS: Ability to use the Delivery confirmation option for a package added.

[!] Add-ons: Blog: If a blog had over 50 posts, the list of posts was not loaded in the admin panel. Fixed.
[!] Add-ons: Call requests: If several Call requests blocks were added to the storefront, they worked incorrectly. Fixed.
[!] Add-ons: Searchanise: Search in the storefront didn't work with the Searchanise add-on enabled. Fixed.
[!] Add-ons: SEO: Canonical URL didn't lead to first page, if pagination was used. Fixed.
[!] Add-ons: SEO: Categories: Multi-Vendor: Category deletion caused database error. Fixed.
[!] Add-ons: Social login: When a user signed in via the Facebook account, a facebook login permissions error occured. Fixed.
[!] Backup: DataKeeper: Path to backup files was wrong. Fixed.
[!] Backup: There was no ability to upload a new backup file, if the "backups" folder was not created beforehand. Fixed.
[!] Currencies: Exchange rates were not visible when HTTPS was used. Fixed.
[!] Currencies: Hidden currency was used in the order search form in a customer's profile. Fixed.
[!] Design: If there was only one block on the page, the page title was used as the block title. Fixed.
[!] Design: On-site template editing: The restore template functionalty restored templates from the basic theme. Fixed.
[!] Design: Product filters: The filters expand icon didn't change on mobile devices when a user hid and expanded filters. Fixed.
[!] Design: Product tabs: The Description tab was displayed, if the description wasn't specified. Fixed.
[!] Exim: Option variants that had non-integer numbers exported incorrectly. Fixed.
[!] Exim: Product images: company_id wasn't taken into account during export. Fixed.
[!] Exim: Products: A PHP error appeared during import, if the 'update_only' flag was used in the scheme. Fixed.
[!] Hooks: Some of the hooks didn't work when the "fn_set_hook" call was performed at an add-on's "init.php" file. Fixed.
[!] Javascript: The "TypeError: moment is not a function" error appeared randomly. Fixed.
[!] Languages: Invoices: Language variable was wrong. Fixed.
[!] Locations: Chosen country/state was visible in the list of all available countries/states on the Editing location page. Fixed.
[!] Orders: Re-pay: Basic theme: Selected payment templates weren't being loaded when changing the payment method. Fixed.
[!] Payments: PayPal Pro: The "pp_product_count_is_incorrect" error message appeared, even if the transaction was successful. Fixed.
[!] Payments: PayPal:  Transaction id, payer id and payer email information was not saved. Fixed.
[!] Products: Search: Products with option combinations couldn't be found using search form at the customer area when the "Show out of stock products" setting was disabled. Fixed.
[!] Promotions: Cart: Information about applied promotions wasn't displayed on the cart details page, if the Gift certificated add-on was disabled. Fixed.
[!] Security: SSL check wasn't executed when enabling secure connection for admin/storefront. Fixed.
[!] Shippings: The Configure tab was not updated when changing the carrier. Fixed.
[!] {#5672} Add-ons: Comments and reviews: The Write a review popup didn't appear on a product details page on mobile devices. Fixed.
[!] {#5698} Add-ons: Wish List: The Add to wish list button didn't work with enabled "Sign up for notification" setting. Fixed.
[!] {#5699} Add-ons: RSS: Timestamp was generated incorrectly, if RSS was generated for an empty category. Fixed.
[!] {#5701} Promotions: Orders: Multi-Vendor: Promotion based on the number of products in the order wasn't applied correctly, if the cart had products of different vendors. Fixed.
[!] {#5712} Design: Product filters: Horizontal filters were displayed incorrectly. Fixed.
[!] {#5716} Blocks: Scroller: Product scroller worked incorrectly. Fixed.
[!] {#5731} Core: Less: base64-encoded images were handled incorrectly when translating LESS to CSS. Fixed.
[!] {#5763} Design: Products: Thumbnails gallery: Thumbnail height was calculated incorrectly on a product details page. Fixed.

Version 4.3.1, April 29 2015

[+] Add-ons: Bestsellers: Ability to list similar products added.
[+] Add-ons: Bestsellers: Pages with all on-sale, final sale, newest, and bestselling products added.
[+] Add-ons: Call requests: Image verification added to the call request form.
[+] Add-ons: Comments & reviews: Ability to enable comments & reviews for products via export/import functionality.
[+] Add-ons: Newsletters: Promotions: The "Customer is subscribed" condition added.
[+] Add-ons: Social login: Google+ and Pinterest support added.
[+] Add-ons: The Blog add-on added.
[+] Add-ons: The Newsletters add-on was created from the News and Emails add-on.  
[+] API: Ability to manage options combinations added.
[+] API: Ability to manage options exceptions added.
[+] API: Ability to manage product options added.
[+] API: Ability to manage user groups added.
[+] API: Block manager: Ability to manage blocks added.
[+] API: Default API version increased to 2.0.
[+] API: The new "api_check_access" hook added.
[+] Backend: Ability to edit the 'robots.txt' file added.
[+] Backup/Restore: Ability to make a full store backup and restore added.
[+] Cache: 2-week cache storage for all images added.
[+] Cache: APC and XCache backends support added.
[+] Checkout: Ability to hide 1, 3, and 4 checkout steps added.
[+] Design: Ability to use personal logos/favicons for different styles added.
[+] Design: Layouts: Ability to configure the top panel, the header, and the footer containers on all layout pages added.
[+] Design: New product details template added.
[+] Design: Wrapper: New wrapper 'footer general' added.
[+] Exim: Ability to Export/Import images for option combinations, option exceptions, option variants, and price/weight modifiers added.
[+] Exim: Features: The "category delimiter" option added.
[+] Filters: Layouts: A layout page for product search results added.
[+] Hooks: New hooks added to currencies, languages, user groups, order statuses, promotions, taxes, payments, and shippings in the backend.
[+] JS: Downloading jquery and jqueryui from Google CDN added.
[+] JS: Lazy image loading added.
[+] Menus: New "Class" field added. User-defined CSS class will be added to the menu item, so this will allow to define the menu item with its own CSS style.
[+] Multi-Vendor: Ability to make a fully featured vendor storefront like on eBay added. 
[+] Multi-Vendor: Vendors were forbidden to enter JavaScript code.
[+] Products: Bulk promo text editing added.
[+] Promotions: New condition "Shipping methods" added.
[+] Sign in: Registration link added to the login popup.
[+] Upgrade center: New Upgarde center implemented.

[*] Add-ons: Call requests: Email notifications added.
[*] Add-ons: Call requests: The "Phone mask" setting added for the phone number.
[*] Add-ons: E-mail marketing: The E-mail marketing add-on now uses different settings and API keys for different storefronts.
[*] Add-ons: Store locator: Links were cut out from the Description field when using HTML mode in it.
[*] Add-ons: Tags: User tags removed.
[*] Admin: Tabs in the admin panel look like pills now.
[*] Cache: Caching for category products added.
[*] Cache: The Main content block & filters are cached now.
[*] Checkout: Multi-page checkout style removed.
[*] Core: The "Image verification: Use for" settings were replaced by a multi-checkbox setting.
[*] Core: Users: Profiles: Ability to use a username instead of an email for authentication removed.
[*] CSS/JS: The gzip_css_js tweak is no longer available.
[*] Database: CS-Cart database works correctly in Strict mode now.
[*] Exim: Product options support multiple languages now.
[*] File editor: File editor was divided into templates editor and other files editor.
[*] File uploader: Image format validation now uses the MIME type instead of checking the image extension.
[*] Filters: Advanced filters removed, date picker support added, search by filter variants added, ability to filter by a checkbox feature added.
[*] Filters: Basic theme: Blocks modified to support new filters.
[*] Filters: Links replaced by checkboxes, product count calculation added, filter by number features looks like a slider now, filter positions can be changed via drag-n-drop in the admin panel.
[*] JS: JavaScript is loaded last and doesn't block page loading now.
[*] Modules: Apache mod_deflate is used instead of the PHP gz_handler.
[*] Modules: GeoIp data updated.
[*] Payments: PayPal express checkout: Malaysian Ringgit and Turkish Lira added to the Currencies list.
[*] Products: Ability to enable/disable downloadable products feature added.
[*] Products: Ability to update shared products positions under the All stores mode added.
[*] Shippings: Shipping settings section removed, the Add/update shipping method page improved.

[!] Add-ons: Access restrictions: Email checking function didn't work with PECL version higher than 8.33. Fixed.
[!] Add-ons: Banners: SQL error occured when updating the banner image. Fixed.
[!] Add-ons: Buy together: Combination products were shown when they shouldn't be (hidden, out of stock, etc.). Fixed.
[!] Add-ons: Comments and reviews: Pagination on the categories page did not work. Fixed.
[!] Add-ons: Comments and reviews: Testimonials: Posts in the "Testimonials" block were displayed randomly despite the settings. Fixed.
[!] Add-ons: Ebay: Export was failed if the company postal code didn't belong to the country defined in the template settings. Fixed.
[!] Add-ons: Ebay: Social login: If an admin had no permissions, he could still manage the Social login and the ebay synchronization add-on. Fixed.
[!] Add-ons: Ebay: XML parsing error appeared during features export to ebay. Fixed.
[!] Add-ons: Form builder: HTTPS redirecting was active in AJAX mode. Fixed.
[!] Add-ons: Gift certificates: Min and max amount were calculated incorreclty if the primary currency was disabled. Fixed.
[!] Add-ons: Gift certificates: Physical size of the price value was smaller then the size of the currency symbol on a gift certificate. Fixed.
[!] Add-ons: Google export: Exporting the "Sale price" field caused perfomance issues. Fixed.
[!] Add-ons: HiDPI: The background color of the newly generated image was always "white". Fixed.
[!] Add-ons: HiDPI: The "Image format is not supported by GD library installed on your server." error message was displayed when cloning the storefront. Fixed.
[!] Add-ons: Newsletters: Incorrect SMTP server settings were used. Fixed.
[!] Add-ons: Newsletters: The "Confirmed" flag wasn't enabled for the mailing lists with no autoresponder. Fixed.
[!] Add-ons: Newsletters: The latest subscription's timestamp was applied for all subscribers. Fixed.
[!] Add-ons: Original values for add-on settings were not cleared when uninstalling an add-on. Fixed.
[!] Add-ons: Reward points: Missing language variable was used in the Reward points log. Fixed.
[!] Add-ons: Reward points: Order management: The "Points in use" field disappeared after editing the order in the admin panel. Fixed.
[!] Add-ons: SEO: A database error occured when changing SEO settings, if a product with SEO name was removed with the SEO add-on disabled. Fixed.
[!] Add-ons: SEO: A lot of pages were not being indexed. Fixed.
[!] Add-ons: SEO: A product SEO name was generated incorrectly after removing the main category of the product. Fixed.
[!] Add-ons: SEO: Some japanese hieroglyphs were cut out when generating SEO name.
[!] Add-ons: Social login: PHP notice occured when company_id=0. Fixed.
[!] Add-ons: Social login: Users couldn't link social accounts to their profiles, if the "quick registration" setting was disabled. Fixed.
[!] Add-ons: Social login: Widget mode: The Social login add-on didn't work properly in the Widget mode. Fixed.
[!] Add-ons: Store import: PHP fatal error appeared, if an admin converted LESS to CSS in the Visual editor before import. Fixed.
[!] Add-ons: Wishlist: When adding a product to the wishlist from the Quick View pop-up, a notification was displayed behind the pop-up. Fixed.
[!] API: Incorrect parameter settings for the number of displayed elements on the page were used by default. Fixed.
[!] API: Payments: Shipping: The wrong condition didn't allow admin to create a shipping or a payment method via API. Fixed.
[!] Block manager: Block settings: Zero value was replaced by the previous value in the Third level elements field. Fixed.
[!] Block manager: Grids could be arranged globally from the Layouts tab of a product details page. Fixed.
[!] Call requests: Phone number was hidden if the "Phone prefix length" setting was empty. Fixed.
[!] Categories: Selected sorting was not being saved when updating category page.  Fixed.
[!] Checkout: Credit card validation didn't work properly on Mac OS X Yosemite & default Japanese IME. Fixed.
[!] Checkout: Settings: Minimum order amount message wasn't shown on checkout. Fixed.
[!] Core: HTTPS determined incorrectly using header HTTP_X_HTTPS. Fixed.
[!] Core: Image verification: Captcha was not displayed, if the Background image option was set up. Fixed.
[!] Currencies: Live exchange rates: Primary currency was displayed twice. Fixed.
[!] Dashboard: The Abandoned carts block showed the number of products in the cart instead of the number of abandoned carts. Fixed.
[!] Design: Backend: Extra symbols were displayed near the Close button in the popup window, if the Japanese lanuage was chosen for the admin panel. Fixed.
[!] Design: Backend: Positioning of the multiple-select box tooltip improved.
[!] Design: Feature comparison: The image height ignored the "products list thumbnail height" setting. Fixed.
[!] Design: Menu: Function definition of the horizontal or vertical menu did not work properly. Fixed.
[!] Design: Products: If the width of the detailed image was less than 280px the image was not centered. Fixed.
[!] Design: Products: Long promo text displayed incorrectly on the product details page when there were many option combinations images. Fixed.
[!] Design: Products: Scroller: The scroller block was displayed incorrectly on mobile devices, if the quantity of the items in the block was equal to one. Fixed.
[!] Design: Quick menu: An admin was redirected to the blank page after adding a new section. Fixed.
[!] Design: Scroller: The Quick View button wasn't visible when hovering the mouse pointer over it. Fixed.
[!] Design: Store locator: The search button of the Store locator block was dispalyed in the top right corner of the page. Fixed.
[!] Design: Styles: A page, that was loaded over HTTPS, got an error because it requested unsecured content.
[!] Design: Styles: If the top panel in the Posh style had full width, an admin couldn't change the color of the whole panel. Fixed. 
[!] Design: Styles of the vertical menu fixed for Brightness styles.
[!] Exim: Feature variants couldn't be imported, if the feature name contained the newline character. Fixed.
[!] Exim: If all the products were exported and then deleted, after the deletion they could be exported again. Fixed.
[!] Exim: If there was more than one storefront, product descriptions of the root storefront were updated during data import. Fixed.
[!] Exim: Users: Profile fields were exported and imported incorrectly when they were created for the billing/shipping section. Fixed.
[!] Exim: Users: There was an ability to change the user type of the root admin via the import functionality. Fixed.
[!] Installer: mod_security detection worked incorrectly and blocked further installation. Fixed.
[!] JavaScript: JavaScript Error occured when changing the vendor for a product. Fixed.
[!] Live editor: Compatibility with demo store panel implemented.
[!] Live editor: Language variables: The value wasn't saved in the cscart_language_values table. Fixed.
[!] Multi-Vendor: Add-ons: Vendor data premoderation: During cloning, the products got the Pending statuses regardless the add-on settings. Fixed.
[!] Multi-Vendor: If a vendor had restricted categories, the bulk product addition didn't work. Fixed.
[!] Multi-Vendor: Orders: Checkout: When buying products from several vendors, minimum order amount was checked for each vendor sub-order. Fixed.
[!] Multi-Vendor: Users: Vendors couldn't update or activate their profiles. Fixed.
[!] Order management: If the product option was blocked by the forbidden combination, that product was deleted from the cart when editing the order. Fixed.
[!] Orders: The "Incomplete orders" button wasn't displayed under the gear menu, if all the orders with other statuses were deleted. Fixed.
[!] Orders: User email link on the order details page didn't work, because of the incorrect @ symbol encrypting. Fixed.
[!] Pages: Comments & reviews: The "Save and close" button redirected incorrectly, if REQUEST contained the "page" parameter. Fixed.
[!] Payments: 2checkout: The shipping address was requested at the payment even if the cart contained only EDP products. Fixed.
[!] Payments: Ability to choose currency in PayPal Advanced added.
[!] Payments: Add-ons: If a payment processor was added by an add-on, it remained active after disabling the add-on. Fixed.
[!] Payments: Amazon checkout: Session started incorrectly when callback from Amazon was received. Fixed.
[!] Payments: CRE Secure: Credit card data input fields were too small. Fixed.
[!] Payments: DataTrans: Configuration instructions were updated.
[!] Payments: eWay: Client Side Encryption fuctionality added.
[!] Payments: PayPal: Order got failed if gift certificate amount was greater then order total. Fixed.
[!] Payments: PayPal Standard: PayPal IPN worked incorrectly, if a customer used promotions. Fixed.
[!] Payments: PayPal Standard: Users did not receive notifications about orders with the Open status. Fixed.
[!] Payments: PayPal: "The Low in stock" notification was sent twice during IPN processing. Fixed.
[!] Performance: Categories: Changing category's company was extremely slow. Fixed.
[!] Product options: There was no ability to uncheck a product option from the cart page. Fixed.
[!] Product options: Unselected product options were shown in the admin invoice, if the selectbox type was excepted and could not be selected. Fixed.
[!] Products: Admin couldn't edit user groups for several products, if localization functionality was disabled. Fixed.
[!] Products: EDP: Order management: The "No shippings available" error appeared when editing order with no shipping required. Fixed.
[!] Products: Files: In some cases, EDP/files attached to products were downloaded damaged. Fixed.
[!] Products: Files: The php warning appeared when a user downloaded the preview file. Fixed.
[!] Products: If a product had zero price and the "Ask customer to enter the price" option chosen, the ruble sign was displayed incorrectly. Fixed.
[!] Products: Quantity discount wasn't removed after deletion of the corresponding user group. Fixed.
[!] Products: Quick View: The popup didn't open in full size, but with a scrollbar. Fixed.
[!] Profile fields: The last available year in the date picker was the current year. Fixed.
[!] Promotions: The "Categories > in" promotion condition worked incorrectly at the last checkout step. Fixed.
[!] Promotions: The "Give user group" bonus wasn't applied when the group was hidden. Fixed.
[!] Promotions: Using the "once per customer" condition together with condition groups caused PHP notice. This kind of promotion was applied incorrectly in case of the complicated condition logic. Fixed.
[!] Promotions: Visual editor: Applied promotions notice appeared after entering the visual editor with an empty cart. Fixed.
[!] Scripts: Blocks JS code caching worked incorrectly. Fixed.
[!] Searchanise: If the store database was inconsistent, PHP notices appeared while submitting data to Searchanise. Fixed.
[!] Searchanise: Price was displayed incorrectly when the currency settings used html entites. Fixed.
[!] Shipments: Print Packing Slip: The line break tag was displayed in the comments field. Fixed.
[!] Store import: PHP comments with # symbol were not removed from configuration files. Fixed.
[!] Store import: SQL error appeared if PayPal settings contained apostrophe. Fixed.
[!] Stores: Ability to delete the only storefront was disabled.
[!] Stores: Entered company settings were overwritten by another company settings when creating the company. Fixed.
[!] The "Your changes have not been saved" notification was displayed for all forms with price field (if the currency symbol was displayed in the input field) when reloading page without any changes.
[!] Users: Existing customer's e-mail could be used to create an admin account. Fixed.
[!] Widget mode: Widget mode was enabled, if the hostname contained any port (for example, localhost:9090). Fixed.
[!] WYSIWYG: CKEditor: Some text in the <span> tag removed from the source code. Fixed.
[!] WYSIWYG: Redactor: Background color of the text wasn't saved. Fixed.
[!] {#5155} Layouts: Block copies were created during layout import with the Russian language active. Fixed.
[!] {#5191} TinyMCE: ElFinder: Image scaling didn't work. Fixed.
[!] {#5288} Payments: Proxy Pay: Order could be processed twice. Fixed.
[!] {#5305} Add-ons: Buy together: Product combination was displayed confusing in the cart. Fixed.
[!] {#5315} Stores: Storefront URL was case-sensitive which caused redirect loop. Fixed.
[!] {#5349} Add-ons: Reward points: Promotions: Order management: The "Stop other rules" setting didn't work because the promotion with the "Points on user account" condition wasn't applied at order management. Fixed.
[!] {#5356} Orders: EDP notification was sent even if the "Notify customer" option was disabled. Fixed.
[!] {#5362} Features: If an admin did not set the value for a feature of the Date type, it was set to 01/01/1970. Fixed.
[!] {#5372} Social buttons: SEO: SEO name was not generated for product that was shared via e-mail. Fixed.
[!] {#5373} Design: Payments: The payment method icon was resized on checkout. Fixed.
[!] {#5379} Add-ons: RSS feed: PHP error occured, if the product didn't have any images. Fixed.
[!] {#5380} Design: Basic theme: CSS class "2checkout" was renamed to "twocheckout".
[!] {#5385} Order statuses: All stores: The "Update for all stores" button didn't work for the E-mail header field. Fixed.
[!] {#5391} Promotions: Cart: The "Subtotal" promotion condition didn't take into account the discount applied by another promotions. Fixed.
[!] {#5392} Multi-Vendor: Add-ons: Gift certificates: There was an ability to add a gift certificate together with products to the cart. Fixed.
[!] {#5395} Orders: Order management: When choosing another customer in the order management section, the order creation date was replaced by the customer registration date. Fixed.
[!] {#5404} Categories: Products: Setting in-category position of product that belonged to several categories worked incorrectly. Fixed.
[!] {#5416} Design: Products: A product name was cut short, even if there was much free space. Fixed.
[!] {#5427} Core: Email validator: Emails with new .consulting domain name didn't pass the validation. Fixed.
[!] {#5430} Admin: Categories: In some cases, a product wasn't removed after its category deletion. Fixed.
[!] {#5436} Design: Products: Product description text in h1-h6 tags was displayed incorrectly if it was long. Fixed.
[!] {#5446} Call requests: Product quantity and product options were ignored. Fixed.
[!] {#5447} Core: Hooks: The create_pages_condition_pre and the create_pages_condition_post hooks were doubled incorrectly. Fixed.
[!] {#5456} Checkout: The payment name was not displayed, if only one payment method was enabled. Fixed.
[!] {#5457} Design: Cart: Table header had the same color as the first element of the table. Fixed.
[!] {#5458} Design: Product tabs font ignored Visual editor settings. Fixed.
[!] {#5467} Design: Responsive theme: Menu did not work on the devices that combined touch screen and mouse controls. Fixed.
[!] {#5472} Design: Shipments: A shipment number was wrong on the order details page. Fixed.
[!] {#5473} Add-ons: Social login: Duplicate id removed.
[!] {#5476} Payments: PayPal Standard: The pp_product_count_is_incorrect error appeared, if the "Price included tax" option was disabled. Fixed.
[!] {#5493} Currencies: Selecting a currency using "currency_code" caused the SQL error. Fixed.
[!] {#5530} Shipments: Order statuses: Restricted administrator could create a shipment with new order status, even if it was forbidden by the user group. Fixed.
[!] {#5548} Add-ons: Social buttons: Facebook button did not work, if the "button font" setting contained two words. Fixed.
[!] {#5606} Payments: PayPal: An error appeared if the description field contained more than 127 symbols. Fixed.
[!] {#5609} Payments: PayPal: Email notification was sent twice to the order department email address. Fixed.
[!] {#5635} Payments: PayPal: 3dSecure did not work. Fixed.
[!] {#5641} The "Notify visitors about cookies use" notification was not W3C compatible. Fixed.

Version 4.2.4, November 27 2014

[+] Addons: The 'PayPal' addon added.
[+] Core: IPv6 support added.
[+] Design: Responsive theme: Auto-scroll to active section added to accordeon.
[+] Payment methods: Realex Payments added. 
[+] Sales reports: Pie chart legend added.

[*] {#5241} Admin panel: Navigating to a page with an ID higher than the max available page number now redirects to the page with the biggest available number.

[!] Addons: Comments and reviews: Average rating could be calculated incorrectly if the reviews were made without rating. Fixed.
[!] Addons: Comments and reviews: Product rating was misplaced when big thumbnails were used. Fixed.
[!] Addons: Form builder: Multiple checkbox/selectbox values were not saved between requests if image verification code was invalid. Fixed.
[!] Addons: Image zoom: Zoomed image could be centered incorrectly if the uploaded detailed image was smaller then the image size on the product details page. Fixed.
[!] Addons: RSS feed: Items from subcategories were not displayed even if the "Show products from subcategories of the selected category" option was enabled. Fixed.
[!] Admin panel: Product management: The "This webpage has a redirect loop" error could occur when all products were deleted from the store. Fixed.
[!] Admin panel: Settings: The "Security" section was not available for individual storefronts. Fixed.
[!] AJAX request's return_url was generated based on the requested page URL instead of the referer URL. Fixed.
[!] Categories: Products: Product position wasn't saved on bulk product addition. Fixed.
[!] CKEditor: All text input fields were disabled if the editor was used in a modal window. Fixed.
[!] Core: Hooks: The second param was ignored on hook priority registration. Fixed.
[!] Design: Basic theme: Images from the Promo text field were not properly resized. Fixed.
[!] Design: Products: An empty product details page was displayed too narrow. Fixed.
[!] Export/Import: Products: Tracking: Empty "tracking" field caused the product not to be shown in the products list. Fixed.
[!] Orders: Tracking: The tracking number text was grammatically incorrect. Fixed.
[!] Payment methods: Paypal: Hebrew symbols displayed incorrectly on the PayPal side. Fixed.
[!] Product options: The selected option was not highlighted with a border. Fixed.
[!] Product options: Options with no available variants due to allowed combinations were displayed when should have been hidden completely. Fixed.
[!] Products: Options: Blocks: Product option manipulation did not trigger the "Products" block cache to refresh. Fixed.
[!] Products: Price: Addons: SEO: Product price could be found in the page source by a guest customer even if the "Hide price and the 'Add to cart' button" setting was active. Fixed.
[!] Render manager: Block content could be generated twice if the grid was auto-resized. Fixed.
[!] Shipping methods: Temando: The "Default suburb" setting was displayed incorrectly. Fixed.
[!] Shipping methods: USPS: PHP error notice was displayed on the checkout page when shipping price was calculated. Fixed.
[!] WYSIWYG: Redactor: Redactor didn't work with Portuguese language. Fixed.
[!] {#5219} Promotions: Coupon: There was an ability to use a coupon code with number of usages of 1 more than once. Fixed.
[!] {#5234} Design: Products: Long promo text was displayed incorrectly on the detail product page. Fixed.
[!] {#5263} Order management: Manually set tax rates with 3 decimal digits were rounded during order editing. Fixed.
[!] {#5271} Addons: News and emails: If a SEO rule was assigned to the "newsletters.track" dispatch, the SEO link was generated incorrectly. Fixed.
[!] {#5282} Design: Addons: Reward points: Space between 'price in points' and 'reward points' was bigger than between any other two fields. Fixed.
[!] {#5283} The 'addEventListener' event  did not work in IE8. Fixed.
[!] {#5299} Addons: Comments and reviews: Empty stars were displayed in the categories pages when only comments without rating were enabled. Fixed.
[!] {#5317} Shipping methods: Currencies: The first line on the Cost dependencies page was displayed with the secondary currency symbol. Fixed.
[!] {#5324} Order management: Promotions: Reward points: Promotion dependent on user's reward points count was always applied on order edition. Fixed. 
[!] {#5325} Addons: Call request: The call request form was loaded for all products, even if the Buy in one click button was disabled. Fixed.
[!] {#5337} Products options: Product with several options with a File type one among them could not be added to cart. Fixed.
[!] {#5348} Export/Import: Products: Images: Detailed image type was used instead of preview image type. Fixed.

Version 4.2.3, October 16 2014

[+] Addons: eBay synchronization: New privileges (view/manage) added for usergroups.
[+] Addons: Social login: Ability to log in with PayPal account added.
[+] API: Ability to specify the API version by calling the setVersion PHP function added.
[+] Categories: Notification about consequences of category deletion added.
[+] Design: Layouts: Ability to add custom HTML code between the head tags added.
[+] Design: Layouts: Ability to drag-and-drop grids added.
[+] Design: Themes: The Brightness style added.
[+] Design: Themes: The MTronX style added.
[+] Edit content on-site: The ability to edit content in real-time through the storefront added.
[+] {#5100} Addons: Suppliers: The Supplier field added to the product field list on product export/import.

[*] Addons: Social login: Ability to log in via social networks on checkout added.
[*] Addons: Social login: The Hybrid Auth library updated.
[*] API: All private properties and methods of API classes changed to protected.
[*] Carriers: Ability to add extra information to a custom carrier added.
[*] Core: Unnecessary "Disallow" rules removed from the robots.txt file.
[*] Core: The HTTP class: The PUT and DELETE methods added.
[*] Design: Layouts: Grid's width is now re-calculated automatically if nearby grids are disabled or have empty content.
[*] JavaScript: Instant file uploader added.
[*] Shipping methods: USPS: Service names updated according to the latest changes by USPS.

[!] Addons: eBay synchronization: An SQL error appeared when admin tried to create an eBay template and the "Site id" option was empty. Fixed.
[!] Addons: eBay synchronization: The tooltip for the "Use as default" option was incorrect. Fixed.
[!] Addons: eBay synchronization: If the eBay synchronization addon was enabled, admin was unable to change the "Reviews" product option. Fixed.
[!] Addons: Email marketing: The newsletter checkbox was always unchecked no matter if the Tick-off by default setting was enabled or disabled. Fixed.
[!] Addons: Email marketing: Mailchimp sync did not work properly when the Mailchimp subscriber list was empty and new subscribers were added to the Mailchimp list. Fixed.
[!] Addons: My changes: Template overriding worked incorrectly. Fixed.
[!] Addons: Required products: PHP warning and notice appeared when deleting required product from cart after shipping cost calculation. Fixed.
[!] Addons: Social login: Social networking icons were not displayed in the login form. Fixed.
[!] Addons: Tags: JavaScript error appeared when Backspace was pressed in an empty field. Fixed.
[!] Addons: Tags: The Cyrillic "б" symbol was not allowed in tags. Fixed.
[!] Addons: SEO: Rich snippet preview URL was generated incorrectly. Fixed.
[!] Addons: Reward points: Order management: If product price was reduced to zero on the order management page, reward points were not recalculated. Fixed.
[!] Addons: Wishlist: PHP 5.4: A PHP error notice appeared in the error log file when adding products to Wishlist. Fixed.
[!] Admin panel: Appearance: The "Notice displaying time" setting value containing comma caused a JavaScript error. Fixed.
[!] Admin panel: Product features: Selected feature variants were removed from a product when a new category was added for a feature. Fixed.
[!] API: A PHP notification was displayed on the stores endpoint on GET request. Fixed.
[!] API: API error messages had a colon at the end (for example, "Forbidden:"). Fixed.
[!] API: Non-root admins could not access the orders endpoint with DELETE request. Fixed.
[!] API: Non-root admins could not access the shipments endpoint. Fixed.
[!] API: Orders: The Customer notes field was empty after order creation. Fixed.
[!] API: The area parameter was omitted for the Entity class constructor. Fixed.
[!] Checkout: Shipping: PHP warning and notice appeared in the "Shipping Options" section at checkout if the USPS shipping method was malconfigured but enabled. Fixed.
[!] Core: Sessions: The session DB table was not garbage collected on hosts with particular distros (e.g. Debian). Fixed.
[!] Core: Storefront URLs beginning with "www2" or "www4" were not parsed correctly when determining the current storefront. Fixed.
[!] Currencies: If a currency sign included HTML symbols, it was displayed incorrectly in input fields. Fixed.
[!] Database: Backup: Archived backup file could not be overriden. Fixed.
[!] Date picker: At checkout, the calendar icon could not be seen because it was the same color as the background. Fixed.
[!] Design: Basic theme: The "Contact us" form broke down if it was shown in a popup window. Fixed.
[!] Design: Categories block: In the "Multi-column list" template, the number of columns in block settings could not be changed. Fixed.
[!] Design: Features: Indention between check box and variant name was missing for the Check box type features. Fixed.
[!] Design: Layouts: All existing categories were fetched from the database when using the "Dropdown horizontal" template for the "Categories" block. Fixed.
[!] Design: Layouts: Child grids were not rendered properly if one of the grids was empty. Fixed.
[!] Design: Payment icons: The 2CO icon could not be hidden because there was no 2checkout CSS class. Fixed.
[!] Design: Themes: The name of a theme was selected incorrectly when using more than one storefront. Fixed.
[!] Design: Wrapper: Title in the "Mainbox general" wrapper was rendered with the h2 tag (should be h1). Fixed.
[!] Export/Import: Text feature variants were imported incorrectly if they contained ";" or ":". Fixed.
[!] Languages: Addons: Empty addon description fields caused errors during addon installation. Fixed.
[!] Language variables: The "api_key" language variable was used with different meanings in the core and the Store Locator add-on. Fixed.
[!] Multi-Vendor: Languages: Ability to change the language status was enabled for storefronts vendors. Fixed.
[!] Multi-Vendor: The admin was not redirected to the vendor details page after creating a new vendor. Fixed.
[!] Orders: When pressing the Enter key in the text input field, an order was placed. Fixed.
[!] Orders: There was an ability to place an order with restricted conditions (e.g. omitting minimum order total). Fixed.
[!] Orders: High poduct amount in an order could cause an error. Fixed.
[!] Orders: The shipping address was overridden by the billing address if a customer clicked the "Edit shipping" link. Fixed.
[!] Payment methods: Authorize.NET: The used API version was incorrect. Fixed.
[!] Payment methods: Paypal express: The cart total was calculated incorrectly if a gift certificate was added as a promotion bonus. Fixed.
[!] Promotions: When a bonus was deleted, another bonus of the same promotion was deleted, too. Fixed.
[!] Quick view: Comments and Reviews: A popup for comments and reviews opened incorrectly when opened from the Quick view. Fixed.
[!] Stores: Port was trimmed from the Storefront URL and Secure storefront URL fields. Fixed.
[!] Stores: The "fn_ult_is_shared_product" function showed that a product was shared among several storefronts when it really was not. Fixed.
[!] Users: Profile fields: Orders: Empty customer information fields were saved if they were disabled in the billing or shipping address form on checkout. Fixed.
[!] {#5156} API: Orders: Email notifications were not sent to customers/department on order status changing. Fixed.
[!] {#5166} Order management: Product subscribers were deleted during order editing. Fixed.
[!] {#5169} Design: Responsive theme: Quick view: The quantity input field broke down if the "Value changer" setting was disabled. Fixed.
[!] {#5171} ElFinder: The "sh: mogrify: command not found" error was added to the error log file when uploading any image via server. Fixed.
[!] {#5196} Products: Inventory: Non-tracked products with zero in-stock value were not visible in the list when the "Show out of stock products" setting was turned off. Fixed.
[!] {#5197} Design: Main menu broke down when resolution was changed to mobile device and back to desktop. Fixed.
[!] {#5198} Addons: Gift certificates: Currencies: A JavaScript error appeared when the "Dec sign" setting was empty. Fixed.
[!] {#5206} Addons: Social login and Janrain add-on: Email notifications about successfull registration were not sent to customers. Fixed.
[!] {#5211} Promotions: Discount: Category-based promotion bonuses for products were not shown on other category pages to which the product belonged. Fixed.
[!] {#5213} Design: Pages: Onclick-dropdown wrapper: If a page had the "Show this page in a popup window" setting, popup of the page broke down. Fixed.
[!] {#5218} Checkout: There was an ability to buy products with a disabled option variant. Fixed.
[!] {#5216} Promotions: Coupon: Coupon codes were case-sensitive. Fixed.
[!] {#5221} Quick view: The tooltip for the "Close" button in popups could not be translated. Fixed.
[!] {#5223} Design: Responsive theme: Top menu did not work after AJAX requests on touch devices. Fixed.
[!] {#5226} Design: WYSIWYG: CKEditor: Tables could not be inserted in the source code. Fixed.
[!] {#5231} Checkout: Credit card validation did not work on mobile devices. Fixed.
[!] {#5232} Design: Banners: Banners displayed at the width of the content despite the size of the grid. Fixed.

Version 4.2.2, August 27 2014

[+] Translations of the profile field names were moved to PO-file.
[+] Addons: Banner details notes were added.
[+] API: Auth: notify parameter was added.
[*] Orders: Order details page: Customer notes textarea was moved to the central box.
[*] PHPMailer: "Use Encrypted Connection" settings were added for SMTP server settings.
[*] Administration: The Users item was removed from the Customers menu.
[!] Storefront: Quantity: Min value in the quantity input field could be less than 1. Fixed.
[!] Banners: Banners were not shown in some cases if the default language was English. Fixed.
[!] Addons: Comments and reviews: The rating parameter on the categories page was calculated based on all reviews, including not approved ones. Fixed.
[!] Addons: Comments and reviews: Empty thread was not created for new companies. Fixed.
[!] Addons: Ebay: Error message appeared when “no image” picture was uploaded via HTTPS. Fixed.
[!] Addons: Reward points: Reward points were not recalculated in the user menu in the storefront until the page was reloaded. Fixed.
[!] Addons: Tags: Add tags did not work with UTF8 characters. Fixed.
[!] Back-end: Search: Search did not work when admin added product and continued the search. Fixed.
[!] Basic theme: Contact us form was displayed incorrectly in a popup window. Fixed.
[!] Checkout: Credit card validation did not work. Fixed.
[!] Dropdown vertical menu: Submenu was positioned incorrectly if it was wider than its parent menu. Fixed.
[!] Exim: Quantity discounts: Usergroup was set incorrectly. Fixed.
[!] File Uploader: The "File could not be uploaded" error was displayed when uploading files through the Server button from subdirectories. Fixed.
[!] Multi-Vendor: Admin was not redirected to the vendor details page after creating a new vendor. Fixed.
[!] Multi-Vendor: Themes: Active theme could be removed. Fixed.
[!] Name-based product sorting was unstable if the product owner name was different from the shared name. Fixed.
[!] Order management: Payment surcharge was not displayed when editing/adding order, but the order total was increased after creation. Fixed.
[!] Payments: Paypal: Shipping tax was applied twice if the "Tax calculation method based on" options was set to "Unit price". Fixed.
[!] Payments: Skrill: 404 error appeared if customer clicked 'Cancel' on the payment side. Fixed.
[!] Payments: Cardsave: Diacritical symbols were transferred to the payment system incorrectly. Fixed.
[!] Payments: Paypoint XML: Special characters were not encoded before sending to the payment system. Fixed.
[!] Price-based product sorting was incorrect in some case if the product owner price was different from the shared one. Fixed.
[!] Products: If a product was shared to several storefronts and then its original storefront was deleted, the product became uneditable. Fixed.
[!] Promotions: There was no text field to input value for Features->Text. Fixed.
[!] Responsive theme: If product tab had shipping estimation block then product page scrolled to this block. Fixed.
[!] Shippings: Products with the inner "Exclude from calculation" flag (Free or Bonus products) were considered when calculating shipping price. Fixed.
[!] Store import: company_id for the features SEO names were not reset to 0. Fixed.
[!] Store import: Customers were unable to complete checkout if the store was populated with data via Store Import and the Title profile field was enabled. Fixed.
[!] Store import: Import failed if new tables had no prefix. Fixed.
[!] Translation mode did not process language variables with dot in names. Fixed.
[!] Add-on language value re-defined by storefronts were not removed when uninstalling add-on. Fixed.
[!] Search: JavaScript pagination broke the search string if the string contained UTF8 characters. Fixed.
[!] Storefronts could change statuses for Countries, States, Taxes and Locations. Fixed.
[!] User profiles: Custom profile fields data was not removed when deleting user. Fixed.
[!] Addons: Email Marketing: Mailchimp synchronization did not work in some cases. Fixed.
[!] Multi-Vendor: Files editor: Vendor could edit theme files. Fixed.
[!] Pagination did not work in IE9. Fixed.
[!] Product tabs for disabled add-ons were displayed in the Product tabs list. Fixed.
[!] Products: 404 error appeared when user tried to unsubscribe from product notifications. Fixed.
[!] Widget mode: Automatic redirection to the products page occured when the 'filter product by price' block was on a page. Fixed.
[!] {#5128} Console mode: set_time_limit for console mode was reset by config file. Fixed.
[!] {#5160} Layouts: Block statuses: "Disable for" products sections did not save selected products. Fixed.
[!] {#5183} Suppliers: Order management: Suppliers shippings were not re-calculated after deleting the supplier’s product. Fixed.
[!] {#5125} fn_get_products did not return "full_description" for products if short description was specified. Fixed.
[!] {#5135} Styles of the discussion did not pass W3C validation. Fixed.
[!] {#5165} Responsive: Social buttons: Social buttons showed twice on detail product page. Fixed.
[!] {#5149} Addons: SEO: Rich snippets: Rating-related tags were generated if product had no rating. Fixed.
[!] {#5150} Styles of product options did not pass W3C validation. Fixed.
[!] {#5159} Addons: SEO: Trailing slash was missing in the URLs. Fixed.

Version 4.2.1, July 21 2014

[+] Addons: Ability to use PO files for add-on language variables added.
[+] Addons: Ebay sync: The add-on included to the default package.
[+] Addons: Image zoom: The AutoInside setting added. If screen width is less than 767px, the zoomed image appears inside the regular one.
[+] Addons: PO translation files created for all basic add-ons.
[+] Addons: Searchanise: PHP Hook "searchanise_signup_post" added.
[+] Addons: Suppliers: Ability to link a shipping with a supplier added to the shipping details page.
[+] Admin panel: Layouts: The "disable_cache" option added for blocks fillings.
[+] Admin panel: Video tutorials added.
[+] Core: Backend hooks: PHP hook "render_block_register_cache" added to app/Tygh/BlockManager/RenderManager.php.
[+] Core: Backend hooks: TPL hook "index:content_top" added to common/mainbox.tpl.
[+] Core: Backend hooks: TPL hook "products:simple_search" added to product_search_form.tpl.
[+] Core: Frontend hooks: TPL hook "checkout:shipping_estimation_method" added to shipping_estimation.tpl.
[+] Core: Frontend hooks: TPL hook "checkout:shipping_method" added to views/checkout/components/shipping_rates.tpl.
[+] Core: Frontend hooks: TPL hooks "auth_info:login_form", "auth_info:recover_password", and "auth_info:extra" added to blocks/static_templates/auth_info.tpl.
[+] Core: Frontend hooks: TPL hooks "manage_header" and "manage_data" added to orders/manage.tpl.
[+] Core: Frontend hooks: TPL hooks "orders:manage_header" and "orders:manage_data" added to order/search.tpl.
[+] Core: Frontend hooks: TPL hooks "products:product_name", "products:product_features", "products:product_amount", and "products:list_images_block" added to product_data.tpl.
[+] Core: Frontend hooks: TPL hooks "products:product_scroller_list", "products:product_small_item", and "products:product_thumbnail_list" added to the product templates products_scroller.tpl, small_items.tpl, and links_thumb.tpl.
[+] Core: Frontend hooks: TPL hook "promo_text" added to blocks/product_templates/default_template.tpl.
[+] Installer: "mbsting.func_overload" validation added.
[+] JS: The "dispatch_event_pre" trigger was added to the dispatchEvent().
[+] Payment methods: Paypal Advanced: Ability to select template added.
[+] Profile field names moved to a PO-file.
[+] Sessions: Session ID is now generated with the OpenSSL:openssl_random_pseudo_bytes function.
[+] web.config rules for IIS server added.
[*] Admin panel: Product features: Now when changing a feature type from Text to Select box, a warning message that the feature value will be lost is shown.
[*] Admin panel: Settings: The "Enable secure connection" settings group was moved to "Security settings" section. The "Keep HTTPS connection" setting was moved there too.
[*] Admin panel: The setting "Allow users to create shipments" was renamed to "Allow multiple shipments for a single order".
[*] Admin panel: The Settings Wizard pop-up dialog opened incorrectly when requested from the Setup completed pop-up dialog. Fixed.
[*] Addons: Searchanise: Data sending process stability improved.
[*] Addons: Searchanise: Updated to version 1.3; search by pages and categories added.
[*] Addons: Social login: The add-on Hybrid Auth renamed to Social Login.
[*] Addons: Banners: Demo data is always installed with the add-on now.
[*] Export/Import: Images were exported with absolute paths. Fixed.
[*] Image previewer: Default image previewer changed to MagnificPopup.
[*] Languages: PO parser now returns the erroneous line number if an error occurs.
[*] Storefront: Product page: Minimal value in the quantity input is now 1.
[*] Storefront: The "Our brands" page was not available in Free mode. Fixed.
[*] URL validator: The "(" and ")" symbols are considered valid now.
[*] When store is closed, the correct 503 status is returned now.
[*] var/htaccess now allows downloading xml, yml, jpeg file extensions.
[!] API: Open API: Every request was redirected to index.php if the SEO add-on was active. Fixed.
[!] Addons: Ebay sync: Paypal was not selected by default for the categories with PaypalRequired flag. Fixed.
[!] Addons: Ebay sync: Shipping cost was rounded to int value. Fixed.
[!] Addons: Data feed: SQL error occured if admin defined category without products for export. Fixed.
[!] Addons: Data feed: The "Detailed image URL" field was exported with https if the "Enable secure connection in the administration panel" option was enabled. Fixed.
[!] Addons: Gift certificates: Wishlist: Error PHP notice was displayed when deleting certificate with free product from the whishlist. Fixed.
[!] Addons: Google Export: Features not related to Google were removed during addon uninstallation. Fixed.
[!] Addons: Required products: PHP error notice was displayed when adding a product with a required product if cart was empty. Fixed.
[!] Addons: Required products: A product was not added to cart if its required product was assigned to several categories. Fixed.
[!] Addons: Searchanise: Wrong products data was submitted. Fixed.
[!] Addons: Watermarks: Watermark images were not cloned when creating new storefront. Fixed.
[!] Admin panel: Content would scroll down on page changing in a popup. Fixed.
[!] Admin panel: Store locator: TPL hooks: Hook "store_locator:detailed_content" in the <div> with id "content_addons" renamed to "store_locator:addons_content".
[!] Admin panel: Submitting the search form on pressing the Enter button did not work. Fixed.
[!] Admin panel: The Administration menu items could not be viewed on screens with resolution less than 1400 x 900. Fixed.
[!] Basic theme: Main menu: Horizontal scrolling appeared if a submenu had too many items. Fixed.
[!] Checkout: Taxes: The "Estimate taxes using default address on cart/checkout pages" flag did not work if a promotion with "States" or "Countries" condition was created. Fixed.
[!] Dev tools: The "Rebuild cache automatically" switch was not rest after theme cloning. Fixed.
[!] Design: Incompatible styles from one theme could be used in another. Fixed.
[!] Design: Popups did not show up in Safari 5. Fixed.
[!] Design: Responsive theme: Filters did not roll out on clicking on its name or arrow sign. Fixed.
[!] Export/Import: Products: Company in secondary category data was ignored. Fixed.
[!] Export/Import: Translations: Language variables with invalid language codes could be imported. Fixed.
[!] Export/Import: Main image was lost during additional images import. Fixed.
[!] Export/Import: Quantity discounts: Usergroup was set incorrectly. Fixed.
[!] Localizations: Localization showed on the payment methods page when the "tweaks.disable_localizations" param was set to "true" in the config. Fixed.
[!] Multi-Vendor: Filters: Filters by company did not work properly on the "View all" page. Fixed.
[!] Order management: Email notifications were sent even if the respective checkboxes were unchecked. Fixed.
[!] Orders: Invoices: Invoice did not have information about gift certificates. Fixed.
[!] Orders: Profile fields: Only the first contact profile field was displayed on the order details page in the customer area. Fixed.
[!] PayPal: Gift certificates: If a gift certificate fully covered product cost but did not cover shipping, PayPal rejected the order and the certificate status was changed to "Used". Fixed.
[!] Payment methods: Payflow Pro: Currencies support added.
[!] Payment methods: Paypal Express: Billing address was not sent to PayPal even if the "Send customer shipping address" option was enabled. Fixed.
[!] Payment methods: DPS Access: Order notifications were sent twice per order. Fixed.
[!] Product options: Exceptions: If an option variant had a price modifier and such option was forbidden by exceptions, the modifier could be applied twice. Fixed.
[!] Profile fields: Value of the input "State" was cleared when the "Country" filed was changed. Fixed.
[!] Promotions: Cart: Taxed price disappeared if the store had promotions with the "States" condition. Fixed.
[!] Promotions: Product name was displayed as [Object object] on the Bonuses page if the Condition page and the Bonuses page had the same product as condition. Fixed.
[!] Promotions: Usergroup bonuses did not work properly. Groups were not activated automatically. Fixed.
[!] Shipping: Packages: If a product had specific shipping settings but amount of this product was less than min allowed for shipping qty, fatal error occured on dividing products to packages. Fixed.
[!] Shipping methods: Temando: Suburb field was unreadable when calculating shipping. Fixed.
[!] Usergroups: Activation e-mail did not contain group name. Fixed.
[!] Users: User location was defined incorrectly if user data contained spaces. Fixed.
[!] {#4998} Addons: Suppliers: Notification to supplier was sent even if the "Notify supplier" checkbox was unchecked. Fixed.
[!] {#5029} Database: Names encoding and Strict mode were not changed after reconnections. Fixed.
[!] {#5081} Design: Full width layout: The header of the Email field on the "Apply for a vendor account" page slipped down. Fixed.
[!] {#5082} Descriptions of categoies, shippings, and countries were independant on the DESCR_SL language. Fixed.
[!] {#5083} Sessions: User products were not deleted from anonymous session when creating new profile. Fixed.
[!] {#5085} Product options: Files: Thumbnails for custom files were not displayed on the cart content page if the file was added during cart recalculating. Fixed.
[!] {#5089} Addons: Google Analytics: Information about campaign, source, etc. was not sent to Google during order placing. Fixed.
[!] {#5092} Filters: The "View all" links could be broken when the SEO addon was enabled and the "Show products from subcategories of the selected category" option disabled. Fixed.
[!] {#5099} Addons: SEO: SEO name was generated twice if Product name contained spaces and the "+" sign (e.g. "Product + bonus"). Fixed.
[!] {#5102} Addons: Store locator: A JavaScript error appeared when new location was added. Fixed.
[!] {#5106} Reorder: Product was added to cart with zero price on reorder if the cart already contained other products. Fixed.
[!] {#5107} Payment methods: Epdq: Live service connection URL was deprecated. Fixed.
[!] {#5120} User profiles: Custom profile fields were not removed when deleting user. Fixed.
[!] {#5135} Addons: Comments and reviews: W3C validation failed on the product details page. Fixed.


Version 4.1.5, May 20 2014

[+] Core: TPL hooks: New hooks 'orders:totals_shipping' and 'orders:totals_payment' added.
[+] Languages: If an error occurs during PO parsing, the parser now returns the erroneous line number.
[+] Orders: Shipments: Carrier name added to shipping information.
[+] Payment methods: "Alpha Bank" payment method added.
[+] Payment methods: Payflow Pro: Currencies support added.
[*] Admin panel: Store management: The same theme is now used for cloned store as for the original one.
[*] Free mode: Ability to install themes from the "themes_repository" directory added.
[*] Multi-Vendor: Filter by vendor now supports the "More" link and "View all" options.
[*] Themes: Manifest: The "theme" param renamed to "logo". The "theme" parameter will be supported up to verion 4.4.
[*] URL validation: "(" and ")" symbols are now considered valid.
[!] Addons: Data feed: SQL error occurred if the admin defined a category with no products to export. Fixed.
[!] Addons: Ebay: PayPal was not selected by default for the categories with PaypalRequired flag. Fixed.
[!] Addons: Ebay: Product features with the "Others->Text" type were not exported to Ebay. Fixed.
[!] Addons: Ebay: Shipping cost was rounded to int value. Fixed.
[!] Addons: Gift certificates: Gift certificate page logo was not added for Responsive theme. Fixed.
[!] Addons: Google analytics: Tracking code was not in the <head> section. Fixed.
[!] Addons: Google export: Features not related to Google were removed during addon uninstallation. Fixed.
[!] Addons: Required products: PHP error notification was shown if a product with a required product was addded to cart, and the cart had been empty. Fixed.
[!] Addons: Store import: Spain states overwrote custom states. Fixed.
[!] Addons: Suppliers: An "Unassigned" shipping method was not selected for "unassigned" products. Fixed.
[!] Addons: Suppliers: Shared suppliers were not displayed for non-onwer stores. Fixed.
[!] Addons: Watermarks: Object (category, product) images were not displayed in the customer area if appropriate checkboxes were not enabled on the add-on setting page. Fixed.
[!] Admin panel: Submitting the search form with Enter keypress did not work. Fixed.
[!] Admin panel: The "Rebuild cache automatically" scroller was not re-inited after cloning theme. Fixed.
[!] Admin panel: The Administration menu items could not be viewed on screens with resolution less than 1400 x 900. Fixed.
[!] Design: HTML tags were displayed in the testimonials block. Fixed.
[!] Design: Top menu: Full-width submenus were mispositioned if the parent menu had two rows. Fixed.
[!] Filters: The "Display all links" option was not shown on the filter creation page. Fixed.
[!] Languages: 3-letter PO-packages were not installed properly. Fixed.
[!] Languages: Empty "Available languages" tab was displayed after installing any new language. Fixed.
[!] Multi-Vendor: Filters: Filters by company did not work properly on the "View all" page. Fixed.
[!] Order management: Changing amount of products in a order had no effect on the product stock. Fixed.
[!] Order management: If an order had a product with free shipping, the shipping price was applied to the order total on saving the order changes, which increased the order total. Fixed.
[!] Order management: If an order had a promotion discount, manually defined discount could not be specified. Fixed.
[!] Orders: Country name was sent in an incorrect language if several languages were installed and default language was not English. Fixed.
[!] Orders: Purchased product amount could be incorrect if the product was included in several categories. Fixed.
[!] Payment methods: DPS Access: Order notifications were sent twice per order. Fixed.
[!] Payment methods: Westpac: Title of products with the " symbol were truncated to this symbol when the product data was submitted for processing. Fixed.
[!] Payments: Taxes: If customer had the "Tax exempt" option enabled and the payment had a surcharge, tax was still calculated for such payments. Fixed.
[!] Promotions: If two promotions gave the same free product, only the first promotion was applied. Fixed.
[!] Promotions: Order management: Promotion with the "Once per customer" condition was deleted on order saving. Fixed.
[!] Promotions: User groups: The "User group" label was shown in email even if the customer was not in any user group. Fixed.
[!] Shared products: Product owner could be changed when updating category from storefront. Fixed.
[!] Shipping methods: Temando: The Suburb field was unreadable when calculating shipping. Fixed.
[!] Shipping: Packages could be split incorrectly if Shipping params had "Min items in box" option specified. Fixed.
[!] Shipping: State name was escaped incorrectly on shipping estimation. Fixed.
[!] Shipping: The "Max box weight" option did not work. Products were not split by packages. Fixed.
[!] Upgrade: SQL error appeared during upgrade if table prefix started from a number. Fixed.
[!] {#1875} Payment methods: Ideal basic: Gift certificates were ignored. Fixed.
[!] {#4878} Addons: Data feed: The Detailed image URL field was exported with the "https" prefix if the "Enable secure connection in the administration panel" option was enabled. Fixed.
[!] {#4998} Order management: Email notifications were sent even if the respective checkbox was unchecked. Fixed.
[!] {#5002} Promotions: Product name was displayed as [Object object] on the Bonuses page if Condition page and Bonus page had the same product as condition. Fixed.
[!] {#5007} Addons: Required products: A product was not added to cart if its required product was assigned to several categories. Fixed.
[!] {#5016} Payment methods: PayPal Express: Subtotal was calculated incorrectly when tax was applied and it was calculated based on unit price. Fixed.
[!] {#5018} Sequential options: Radio-group option values were not displayed on the cart content page. Fixed.
[!] {#5021} API: Products: There was no ability to create product with zero price. Fixed.
[!] {#5027} Addons: Hybrid Auth: Customer was redirected to the home page from any page where they had logged in. Fixed.
[!] {#5043} Act on behalf: Cart content could be calculated incorrectly immediately after redirect to storefront if the customer had a discount on the products in cart. Fixed.
[!] {#5044} Design: Scroller product template: If width of an image was less than width of the block then scroller was not shown. Fixed.
[!] {#5046} Orders: All available downloadable products for several orders were displayed in a single order for a customer. Fixed.
[!] {#5056} File compression: Archive with several dots in name could not be created properly. The name was trimmed to the first dot. Fixed.


Version 4.1.4, April 23 2014

[+] Admin panel: Shipments: Ability to print packing slips in the PDF format added.
[+] Admin panel: Order management: The Shipping address dialog is now automatically opened and properly located on the order editing page.
[+] API: Open API: Restricted unauthenticated API access is now available. Fixed.
[+] Core: Hooks: New hook 'calculate_cart_post' added.
[+] Design: Themes: Ability to specify parent theme (source files theme) added.
[+] Design: Themes: Backward compatibility: Support of manifest.ini files returned.
[+] Payment methods: Sagepay: New credit card type support added.
[*] Addons: Form builder: Admin email is automatically added to the "Contact us" page now.
[*] Addons: SEO: Extended features could be accessed both by the SEO name with and without the .html extension. Fixed.
[*] Admin panel: The setting "Allow users to create shipments" renamed to "Allow multiple shipments for a single order".
[*] API: Rewrite rules improved to support subridectories.
[*] Installer: Extra checking for missing language packs added to the console installer.
[!] Addons: Data feeds: Cron export did not work if only one storefront was defined. Fixed.
[!] Admin panel: Abandoned carts: Online carts were not shown if the Redis session backend was used . Fixed.
[!] Admin panel: Dashboard: An Out of stock product could be shown incorrectly if it had been assigned to several categories. Fixed.
[!] Admin panel: Page title was broken after an AJAX request if a single quote was in the page title. Fixed.
[!] Admin panel: Redactor editor: The Redactor editor didn't load for a html block on language change. Fixed.
[!] Admin panel: Usergroups: Requests: Admin was unable to confirm several usergroup requests. Fixed.
[!] Calculated shipping rates were not recalculated after new product was added to cart. Fixed.
[!] Deployment: Windows: Temporarily created archives could not be removed because they were considered in use by the PharData class. Fixed.
[!] Design: The "Add to cart" dialog could not fit into screen area on small screens. Fixed.
[!] Design: Screen blinked on carousel initialization. Fixed.
[!] Export/Import: Product position was reset to 0 after import. Fixed.
[!] Multi-Vendor: Admin panel: The Add-ons tab was not displayed on the vendor details page. Fixed.
[!] Orders: Downloads: Pagination did not work on the Downloads page in the customer area. Fixed.
[!] Payment methods: DPS Access: order_id was defined incorrectly when the admin entered invalid credentials. Fixed.
[!] Payment methods: Paypal express checkout: The notice about how PayPal handles surcharges was misleading. Fixed.
[!] Payment methods: Sagepay direct: This payment method did not work with the 3d Secure protection active. Fixed.
[!] Payment methods: Worldpay: Customer was redirected to the incorrect store after payment. Fixed.
[!] Shipping methods: Temando: PHP error notice "Invalid argument supplied for foreach()" was displayed when testing the shipping in the admin area. Fixed.
[!] Store import: Theme was not reset to Basic is store had several storefronts. Fixed.
[!] {#4916} Design: Layouts: If the "Minimal number of items to be placed in a dropdown list" value was higher than 0, the language selector menu would break the page layout. Fixed.
[!] {#4933} Admin panel: Sales reports: The Sales by categories reports did not work with orders that contained deleted products. Fixed.
[!] {#4953} Products features: Brands: Ordered and unordered lists had no markers or numbers if used in brand description. Fixed.
[!] {#4969} Products: Comments and reviews: Extra empty comment was created when Enter was pressed. Fixed.
[!] {#4979} Payment methods: Westpac: Gift certificates were ignored when this payment method was used. Fixed.
[!] {#4980} Promotions: Free shipping bonus given by a coupon did not recalculate shipping cost immediately; only on the checkout page or after the "Recalculate" action. Fixed.
[!] {#4984} Image previewer: JavaScript error occurred on a click on a lightbox overlay. Fixed.
[!] {#4988} Design: Admin panel: Horizontal scrollbar appeared when the admin panel was viewed on iPad. Fixed.


Version 4.1.3, March 18 2014

[+] Addons: Image zoom: New position of the zoom list added.
[+] Export/Import: Orders: The Store field added to export.
[+] Logs: Multi-request logging added.
[+] Shipping methods: USPS: Ability to use "GroundOnly" flag added.
[*] API: Products: product_id is always returned in the integer type now.
[*] Admin panel: The "Keep HTTPS connection once a secure page is visited" option in Settings -> General restored.
[*] Core: API: The same language variable is now used in all error messages if a field is missing; obsolete language variables removed.
[*] Export/Import: Ability to export/import the following product properties: "max quantity", "quantity step", and "list quantity step" added.
[*] HTML tags can no longer be used in user data.
[*] Installer: Validator extended with the PharValidator.
[*] Layouts: Cache: Extra cache level "HTTPS" added.
[*] Payments: Security improvement: Only the payment processors used on the Payment methods page can now be accessed by a direct link.
[!] Addons: Gift Certificates: Free products from an applied certificate were occasionaly not removed from the cart when the certificate was removed. Fixed.
[!] Addons: Required Products: If a product with an assigned required product was added to cart for free with a promotion, the cart content preview would indicate the wrong number of products after the promotion was applied. Fixed.
[!] Addons: Social buttons: The Twitter button did not work with https connection. Fixed.
[!] Addons: Tags: Product tags were removed when admin used the m_override mode to update products. Fixed.
[!] Admin panel: Dashboard: DateRange picker: Date range always included one extra day (e.g. selecting Yesterday would show results for Yesterday + Today). Fixed.
[!] Admin panel: If a product option name included the qoute sign, the action dropdown menu (edit, delete) was not shown. Fixed.
[!] Admin panel: Orders: Statuses: Email was sent in incorrect language when an admin changed an order status. Fixed.
[!] Admin panel: Sales reports: SQL error occurred when an admin created a report with the Object to analyze option set to "Categories" and the Value to display option to "Order totals". Fixed.
[!] Admin panel: The store picker included the obsolete "email" field. Fixed.
[!] Admin panel: Theme store tab was always empty due to incorrectly closed div elements. Fixed.
[!] Admin panel: Upgrade center: An SQL error occurred during upgrade process if a language variable name contained the quote sign. Fixed.
[!] Admin panel: WYSIWYG editors CKEditor and TinyMCE did not process disabled fields properly when the "Update for all" button was used. Fixed.
[!] Companies: If the "Clone data" param was checked and then unchecked, error notice "Undefined index 0" was displayed on store creating. Fixed.
[!] Core: Fatal error occurred when compressing/decompressing archieves if PharData extension was not installed on the server. Fixed.
[!] Core: The "fn_get_order_info" function returned empty "tax_subtotal" value if tax calculation was based on subtotal. Fixed.
[!] Core: The PHP function to detect user agent could not detect Internet Explorer 11 correctly. Fixed.
[!] Core: The storefronts could be detected incorrectly, if their names were almost the same (e.g. test11 and test111). Fixed.
[!] Design: Menu: When pointing to the last menu entry, the next menu line was shifted. Fixed.
[!] Design: There was a white line between the top panel and the header panel. Fixed.
[!] Export/Import: An SQL error occurred during user import. Fixed.
[!] Export/Import: Users were not created during import. Fixed.
[!] Installer: Installer did not inform a user if they did not have sufficient permissions to create a database. Fixed.
[!] Multi-Vendor: Logos were not saved on new vendor creating. Fixed.
[!] Multi-Vendor: Order management: Email notification was not sent when an admin created an order. Fixed.
[!] Multi-Vendor: Vendor's logos were not changed on updating the vendor data. Fixed.
[!] Payment methods: Amazon checkout: Gift certificates did not work. Fixed.
[!] Payment methods: Paypal Express checkout: Shippings were not calculated when a customer returned from the PayPal page to proceed with the order. Fixed.
[!] Payment methods: Paypal Express checkout: The Shopping Cart Contents section was not displayed on the Transaction Details page. Fixed.
[!] Product features & filters: If the same feature has been used in filters more than once, some feature variants could be displayed as disabled for the categories that fit the filters conditions. Fixed.
[!] Promotions: If two products were added to cart, one being included as a gift for the other, the customer will not get the gifted product for free. Fixed.
[!] Promotions: Required products: The "Once per customer" condition did not work if a customer placed an order and then re-logined several times. Fixed.
[!] The "UK Cookies law" link was indexable by search engines. Fixed.
[!] The drop down menu on the order details page did not work on iOS devices. Fixed.
[!] Widget mode: Widget layout was ignored and the default one was displayed in the Widget mode. Fixed.
[!] {#4811} Product features: Feature variants were cleared when a category was removed from the Categories list. Fixed.
[!] {#4832} Core: If the gzip_css_js tweak was enabled, browser did not cache gzipped files. Fixed.
[!] {#4845} Design: Admin panel: Title was missing on the news logging settings page. Fixed.
[!] {#4853} Addons: News and emails: Subscribers: Bulk subscriber adding did not work; subscribers from multiple mailing lists could overlap. Fixed.
[!] {#4853} Admin panel: Theme editor: If the font size for big buttons (e.g. Add to cart, Place order) was changed, the buttons were not centered in the Firefox browser. Fixed.
[!] {#4893} Layouts: The "SWITCH LAYOUT" section was hidden if there was only one layout. Fixed.
[!] {#4900} Addons: Social Buttons: A JavaScript error occured if the VK.com app id was not specified, but its button status was Active. Fixed.
[!] {#4921} Promotions: The "Once per customer" condition did not work until the order status was not changed from the "Open" to any other. Fixed.
[!] {#4924} Multi-page checkout: The Create new profile button did not work. Fixed.
[!] {#4935} Admin panel: Order management: The "Staff only notes" field was not saved in the order data when creating a new order. Fixed.
[!] {#4940} Products with long names or no image were rendered incorrectly in a scroller product block. Fixed.
[!] {#4943} Admin panel: Order management: If a product price was updated, this price was displayed on order editing, but not the order one. Fixed.
[!] {#4945} If the "items templates" product template was used within a tab, the price font size was too big and extra list markers were rendered. Fixed.


Version 4.1.2, January 28 2014

[+] Design: 4.0.x theme compatibility added.
[!] Core: Google Chrome browser crashed when moment.js library was used. Fixed.
[!] Security: Checkout: There was an exploitable XSS vulnerability during customer checkout. Fixed.


Version 4.1.1, January 15 2014

[+] API: Auth entity added.
[+] Design: Addons: Banners: JCarousel replaced with Owl Carousel.
[+] Design: Products: Owl Carousel is now used for the Scroller product template.
[+] Design: Storefront: New blocks (Benefits & Guarantees) added to the homepage.
[+] Design: The cm-image-gallery microformat now uses Owl Carousel instead JCarousel.
[+] Layouts: New block "Our brands" added.
[+] Layouts: Product blocks: Ability to filter products by categories added.
[+] Marketplace: Ability to upload new add-ons added.
[+] Multi-Vendor: The vendor account request notification replaced with a popup dialog.
[+] Payment methods: The FuturePay payment method added.
[+] Design: Themes: 5 new styles added.
[+] WYSIWYG: Added the ability to use empty <i> and <span> tags to CKEditor editor.
[+] WYSIWYG: Added the ability to use empty <i> and <span> tags to TinyMCE editor.
[*] Addons: Addon scheme: New fields available: Author information, Core version/edition requirements, System Extensions/Versions requirements.
[*] Addons: Banners: If a graphic banner has no image, it will be hidden in the customer area.
[*] Addons: Banners: Multi-language support for graphic banners added.
[*] Addons: News & e-mails: The "Newsletters" menu moved from "Website" to "Marketing".
[*] Addons: Quickbooks: Exported file is now created with the fn_quickbooks_export function.
[*] Addons: The Affiliate addon removed.
[*] Addons: The Gift registry addon removed.
[*] Admin panel: CSS debug mode and JavaScript debug mode options removed as non-useful.
[*] Admin panel: Uploaded files are now checked with JavaScript to prevent unwanted file sizes or types.
[*] Checkout: Order placement moved to a popup dialog.
[*] Export/Import: Files and images can now be imported only from /path/to/cart/var/files/.
[*] Export/Import: Layouts: Option saving on layout updating added.
[*] Export/Import: Products: The ability to specify the same product codes on behalf of different storefront admins and vendors added.
[*] Orders: Tracking number is displayed as a link to the carrier website in customer emails.
[*] Core: PharData PEAR class is now used instead of Tar_Archive.
[*] Payment methods: Paypal Express: The Hong Kong Dollar, Israeli New Sheqel, Mexican Peso, Brazilian Real, Philippine Peso, Taiwan New Dollar, and Thai Baht currencies added.
[*] Payment methods: eWAY: Direct and shared Payment methods updated.
[*] Payment methods: eWAY: Rapid API payment updated.
[*] Addons: The Product Configurator add-on removed.
[*] Addons: The Recurring Billing add-on removed.
[*] Core: Smarty lib updated to 3.1.15.
[*] Addons: The Statistics add-on removed.
[*] Admin panel: Template editor renamed to File editor (language variable only).
[*] Theme editor: Fonts split to groups: system, popular, and other.
[*] {#4364} Multi-Vendor: Addons: News and Email: The ability to add news without specifying a vendor added.
[!] Addons: Abandoned carts: The wishlist checkbox was displayed in advanced filter when the Wishlist add-on was disabled; the checkbox layout overridden by the Wishlist add-on was incorrect. Fixed.
[!] Addons: Attachments: Occasionaly, ZIP archives could not be unpacked after download. Fixed.
[!] Addons: Comments and reviews, Suppliers: Supplier ID was not stated on discussion editing. Fixed.
[!] Addons: Gift certificates: Gift certificate status change on the order status change did not work. Fixed.
[!] Addons: RMA: The line break tag was displayed in the comments field. Fixed.
[!] Addons: Reward points: Points were incorrectly assigned based on user groups, null absolute values were ignored. Fixed.
[!] Addons: Statistics: UK Cookies law notification was displayed twice if the Statistics addon was enabled. Fixed.
[!] Addons: Store import: Data feed: Lang code was transferred incorrectly. Fixed.
[!] Addons: Store import: Default product tab descriptions were not copied into all languages on store import. Fixed.
[!] Addons: Suppliers: Suppliers were not cloned on product cloning. Fixed.
[!] Addons: Suppliers, Tags: Suppliers and tags disappeared on product saving. Fixed.
[!] Addons: Suppliers: The admin panel dashboard loaded very slowly under high catalog size because the table cscart_supplier_links had unsufficient number of indices. Fixed.
[!] Admin panel: Storefront selector: Dynamic entry loading would break previously generated storefront links. Fixed.
[!] Admin panel: Administration: Close store: Storefront could not be accessed with the access_key parameter if the SEO addon was active and the "Show language in URL" option enabled. Fixed.
[!] Admin panel: File editor: Left pane could not be scrolled independently from the right one. Fixed.
[!] Layouts: Block icon was not updated according to its type when a block was added to a grid. Fixed.
[!] Checkout: Billing address was replaced with shipping address if the Multiple Checkout option was enabled. Fixed.
[!] Checkout: Spaces were appended to the card number field if its end was clicked and the card number could not be entered. Fixed.
[!] Core: API: Product features: Getting a feature with a wrong ID raised a PHP error. Fixed.
[!] Core: Filters: Loading indicator during an AJAX request could not be hidden if the filter response returned no products. Fixed.
[!] Customer profile notifications: Messages could contain &nbsp;. Fixed.
[!] Database: Restore: Backup archive downloaded from the server failed to unpack. Fixed.
[!] Design: Addons: Banners: If a banner image size was greater than the layout size, it was resized non-proportionally. Fixed.
[!] Design: Theme editor: Clone: The "Clone" button did not work if the directory name contained spaces. Fixed.
[!] Design: Themes: Styles: Google fonts were loaded by the HTTP protocol, so some HTTPS pages could not load such fonts. Fixed.
[!] Design: Themes: Styles: Reddish: Some styles were hard-coded. Fixed.
[!] Export/Import: Products: A product was identified incorrectly by product code if two products had identical numerical parts of the code, but one of them had an additional literal part. Fixed.
[!] File editor: With the template cache on, the template code wouldn't update in the customer area after it had been edited and saved in the admin panel. Fixed.
[!] File uploader: File/image uploading from server did not work. Fixed.
[!] Languages: Storefront language set on the first step was ignored, English was used instead. Fixed.
[!] Layouts: Export/Import: HTML/Smarty blocks content was not updated on import. Fixed.
[!] Multi-Vendor: Addons: Gift certificates: A gift certificate created from the Promotions page could not be redeemed. Fixed.
[!] Multi-Vendor: Addons: SEO: The product preview link dissapeared if the SEO addon was active. Fixed.
[!] Orders: Customer selector was invisible if a country promotion was set up. Fixed.
[!] Orders: Price changes were not saved when editing an order in the administration area. Fixed.
[!] Payment methods: PayPal: If payment surcharge was applied to payment and the "Take payment surcharge from vendors" option was enabled, order could not be placed with the "Order total does not match" error. Fixed.
[!] Payment: A PHP notice appeared if a certificate filename was not specified. Fixed.
[!] Payment: Uploading a certificate file led to an error if multiple languages were installed. Fixed.
[!] Payment methods: PayPal Pro: Shipping address was displayed in the URL encoded format on the Paypal side. Fixed.
[!] Payment methods: PayPal: Gift certificates were not applied if the PayPal payment method was used. Fixed.
[!] Payment methods: Piraeus: Deprecated URLs were used. Fixed.
[!] Payment methods: Skrill: The iframe mode did not work. Fixed.
[!] Payment methods: Virtual Merchant: Payment returned an error message if the ZIP code included non-numerical characters. Fixed.
[!] Product filters: Vendor status did not affect products filters. Fixed.
[!] Product option price modifiers were ignored on shipping price calculation with local charges. Fixed.
[!] Products: Clone: Image captions were not cloned on product cloning. Fixed.
[!] Products: Images: A division by zero warning was shown if a product detailed image had been saved incorrectly. Fixed.
[!] Products: The table products_categories was joined twice if the "Product list default sorting" option value was set to "Sort by position". Fixed.
[!] Promotions: Automatically generated coupon codes were sent to customer immediately after order placement even if the order status was not Processed or Complete. Fixed.
[!] Shipping methods: Taxes: Taxes were reset when the shipping positions were changed. Fixed.
[!] Storefront: Cart content: Product count and price were calculated incorrectly after several consecutive logins and logouts and adding products to cart on each step. Fixed.
[!] Users: Vendor administrator could change the status of their account via the forgot your password link. Fixed.
[!] {#4639} Product features: All product feature groups were displayed disregarding the applied filter(s). Fixed.
[!] {#4642} Products: Product sorting did not work in the admin panel when saved search was used. Fixed.
[!] {#4638} Cart promotions: Editing an order increased the quantity of a promotional item and the promotional discount. Fixed.
[!] {#4643} Orders: Invoice notes could contain HTML tags. Fixed.
[!] {#4651} Admin panel: Dashboard: Date was displayed incorrectly if the next, current, and next months were picked consecutively. Fixed.
[!] {#4653} Product features: Current feature value was cleared on changing an other/text or other/number type feature name. Fixed.
[!] {#4656} Debugger: Debug mode: Debug mode was defined with an incorrect constant in the config.php file. Fixed.
[!] {#4672} Products: The VAT taxes value was not saved on bulk product editing. Fixed.
[!] {#4688} Admin panel: The items per page value was reset to default when a new filter was applied. Fixed.
[!] {#4689} Order comments were sent to customer without HTML tag escaping. Fixed.
[!] {#4695} Export/Import: SEO: Import led to an error if the SEO name field was not present in the CSV file.
[!] {#4697} Addons: Form builder: The default item in the Form Builder country_list was always Zimbabwe. Fixed.
[!] {#4710} Export/Import: Products: Categories: A leading space was added to the third category name on product export, which led to an extra category being created. Fixed.
[!] {#4721} Export/Import: Users: When importing the registration date, it was replaced with the current one. Fixed.
[!] {#4759} Addons: Gift certificates: When purchasing products from different vendors a certificate was created only once. Fixed.
[!] {#4771} Orders: 404 error page was shown when user profile was changed on the order management page. Fixed.


Version 4.0.3, November 6 2013

[+] Ability to manage Currencies (Create/Edit/Delete) added for all currencies in the Free mode.
[+] Ability to manage Languages (Install/Edit/Delete) added for all languages in the Free mode.
[+] Addons: Bestsellers: New filling "On sale" (all products with active discounts) added for the Products block.
[+] Addons: SEO: Pre and post hooks added to the functions fn_create_seo_name, fn_seo_get_name, and fn_delete_seo_name.
[+] Captcha: Captcha TTL (Time To Live) set to 6 hours.
[+] Core: Hooks: Products: The image_wrap hook was added to the quick view template.
[!] Core: Hooks: the tools_list hook added.
[+] Design: Storefront: Unique class names added for product options on the product page.
[+] Design: Theme Editor: Ability to add background images for all elements in the backgrounds section added.
[+] Design: The new 'Reddish' storefront theme preset added.
[+] Multi-Vendor: Addons: Catalog mode: The "Enable Catalog Mode" checkbox removed from the vendor settings page.
[+] Shipping methods: USPS: New parameter "All" was added to the MailType list.

[*] Addons: Hybrid Auth: The Hybrid Auth lib updated to version 2.1.2 to suite the latest Twitter and Google API changes.
[*] API: DELETE: Response code for the DELETE method called twice for the same object set to 404.
[*] Categories: Ability to set images for categories restored.
[*] Database: Restore: The backup creation date field added.
[*] Export/import: Product option combinations: The ability to define product option delimiter added.
[*] Installation: Ability to assign Internationalized Domain Names per storefront added.
[*] Payments: Amazon checkout: The euro and British pound currencies support added.
[*] Payments: Paypal: The Russian ruble currency support added.

[!] Addons: Affiliate: The profile fields settings did not work. Fixed.
[!] Addons: Data feed: Secure (HTTPS) URLs were used for image links. Fixed.
[!] Addons: Discussion: Review status did not change when multiple products were edited. Fixed.
[!] Addons: Form builder: Email: Multi-line messages were formatted incorrectly. Fixed.
[!] Addons: Image zoom: Pre-loading indicator image changed.
[!] Addons: MYOB: Order data were not exported. Fixed.
[!] Addons: Quickbooks: Product data could not be added to the exported orders file. Fixed.
[!] Addons: Quickbooks: Products were not exported from orders. Fixed.
[!] Addons: Quickbooks: The exported file contained extra blank lines. Fixed.
[!] Addons: SEO: Products: Fatal error occurred when the Out of stock notification appeared. Fixed.
[!] Addons: SEO: Storefront: The "Call to undefined function fn_seo_is_indexed_page()" fatal error randomly occured. Fixed.
[!] Addons: SEO: Support multi-language URLs: seo name was incorrect for Thai language. Fixed.
[!] Addons: Store import: If the company ID was not specified in the Extra field of the order_details table, during the import from CS-Cart Professional a notification was shown. Fixed.
[!] Addons: Store import: Shipment carrier was imported incorrectly. Fixed.
[!] Addons: Store import: An SQL error was shown during import process if langvar name contain quote. Fixed.
[!] Design: Top menu: Styles of the top menu were incorrect in Internet Explorer 7. Fixed.
[!] Admin panel: A JavaScript error occured on the Product Features/Options/Products pages when a popup dialog was opened if the main store language was French. Fixed.
[!] Categories: An error message was shown on the categories page when the save button was clicked. Fixed.
[!] Companies: Vendor list in the product filter was not sorted alphabetically. Fixed.
[!] Core: Database: The function fn_check_db_prefix did not replace all table prefixes if more than one table names were in query. Fixed.
[!] Core: IDN support: Storefront URL in the post-installation welcome text was not converted back from Punycode. Fixed.
[!] Core: The function fn_get_product_filter_name did not work properly when an array of filter IDs was passed. Fixed.
[!] Currencies: Primary currency could be deleted by following a direct link. Fixed.
[!] Design: Theme editor: Background patterns were not applied on the full page height. Fixed.
[!] Design: Theme editor: Gradient did not work in Internet Explorer 9. Fixed.
[!] Export/import: Product images with external URLs were not imported. Fixed.
[!] File uploader: A PHP error notification was shown when uploading file with incorrect MIME extension. Fixed.
[!] File uploader: A PHP error notification was shown when files were uploaded via URL. Fixed.
[!] Images: All product thumbnails were removed when a new image for a new product was uploaded. Fixed.
[!] Multi-Vendor: Export/import: Products: The categories field was empty if products were exported by a vendor admin. Fixed.
[!] Multi-Vendor: Export/import: Vendor could add a category on product import. Fixed.
[!] Multi-Vendor: Payment methods: PayPal: Order could not be placed, if there were products from different vendors in the cart. Fixed.
[!] Multi-Vendor: Shipments: Products were not shown for vendors when creating a shipment. Fixed.
[!] Orders: Tracking number could not be saved with the Allow users to create shipments settings disabled. Fixed.
[!] Payments: Amazon checkout: Wrong OrderCalculationsResponse XML format was generated. Fixed.
[!] Payments: PayPal Express Checkout: The PayPal error 10413 occured when a product with a discount was bought. Fixed.
[!] Product options: When an option was created, the Inventory parameter was disabled by default. Fixed.
[!] Shipping methods: Package weight included only the first product weight. Fixed.
[!] Shipping methods: Product package weight was calculated twice. Fixed.
[!] Shipping methods: USPS: First-Class Mail® International Large Envelope** service always returned N/A result when MailType was equal to "Envelope". Fixed.
[!] Translations: PO Parser crashed when parsing a broken PO file or non-po file. Fixed.
[!] {#4515} Users: Registration: The password mismatch message was incorrect. Fixed.
[!] {#4525} Addons: Social link: Email: The e-mail body contained no line break. Fixed.
[!] {#4526} Menu: Products: Current category was not highlighted when browsing a product. Fixed.
[!] {#4528} Settings: Missing tooltips restored.
[!] {#4533} Design: Theme editor: Top panel styles were incorrect. Fixed.
[!] {#4533} Design: Theme editor: Backgrounds: Background could not be changed with an uploaded image. Fixed.
[!] {#4549} Addons: Store import: Tracking number was imported incorrectly. Fixed.
[!] {#4550} Menus: Manage items: Impossible to choose a category or page for the submenu generation when editing the menu element. Fixed.
[!] {#4553} Layouts: User-defined CSS class for containers was not saved. Fixed.
[!] {#4556} API: Product additional image alt text could not be saved. Fixed.
[!] {#4572} Addons: Data feed: Export/import: The export of products did not work. Fixed.
[!] {#4275} Core: Http: ability to send post-requests with query string in URL was restored.
[!] {#4576} Design: Admin panel: Extra bracket was shown in the Dashboard if two currencies were picked. Fixed.
[!] {#4583} Addons: Image zoom: Styles of the lens zoom size mode were incorect. Fixed.
[!] {#4606} Currencies: The order of the currencies could not be changed. Fixed.
[!] {#4614} Export/import: Products: An empty product image link was created for a product with unspecified image link. Fixed.
[!] {#4633} Export/import: Orders: The order creation data was not imported. Fixed.


Version 4.0.2, September 26 2013

[+] API: The Language entity added.
[+] API: The News entity added.
[+] Design: Frontend: The Also bought block added.
[+] Payment certificates uploading support added.
[+] Currencies: The 'Hidden' status for currencies added.
[+] UK cookies policy support added.
[+] Store import tool added.

[*] Installer: A rewrite confirmation in case of a pre-populated database specified on installation added.
[*] Layouts: Ability to change block content properties for all languages at a time added.
[*] Payments: The Moneybookers payment gateway renamed to Skrill.
[*] Payments: The Buckaroo payment gateway support updated.
[*] Product options: Simultaneous options are no longer changeable on the checkout page.
[*] The used Paypal Express checkout protocol updated from SOAP API to Name-Value Pair API.
[*] The Sharing schema moved to a separate folder.
[*] USPS: Method names updated according to the latest changes by USPS: Express Mail -> Priority Mail Express, Express Mail International -> Priority Mail Express International

[!] API: The API Access tab was visible to vendors. Fixed.
[!] Addons: Buy together: Product chains were not editable if only one storefront was available. Fixed.
[!] Addons: CSS styles connected via a post template hook did not override the default styles. Fixed.
[!] Addons: Comments and reviews: The Comments and reviews addon not work if only a single storefront was available. Fixed.
[!] Addons: Comments and reviews: The permissions assigned by the addon overrode unrelated general permissions. Fixed.
[!] Addons: Google sitemap: Multi-language URLs were not supported. Fixed.
[!] Addons: Image zoom: Image ratio could be incorrect if the Image zoom addon was used and only one thumbnail dimension was specified. Fixed.
[!] Addons: News and Emails: News were not deleted when the storefront was deleted. Fixed.
[!] Addons: Order barcode: Barcode was not printed when an order was printed in the admin panel. Fixed.
[!] Addons: Price list: Image URLs in a price list always used the plain HTTP protocol, even is HTTPS was specified. Fixed.
[!] Addons: RMA: Gift certificates: The 'Create gift certificate' button was displayed on the return information page even if the 'Gift certificate' addon was disabled. Fixed.
[!] Addons: Recurring billing: Customer could see other customers' subscriptions. Fixed.
[!] Addons: SEO: Active page was not selected in the text links menu if the SEO addon was active. Fixed.
[!] Addons: SEO: Active page was not selected in the text links menu if the page request parameters were empty. Fixed.
[!] Addons: SEO: Dynamic-to-human-readable redirecting used the 302 HTTP code instead of 301. Fixed.
[!] Addons: Statistics: An error occured on adding statistics data if browser version was empty. Fixed.
[!] Addons: Statistics: An error occured when a page was fetched by the Google bot. Fixed.
[!] Addons: Tags: All tags attached to the product were removed on save. Fixed.
[!] Addons: Tags: Tags for the product could not be deleted if deleted all at the same time. Fixed.
[!] Addons: The mail directory was not copied from the theme_repository directory on addon installation. Fixed.
[!] Addons: Wishlist: Wishlist info was not updated after adding a product to wishlist. Fixed.
[!] Addons: eDost: Shipping service codes were calcucated incorrectly. Fixed.
[!] Addons: RMA: Order was not recalculated on status change. Fixed.
[!] Australia post: The 'Delivery Confirmation' price was not included to the Total shipping price.
[!] Admin panel: A division by zero notification was displayed on the product details page if the Products per page setting was set to 0 or left empty. Fixed.
[!] Admin panel: Abandoned carts: The Firstname and Lastname fields were missing. Fixed.
[!] Admin panel: Popup dialog: Popup dialog content would scroll to top after an inner element with a tooltip had been clicked. Fixed.
[!] Admin panel: Settings: Page title was incorrect. Fixed.
[!] Admin panel: Shippings: It was impossible to enter a whole number with a fraction as weight. Fixed.
[!] Categories: Multi-Vendor: Categories update tools were displayed incorrectly for vendor on the category management page. Fixed.
[!] Checkout: Shippings: If the 'Display prices with taxes on cart/checkout pages if the method of calculating taxes is based on a unit's price' setting was active, a fatal error raised on the 3rd checkout step. Fixed.
[!] Checkout: Taxes: Taxes were not shown on the Cart contents page, when Click here more details -> Taxes was clicked. Fixed.
[!] Checkout: Shipping charge was charged twice if the 'Tax calculation method based on' setting was set to 'Unit price' and the 'Display prices with taxes on cart/checkout pages if the method of calculating taxes is based on a unit's price' settings was active. Fixed.
[!] Multi-Vendor: Addons: Vendor data premoderation: When a product was cloned by a vendor, the approval status of this product was cloned too. Fixed.
[!] Multi-Vendor: On vendor creation, the new vendor e-mail was used as the From field value. Fixed.
[!] Core: Deprecated constant COMPANY_ID removed.
[!] Core: Objects were not shared automatically if table prefix contained numbers (e.g. cscart123_). Fixed.
[!] Core: The MySQL strict mode was not supported. Fixed.
[!] Core: The realpath function call on the Bootstrap initialization did not work on Windows servers. Fixed.
[!] Dashboard: Date picker was hard-coded in English. Fixed.
[!] Design mode: The Edit icon was not shown for a block updated via AJAX. Fixed.
[!] Design: Admin panel: Shipping charges tabs could be shown incorrected with long location list. Fixed.
[!] Design: Frontend: Product options: Tooltip background width was not the same as of the image. Fixed.
[!] Design: Frontend: The My account drop-down menu link style was incorrect. Fixed.
[!] Design: Profile fields on the registration page could be shown incorrectly. Fixed.
[!] Export/Import: Product features: Feature value was not nulled when a product was imported after deleting this feature. Fixed.
[!] Export/Import: Products: The 'Detailed image URL' field export support added.
[!] Export/Import: Products: Prices were set to zero on quantity discount import. Fixed.
[!] Export/Import: SEO: digital name was not imported. Fixed.
[!] Export/Import: SEO: name was array. Empty seo names in MVE. Fixed.
[!] Files: Incorrect message on failed URL upload. Fixed
[!] Frontend: Product filters: Styles of the filters were fixed in mobile devices.
[!] Frontend: Vendors: Products: Setting Display product vendor were fixed.
[!] Infornmation on permissions updated
[!] Installer: If the PHP open_basedir setting was defined and linked to the CS-Cart root directory, auto redirect did not work after the installation was complete. Fixed.
[!] Languages with the 'Hidden' status were not displayed in the admin area. Fixed.
[!] Layouts: The menu option 'Grid options' was displayed twice in the 'Dropdown menu'. Fixed.
[!] Layouts: Width selector (12 or 16 columns) for layouts did not work. Fixed.
[!] Layouts: Blocks could duplicate when a new storefront was added. Fixed.
[!] Localizations: All languages were available in the Customer area, even the ones not added to the localization. Fixed.
[!] Menus: The 'No data found' information block was not displayed after removing the last menu element. Fixed.
[!] Multi-vendor edition: Checkout: Surcharge was displayed on checkout page when 'Take payment surcharge from vendors' option enabled. Fixed.
[!] Multi-vendor edition: Export/Import: Ability to export users forbidden for vendors.
[!] Multi-vendor edition: Export/Import: A vendor could export data of other vendors. Fixed.
[!] Multi-vendor edition: Vendor account balance was calculated if no order statuses had the 'Charge to vendor account' option active. Fixed.
[!] Orders: Credit card fields were required on the order update page. Fixed.
[!] Orders: Order management: Removed discount coupons were restored after order saving. Fixed.
[!] Orders: Payment method fields were checked on the order update page after the payment data were cleared. Fixed.
[!] Orders: Sales Reports: The year value was incorrect if the report inverval was set to year. Fixed.
[!] PHP 5.5 support: The error-raising /e modifier usage with preg_replace removed.
[!] Pages: The preview link was absent. Fixed.
[!] Payments: Moneybookers QuickCheckout: The payment would fail with the 'Transaction was canceled by customer' message. Fixed
[!] Payments: PayPal Express: The XML syntax error occured if an ampersand was passed in the shipping address. Fixed.
[!] Products: A parse_url warning was displayed on options change. Fixed.
[!] Products: Ability to upload files from server was not available in simple mode. Fixed.
[!] Products: Global option: Field 'Modifier' does not change the value. Fixed
[!] Products: Inventory: Amount is not recalculated. Fixed
[!] Products: Product code was not changed even if its option combination had a different code. Fixed.
[!] Products: Product features: Text-type feature values were cleared after a feature with multiple variants was added. Fixed.
[!] Products: Product filters: Filter view state was not saved if an arrow was clicked. Fixed.
[!] Products: Product filters: Page URLs generated on clicking View all in a product filter block on the homepage were incorrect (showed the Access denied page). Fixed.
[!] Products: Product options: Negative price could be assigned to product after applying option modifiers. Fixed.
[!] Products: Product options: The quantity field was missing for a zero price product. Fixed.
[!] Products: Product options: Option tooltip was not displayed if it contained only image. Fixed.
[!] Products: Quantity discounts: Discount icons were not displayed on the categories page. Fixed.
[!] Promotions: Discount was displayed incorrectly for products with zero price and no options. Fixed.
[!] Promotions: Product features: AJAX select box variants were not loaded. Fixed.
[!] Quick menu: Multi-Vendor: Quick menu was available for vendor even if it had no items and could not be updated by vendor. Fixed.
[!] SQL errors occured if a product name consisted of 3+ words and the 'set' keyword was in the name. Fixed.
[!] Settings: Appearance: If the Elements per page field was empty, a warning was displayed. Fixed.
[!] Settings: Store settings update did not work if only one storefront was available. Fixed.
[!] Shipments: Information about products was not displayed on the Shipment page in the customer area. Fixed.
[!] Shipping methods: FedEx: International FedEx Ground returned "SUCCESS 0 Response" instead of the shipping price. Fixed.
[!] Shipping methods: Shipping charges: It was impossible to add rate until at list one value was saved. Fixed.
[!] Shipping methods: Shipping charges: It was possible to save empty values in the 'Weight dependencies' fields. Fixed.
[!] Shipping rates: Ability to specify rates per items restored.
[!] Sitemap sections and links were not deleted when the storefront was deleted. Fixed.
[!] Taxes: Taxes were not updated on shipping address change. Fixed.
[!] Theme editor: New styles were not applied on preset cloning. Fixed.
[!] USPS: Price of several extra services were not included in the total shipping price. Fixed.
[!] USPS: Package cost was always 0 for insurance extra service. Fixed.
[!] Users: Multi-Vendor: Vendor's administrator creation and update notifications were sent from the vendor's company. Fixed.


Version 4.0.1, June 26 2013

[+] Add-ons: News and emails: Ability to share mailing lists added.
[+] Fly-out jQuery image zoom plugin 'Cloud Zoom' added.
[+] Hybriad Auth add-on integrated.
[+] Orders: The Issuer field added to hold the data of the administrator which created an order via the admin panel.
[+] Payments: EPDQ payment updated.
[+] Profiles: Store selector added to admin profile.
[+] Retina display support added.
[+] Shippings: Temando shipping added.
[+] Statuses: Ability to define different email subject and header for different stores added.
[+] Tag-it plugin for tags added. Tag styles improved.
[+] Users: Main storefront administrator can now manage other administrators of the same storefront.
[+] Users: Usergroups sharing removed.
[+] {9609} Database: New ?m placeholder added to convert 2-level key-value arrays into '(key1, key2) VALUES (key1val1, key2val1), (key1val2, key2val2)' expressions.

[*] Ability to select country for a language added.
[*] Ability to sort the Categories menu items by name added.
[*] Layout editor: Ability to disable/enable grids added.
[*] Language code changed to lower case.
[*] Multi-Vendor Edition: On the Vendor account balance page, if a search by a particular vendor is performed, then on a new payout adding this vendor was chosen as the recipient automatically.
[*] Possibility to select country for language was added.
[*] Product filters: Filter results are now URL-defined and can be referred to with browser back and forward actions.
[*] Slovenian language code changed from 'SI' to 'sl'.

[!] Add-ons: Age verification: Birthday field value was reverted after update. Fixed.
[!] Add-ons: Janrain and Loginza user identifiers were lost during profile updates on checkout page. Fixed.
[!] Add-ons: Reward points: A discount could be applied more than once on the order management page. Fixed.
[!] Add-ons: SEO add-on: Ability to auto-generate SEO name did not work for products with user-defined names. Fixed.
[!] Add-ons: Store import: Alternative text for images was not imported. Fixed.
[!] Add-ons: Store locator: html tags were stripped when admin update store location. Fixed.
[!] Admin panel: Order details: If a selectbox-type option was excepted and could not be selected, the option was shown on the order details page anyway, with an empty value. Fixed.
[!] Checkout: If a selectbox-type option was excepted and could not be selected, the option was shown in the Invoices and e-mails anyway, with an empty value. Fixed.
[!] Checkout: If a selectbox-type option was excepted and could not be selected, the option was shown in the Order summary block anyway, with an empty value. Fixed.
[!] EDP: Checkout: The LICENSE AGREEMENT link was valid only on the 1st tab on the 'Billing option' checkout step. Fixed
[!] Export/Import: Cyrillic symbols were exported in non-readable format during order items export. Fixed.
[!] Layout editor: Feature Comparison: A block was shown even with no items in it. Fixed.
[!] Multi-vendor edition: Products: Images: Vendor could not update update position on an additional image. Fixed.
[!] Payments: Assist payment refactored.
[!] Payments: Cresecure: PHP errors appeared during transaction. Fixed.
[!] Payments: Order could be placed without a payment method defined if a discount was applied. Fixed.
[!] Payments: Sagepay form: Product prices were formatted incorrectly on the payment service side. Fixed.
[!] Payments: Yes credit: Products named in Cyrillic letters were displayed in URL encoding in the payment admin area. Fixed.
[!] Payments: Pay & Read: Payment integration updated to suit the latest service updates. Fixed.
[!] Payments: Express checkout buttons were displayed if a customer was not logged in and the Disable anonymous checkout option was enabled. Fixed.
[!] Performance: Blocks: Products: Product-type blocks were not cached on block rendering. Fixed.
[!] Product filters: When a variant was selected in one filter, another filter could be shown incorrectly. Fixed.
[!] Product options: Product price was calculated incorrectly for products with option-modified zero prices, except the 1st product in a product list. Fixed.
[!] Product options: If one of radio-type options with price modifiers occured in the Forbidden combinations list, its price modifier was still taken into account. Fixed.
[!] Products: Product tabs statuses were not copied on cloning. Fixed.
[!] Product search: No results were found when searching by description in Greek in teh customer area. Fixed.
[!] Promotions: Error PHP notices were displayed on the cart content page, if Promotion with the "Products" conditons was applied to the cart. Fixed.
[!] Promotions: Empty catalog promotions resulted in 100% discount. Fixed.
[!] Shippings: Australia post: Shipping rates for the Registered Post International were calculated incorrectly. Fixed.
[!] Shippings: USPS: Name of the country South Korea was changed by the service. Fixed.
[!] Shippings: UPS: UPS did not work if customer password contained he & symbol. Fixed.
[!] The 'items per page' links were indexable by search engines. Fixed.
[!] Ultimate edition: Admin panel: Languages: Search by language variable value did not return any results when performed with a particular storefront selected. Fixed.
[!] Ultimate edition: Languages: If an object was created by a storefront administrator, the descriptions for not shared languages were not created. Fixed.
[!] Ultimate edition: Locations: Locations could not be edited by a storefront administrator. Fixed.
[!] Ultimate edition: Products: Global update: Storefront prices were not updated on global update. Fixed.
[!] {#3713} Multi-Vendor edition: Blocks: Incorrect save occured when a vendor block was manually filled. Fixed.
[!] {#3725} Add-ons: Required products: An endless loop occured when one of 2 mutually required products was removed from cart. Fixed.
[!] {#3774} Multi-Vendor edition: Products: Vendor could change product vendor on the bulk update page. Fixed.
[!] {#3807} Add-ons: Gift registry: When a product was added to cart from an event page, the product options defined on event creation were ignored. Fixed.
[!] {#3813} Sales report: The Search button was missing in the admin panel if a vendor admin was logged in. Fixed.
[!] {@9900} Customer area: Top menu: JS error occured if Catalog was a top menu item, the Second level elements setting was set to 18, and 16 root categories were to display. Fixed.

[!] {#3749} Add-ons: Required products: Records were not deleted from the required products database on product removal. Fixed.
[!] {@9355} Add-ons: Required products: SQL query improved.


Version 3.0.5, January 16 2012

[*] Abandoned/Live carts: Cart information now includes customer IP address.
[*] Addons: Price list: The 'TCPDF' library updated.
[*] Addons: Searchanise: Numerous improvements.
[*] Addons: Searchanise: The ability to disable sorting by relevance by default added.
[*] Checkout: The ability to use different values in the 'Email' field in billing and shipping sections added.
[*] The Australia Post shipping method now calculates rates more precisely according to the number of packages.
[*] {#3648} Block manager: Function calls in the block manager schemas refactored.

[!] Abandoned carts: If a user logged in on checkout, the respective abandoned cart was cleared in the admin panel. Fixed.
[!] Addons: Affiliate: Affiliate user type was changed to 'Customer' after placing order. Fixed.
[!] Addons: Comments and reviews: Comment timestamp was rendered overlapping comment status in Opera 12.10. Fixed.
[!] Addons: News and Emails: One newsletter checkbox was always impossible to uncheck on checkout. Fixed.
[!] Addons: Product configurator: Order management: Some configuration products were removed after editing order. Fixed.
[!] Addons: Product configurator: Product configuration price was displayed incorrectly when list price or discounts were enabled. Fixed.
[!] Addons: RSS feed: Invalid link was set for logo. Fixed.
[!] Addons: SEO: Product URLs were incorrect (pointing to the 404 location) after product export/import. Fixed.
[!] Addons: SEO: SEO names were generated empty for products titled in Russian. Fixed.
[!] Affiliate: Graphical banner was not shown for product group. Fixed.
[!] Block manager data from layouts.xml was installed for all translations, even for non-existing ones. Fixed.
[!] Block manager: Products: If the 'Feature Comparison' option was checked for a product, the link 'Add to compare list' overlapped the 'Add to cart' button. Fixed.
[!] Block manager: Products: Scroller block was displayed incorrectly if the quantity of the items was less than scroller size. Fixed.
[!] Block manager: Products: Scroller: Indention for the Left/Right arrows decreased.
[!] Block manager: Products: The 'Add to cart' button was shown in product block even if the 'Hide Add to cart button' option was checked. Fixed.
[!] Categories: The 'Layout' tab content was displayed in every tab. Fixed.
[!] Checkout: Promotions issued for using a particular payment were applied on the 2nd step, before any payment was selected. Fixed.
[!] Gift certificates: On certificate purchase, the radio buttons 'Send via postal mail/Send via mail' swapped input fields no matter which variant was selected. Fixed.
[!] Join CSS: Embeded image data was processed incorrectly. Fixed.
[!] Multi-Vendor Edition, Ultimate Edition: Product files were not deleted if the product was deleted by a vendor or a storefront admin. Fixed.
[!] Multi-Vendor Edition: Gift certificates: Discounts were calculated incorrectly when products from numerous different vendors were ordered. Fixed.
[!] Multi-Vendor Edition: Global options: Vendors could not remove global options from products. Fixed.
[!] Order management: If anonymous checkout was forbidden, there was no ability to complete the 2nd step. Fixed.
[!] Orders: Advanced search: Shipping-based search was independent on the selected vendor. Fixed.
[!] Pages: Link URL was not applied to the menu item if the 'Use "Link text" and "URL"' option was enabled. Fixed.
[!] Product Features: Feature variant list was not shown on the product bulk editing page. Fixed.
[!] Product files: Attached file was not deleted on product editing page in the admin panel if its id in the database was higher than 9. Fixed.
[!] Product option modifiers were applied incorrectly to forbidden exception combinations if one of the combinations had no variants. Fixed.
[!] Products: Inventory: Product quantity was checked incorrectly if 'List quantity count' was set in Pricing/inventory section of a product. Fixed.
[!] Products: The 'Maximum order quantity' value was ignored if product quantity added to cart was over the product quantity in stock. Fixed.
[!] Promotions: A promotion was not applied if a single zero-price product was in cart. Fixed.
[!] Sales report: Categories sales report displayed incorrect sales information: subcategory prices were always summed together. Fixed.
[!] Searchanise: DB error was displayed on the category page. Fixed.
[!] Searchanise: Product descriptions were submitted only in one language. Fixed.
[!] Searchanise: The default sorting setting did not work for 'Bestselling' if the Searchanise add-on was enabled. Fixed.
[!] SEO names: Addtitional category was used instead of the main one on SEO URL compiling. Fixed.
[!] SEO: Link to product page could be incorrect if product had several categories and SEO URLs included category in path. Fixed.
[!] Store import add-on: Assigned HTML blocks lost their links to objects. Fixed.
[!] Ultimate Edition: Addons: Affiliate: Graphic banner categories were not saved. Fixed.
[!] Ultimate Edition: Addons: Google sitemap: Non-existing company pages existed. Fixed.
[!] Ultimate Edition: Addons: Price list: No 'Save file' dialog appeared after price list creation in the admin panel. Fixed.
[!] Ultimate Edition: Quantity discounts: If a quantity discount was defined in price percentage and saved for all stores, the cost was calculated incorrectly for the defined item quantity in the customer area. Fixed.
[!] Ultimate Edition: Users were unable to recover password if the 'Sharing users' option was disabled and several users were registered in different stores. Fixed.
[!] Ultimate Edition: When changing a shared product owner, its description was saved for the old company. Fixed.
[!] Users: Abandoned/Live carts: Customer data was submitted only if the client had entered their credentials on registration. Fixed.
[!] {#3548} Addons: Product Configurator: Default configuration products were ignored when calculating price in the Quick view in the customer area. Fixed.
[!] {#3589} Block manager: Products: Product options modifiers were not added to price. Fixed.
[!] {#3616} Addons: Google export: Only single value was passed from multiple product feature values. Fixed.
[!] {#3649} Buy together: Error occured and cart contents were cleared if identical product combinations with different product options were added to cart. Fixed.
[!] {#3665} Product tabs: adding HTML block caused a redirect to the block manager. Fixed.


Version 3.0.4, November 7 2012

[*] Addons: Access restriction: Domain check routine optimized.
[*] GeoIP: GeoIP database updated.
[*] If a page with an existing SEO name was created, the new SEO name was appended with an index. Every new SEO name collision resulted in a new index appended to a SEO name. Now the indices are incremented instead of being appended.
[*] Obsolete function 'fn_get_setting_edition_condition' removed.
[*] Order management: Product price cannot be negative anymore.
[*] Orders: Credit cards: Store credit card number in order functionality returned.
[*] Searchanise add-on updated.
[*] The function 'fn_update_image_alt_text' removed.
[*] Ultimate Edition: Add store: Now if the 'Share products' option is enabled, the new product has links for additional categories.
[*] Ultimate Edition: Add-on status is now shown for storefronts individually on the 'Add-Ons' page.

[!] Action links were displayed incorrectly on order pages if Russian language was selected. Fixed.
[!] Addons: Comments and reviews: Captcha was not updated after posting in the new post form on the product details page. Fixed.
[!] Addons: Comments and reviews: Multi-Vendor Edition: Vendor could not add a comment to an order. Fixed.
[!] Addons: Gift certificates: Promotions: Even if a gift certificate code was applied, a wrong promotion coupon notification still was shown. Vice versa, if a promotion code was applied, a wrong gift ceftificate code notification was shown. Fixed.
[!] Addons: Price list: Images were not displayed in XLS price lists. Fixed.
[!] Addons: Product Configurator: If 'None' or product without compatibility class was selected in group, product availability status stayed the same as for the previously selected product. Fixed.
[!] Addons: Product configurator: If a product could not be added to cart, its details page were not loaded. Fixed.
[!] Addons: Product Configurator: Product details: 'Add to cart' button did not work if popup tabs included form. Fixed.
[!] Addons: Product configurator: Products with zero price could not be added to the cart if the 'Do not allow customers to add the product to the cart' option was enabled. Fixed.
[!] Addons: Reward points: Buy together: Price in points was calculated only for single product if it had been bought in a 'Buy together' combination. Fixed.
[!] Addons: Reward points: Buy together: Price in points was not calculated for additional products in a combination. Fixed.
[!] Addons: RMA: Order could have a negative total on product refund. Fixed.
[!] Addons: RMA: Return period was saved incorrectly on the product being added to cart. Fixed.
[!] Addons: SEO: Multi-Vendor Edition: Admin e-mail notification from the 'Apply for a vendor account' form contained a broken link (404 error) if the SEO add-on was active. Fixed.
[!] Addons: Watermarks: Image settings were confusing and incorrect. Fixed.
[!] Addons: Watermarks: Ultimate Edition: Thumbnail company id search took too long in large stores. Fixed.
[!] Addons: Watermarks: Watermarks were not generated for thumbnails, if thumbnail MIME type was different from MIME type of detailed image. Fixed.
[!] Affiliate account type was displayed as 'Customer' on the user profile page. Fixed.
[!] Alt texts for product option variant images were created only for the currently active language. Fixed.
[!] Block manager: 'Grid' template was used for products instead of 'list'. Fixed.
[!] Block manager: All custom statuses for dynamic objects were deleted on dynamic object removal. Fixed.
[!] Block manager: Form labels were displayed incorrectly in content tab of a 'Banners' block. Fixed.
[!] Blocks: Products: Quick view: The 'Quick view' link did not work in dropdown. Fixed.
[!] Checkout: If shipping section preceded billing section and the billingsection did not have any required fields, shipping section was considered filled out even if all fields were empty. Fixed.
[!] Checkout: If the 'Quick registration' and 'Email as login' options were disabled, a PHP error notification was displayed at checkout when a customer tried to register. Fixed.
[!] Checkout: Tab selector was displayed even for a single tab. Fixed.
[!] Checkout: The 'Other payments' text was not always displayed at the last checkout step. Fixed.
[!] CKEditor: If a field was mandatory, the 'Submit' button had to be pressed twice in order to save the form. Fixed.
[!] Database autorepair functionality caused a PHP error in the MySQLi PHP extension. Fixed.
[!] Design: Drop-down menus unfolded in the wrong directions in the main menu. Fixed.
[!] Design: Product features: Feature type 'text' was displayed incorrectly. Fixed.
[!] Design: The 'Coming soon' notification was displayed incorrectly on a category page with the 'short-list' template. Fixed.
[!] Google Export: The proper data feed failed to install for all languages except English. Fixed.
[!] Multi-Vendor Edition: Users: Vendor admin could be saved as the root admin. Fixed.
[!] Multi-Vendor Edition: Vendors: Pagination did not work on the vendor list page in the customer area. Fixed.
[!] Multi-Vendor Edition: When creating a new shipment admin could use any shipping method (even the ones not available for the selected vendor). Fixed.
[!] News and emails add-on: The 'Sign up for our newsletters!' title was displayed on the last checkout step even if there were no news for checkout. Fixed.
[!] Order management: If product price was calculated with option modifiers, product price could be incorrect on the 3rd editing step. Fixed.
[!] Order management: If there were no permissions to view/manage catalog, but there were permissions to view/manage orders, a JavaScript error was displayed on the 1st step. Fixed.
[!] Order management: When changing tax rates on the 3rd step, rates did not change. Fixed.
[!] Order statuses: The order status selectbox layout would break after status update if status was not changed. Fixed.
[!] Orders: New order data were created for all users on order placement, which resulted in low performance. Fixed.
[!] Product features: On multi-product editing floating point values could not be set for features with the type 'Other/Number'. Fixed.
[!] Product options: Option checkboxes added after a disabled option were ignored. Fixed.
[!] Product options: Option requirements were ignored when setting product options in Internet Explorer 9.
[!] Product options: Retrieving option data after AJAX redirect did not work. Fixed.
[!] Products: Customer area crashed due to lack of memory on high 'In stock' and low 'Quantity step' values. Fixed.
[!] Profile fields: It was impossible to disable 'Shipping/Billing' section, because the 'Email' field could not be deactivated. Fixed.
[!] Profile fields: Requirements data was lost on 'Email' field update on the profile page. Fixed.
[!] Profile fields: The 'Email' field was not displayed on profile detailed page if 'Quick registration' was disabled. Fixed.
[!] Promotions: Total price was not updated after coupon had been deleted on the cart content page. Fixed.
[!] Search: Pagination did not work on multi-term search in Internet Explorer. Fixed.
[!] Settings: Appearance: The 'In stock' label was not displayed for the products without option list even if the 'Display In stock as a field' setting was active. Fixed.
[!] Shipments: Shipment date was always set to current on the details page. Fixed.
[!] SMS notifications: Unknown encoding was used for notifications. Fixed.
[!] States: Spanish districts list was not full. Fixed.
[!] Store Import: Import data: New product feature was created if the feature id had been defined, but the feature name had been changed. Fixed.
[!] Store Import: Product features: Features with the 'number' type were updated not for all languages. Fixed.
[!] The total cost label could be too short for the value at checkout if Russian language was selected. Fixed.
[!] Two hooks with the same name were present in the function 'fn_check_selected_filter'. Fixed.
[!] Ultimate edition: Deleting non-owner category or non-owner store may have led to the shared products being removed from all stores. Fixed.
[!] Ultimate edition: Files of shared downloadable products were available in other stores if 'Share users among stores' setting was enabled. Fixed.
[!] Ultimate edition: If 'Product list default sorting' setting had the value 'Sort by position', an SQL error occured on the product page in the admin area. Fixed.
[!] Ultimate edition: If an SSL certificate was installed for a storefront and the storefront resided on a different domain than the admin panel, the option 'Enable secure connection' could not be enabled in the admin panel. Fixed.
[!] Ultimate edition: Products: Shared product breadcrumbs were generated incorrectly. Fixed.
[!] Ultimate edition: Reccuring billing: Recurring plan could not be assigned to a usergroup. Fixed.
[!] Ultimate edition: Shared product price was displayed incorrectly on the cart content page. Fixed.
[!] Ultimate edition: When updating products from product list in the admin area, shared product descriptions were deleted. Fixed.
[!] {#3431} Addons: Product Configurator: Product configuration was deleted after cart update. Fixed.
[!] {#3502} Products: Delete from minicart did not work. Fixed.
[!] {#3506} SEO: Ultimate Edition: If a non-shared extended feature in one storefront and a category of the same name in another storefront were created, a feature from the 1st storefront was opened for both storefronts. Fixed.[!] {#3533} Privileges: Product could not be saved without the permission to edit blocks assigned. Fixed.
[!] {#3543} Emails: Profiles: An incorrect activation URL was sent to the store admin on customer registration. Fixed.
[!] {#3548} Addons: Product Configurator: Quick view: Default product prices were ignored on price display. Fixed.
[!] {#3558} Multi-Vendor Edition: Profiles: 'company_id' was set to 0 on profile editing in the customer area. Fixed.
[!] {#3560} E-mail: Gift certificates: Wrong URL was sent on certificate creation. Fixed.
[!] {#3581} Emails: Profiles: Email subject displayed an incorrect company name. Fixed.
[!] {#3582} Addons: Banners management: Slider was loaded incorrectly if it was displayed in the hidden blocks. Fixed.
[!] {#3582} Addons: Banners management: Slider was loaded incorrectly if it was displayed in hidden blocks. Fixed.


Version 3.0.3, September 5 2012

[+] Store import: Community 2.2.4/5 to Ultimate 3.0.3 import support added.
[+] Store import: Professtional 3.0.3 to Ultimate 3.0.3 import support added.
[+] Searchanise: add-on added to Ultimate edition.

[*] Store import: Import of the 'Customers also bought' add-on optimized.
[*] Localizations block added to Block scheme.
[*] Maxmind database updated.
[*] Parameters of the 'fn_get_product_features_list' function and paramters of the 'get_product_features_list_*' hooks changed.
[*] Product features: Number-type features now accept floating point values.
[*] Tar library updated.

[!] All product features were selected on the category pages. Fixed.
[!] Anti-bot validation: Anti-bot was not displayed for registration in the customer area. Fixed.
[!] Block manager: Empty block settings were shown incorrectly. Fixed.
[!] Checkout: If a customer created a new profile during checkout, the profile was duplicated. Fixed.
[!] CKEditor: 'New feature' window could not be closed. Fixed.
[!] Design: Quick links submenu alignment bug fixed.
[!] Design: Quick view: Enlarged image did not dissappear on quick view closing with pressing Esc. Fixed.
[!] Design: WYSIWYG-editor headers styles added.
[!] Elf_connector: restricted admins can no longer browse server files.
[!] Empty category page was shown instead of a 404 error page if a non-existing page number was passed in request on paginated category viewing. Fixed.
[!] Error notice: An 'Unable to set value' message  was displayed sometimes if some vendor or store was selected. Fixed.
[!] Error PHP notice was displayed if both UPS and USPS shipping methods were configured, and USPS was calculated first. Fixed.
[!] Exim stores: PHP error notice was displayed if Logos did not have alt text. Fixed.
[!] Gift Certificates: The parameter 'amount_type' removed from the database; all references removed  from the source code.
[!] Import: Select box: Number type feature product variants were displayed as dashes in the customer area. Fixed.
[!] Multi-Vendor Edition: Banners: The Vendor field removed.
[!] Multi-Vendor Edition: Comments and reviews: Vendor was able to manage testimonials. Fixed.
[!] Multi-Vendor Edition: Site news: Vendor could not access their own news. Fixed.
[!] Multi-Vendor Edition: Users: User page content and links fixed.
[!] Multi-Vendor Edition: Vendor could not see other vendor's profile if the 2nd vendor had bought from the 1st vendor. Fixed.
[!] Order management: If admin set discount to zero, it was reset to default on the last editing step. Fixed.
[!] Order management: Suppliers: Realtime shipping methods were always empty when new order was created. Fixed.
[!] Payments: Monebookers terms and conditions checkbox worked incorrectly in IE7. Fixed.
[!] PDF Invoice: Orders with comments were printed incorrectly if comments titles were too long. Fixed.
[!] Product block with the template Products grid was not shown. Fixed.
[!] Product comparison: The 'Compare list'link was not updated on adding product to a compare list. Fixed.
[!] Product could be added as a required product for itself. Fixed.
[!] Product features were not displayed in the administrator area after product had been shared. Fixed.
[!] Products: Quantity discount prices were deleted when updating product from products list. Fixed.
[!] Profile fields: Date type: Date picker did not work if users were allowed to create multiple profiles. Fixed.
[!] Quick view: Minicart status was not updated when product was added from QuickView popup. Fixed.
[!] Reward poins: Points were recalculated incorrectly if 'Points in use' were involved. Fixed.
[!] Shipments: Shipment information remained in database after order removal. Fixed.
[!] Sortable objects: Script did not work properly if page contained more than 1 sortable container. Fixed.
[!] Store import: Gift registry: Attached product names and prices were missing, only their options and quantity were present. Fixed.
[!] Suppliers: Supplier received an email with Smarty error when a customer placed any order. Fixed.
[!] Taxes: Default 'VAT' tax priority set to '0'.
[!] Template editor: Changes were not saved if the editor had been disabled. Fixed.
[!] Ultimate Edition: Administrator's mail skin was always used in the admin area for emails and printing. Fixed.
[!] Ultimate Edition: Categories: Collapsing of categories on the categories manage page worked incorrectly. Fixed.
[!] Ultimate Edition: If the Apache port was different from 80 during request handling, it was ignored on storefront requesting, and a redirect to a not existing page occured. Fixed.
[!] Ultimate Edition: Products: The 'Add categories' picker was empty on the shared product page if a non-owner company was selected. Fixed.
[!] Ultimate Edition: SEO: Product links were generated incorrectly for 'Back in stock' notification. Fixed.
[!] Usergroups: Availability: Category, product or page preview was not opened if it was available only for certain usergroups. Fixed.
[!] {#3356} Addons: Newsletters: Multilanguage template was loaded on the main store language even if another newsletter language was selected. Fixed.
[!] {#3362} MVE: Users: Vendor could not see the profiles of users who had bought something from them. Fixed.
[!] {#3385} Discussion: Approved/Not approved comments search returned empty result. Fixed.
[!] {#3389} Installation package: Description tables content was saved in the main data file. Fixed.
[!] {#3397} Multi-Vendor Edition: Database error was displayed after deleting a vendor, if the 'Banners management' add-on  was enabled. Fixed.
[!] {#3417} Addons: Discussion: Category and product discussion pages fixed.
[!] {#3426} Addons: Discussions: Products: 'Submit new post' button was not shown if 'Reviews' tab was displayed in a popup. Fixed.
[!] {#3452} Products: Subscribers tab was shown on product creation page. Fixed.
[!] {#3475} Addons: Tags: 'Save' button was available for guests. Fixed.


Version 3.0.2, July 26 2012

[+] Store Import add-on added.
[+] Searchanise add-on added.
[+] Shippings: Priority Mail Regional Rate shipping service added.

[*] Attribute 'rel=nofollow' added to category and product pickers in the customer area.
[*] Base skin: Close popup cross sign added to popups shown after product being added to cart.
[*] Block Manager: It is now possible to define whether a block must appear only once or not appear at all on a particular location.
[*] Cache directories reorginazed: 'DIR_CACHE' constant renamed to 'DIR_CACHE_MISC'. 'DIR_COMPILED' constant renamed to 'DIR_CACHE_TEMPLATES'.
[*] Config: 'current_host' param added.
[*] Images: The 'Alternative text' field value is added also as image title.
[*] Maxmind GeoIP database updated.
[*] Memory usage for product list display in the admin area optimized.
[*] New function to replace traling slash added.
[*] Orders: Links on not accessible products were displayed in order. Fixed: 'Is accessible' flag (defines if product is not deleted, disabled, etc.) added.
[*] Polls: Ability to show poll results to the not voted users added.
[*] Product features: Ability to save float and negative values in Number type fields added.
[*] Searchanise: Function for check filters block visibility added.
[*] Taxes: Tax priority is taken into account on shipping taxes calculating.
[*] Template editor: Possibility to disable WYSIWYG added.
[*] Ultimate Edtion: 'Profile fields' sharing added.
[*] Webmail add-on removed.

[!] 403 error was displayed after vendor updated her/his own profile. Fixed.
[!] Add-ons: Only the last language query for each table was executed during installation. Fixed.
[!] Add-ons: Product tabs could not be used with a non-default skin. Fixed.
[!] Add-ons: Settings buttons were not hidden for a single tab with the 'outside_of_form' flag. Fixed.
[!] Auth: It was impossible to log in after setting a long password. Fixed.
[!] Block Manager: Currency could not be changed in 'Products' block. Fixed.
[!] Block manager: Links in the Quick links block did not work when Dropdown-vertical or Onclick-dropdown options were selected. Fixed.
[!] Blocks: If categories were filled manually, 2nd and 3rd level categories were not displayed. Fixed.
[!] Bulk editing: Input field width did not fit to data length. Fixed.
[!] Buy together add-on: It was impossible to add to cart 2 different product combinations with the same main product. Fixed.
[!] Captcha: Expired images were not deleted by the garbage collector. Fixed.
[!] Cart: Disabled products were not removed from cart after check. Fixed.
[!] Cart: Taxes and discount link was called 'Discounts' even if product only had applied taxes. Fixed.
[!] Categories: Parent category reset to default if admin did not select a new one. Fixed
[!] Checkout: Custom profile fields were not displayed in the 'Order information' block and were ignored on comparing Billing and Shipping addresses. Fixed.
[!] Checkout: If a promotion was applied to a payment and it was selected, promotion stayed assigned on payment tabs switching. Fixed.
[!] Checkout: If mailing lists were shown on the 4th step apart from Terms and conditions, it was impossible to use IFrame payment without subscribing for news. Fixed.
[!] Checkout: Popup window with 'Undefined' title and message was displayed when changing checkout steps in Internet Explorer 8. Fixed.
[!] Clone: Cloned categories had incorrect product count value. Fixed.
[!] Data SQL: Serialized data corrected.
[!] Discussion: Vendor could not add a post in the Communication tab on order editing. Fixed.
[!] Exim: If the 'Output' option was specified as 'Server', administrator would be redirected to dashboard after export was finished. Fixed.
[!] Exim: Product features: Feature variants with values over PRODUCT_FEATURE_VARIANTS_THRESHOLD were not exported. Fixed.
[!] Fileuploader did not work in a pop-up window. Fixed.
[!] Filter by vendor did not work correctly. Fixed.
[!] Form validation: Field error message could be displayed more than once for tthe same field. Fixedthe same field. Fixed
[!] Free shipping promotion was applied on the shipping estimator, but was not displayed. Fixed.
[!] Gift certificate: Preview was opened incorrectly. Fixed.
[!] Google analytics add-on: Different account numbers could not be set for different storefronts in Ultimate. Fixed.
[!] Google sitemap add-on: PHP warning appeared during XML generation if extended features were used. Fixed.
[!] If the 'Show products from subcategories' setting was unticked, product filters worked incorrectly. Fixed.
[!] If the SEO add-on was enabled, some wrong URL addresses did not return the 'Page not found' error, but showed the home page instead. Fixed.
[!] Images sorting: JavaScript error appeared when sorting additional product images. Fixed.
[!] Installer: Disabling license agreement field.
[!] Installer: License agreement field editing disabled.
[!] Installer: Ultimate Edition: Secure store URL was set incorrectly during the installation. Fixed.
[!] Multi-Vendor Edition: DB error was displayed after adding vendor's products to an order of another vendor. Fixed.
[!] Multi-Vendor Edition: Discounts were duplicated for vendor's child orders. Fixed.
[!] Multi-Vendor Edition: Filters by Vendors and Filters by Free shipping: Buggy flag switching fixed.
[!] Multi-Vendor Edition: If vendor had a long description, 'more' link followed to 404 page on the 'companies.catalog'. Fixed.
[!] Multi-Vendor Edition: Order management: When creating a new order with products from different vendors, admin would be redirected to hidden parent order. Fixed.
[!] Multi-Vendor Edition: PHP error notice was displayed on the Payment methods page in the admin area when any payment was edited under a vendor account. Fixed.
[!] Multi-Vendor Edition: Product features were not displayed for vendors, if feature had more than 50 variants. Fixed.
[!] Multi-Vendor Edition: Products: JavaScript error appeared when admin created a product for vendor. Fixed.
[!] Multi-Vendor Edition: Recurring billing: notice about subscription events were displayed to vendor in vendor area. Fixed.
[!] Multi-Vendor Edition: SEO: Preview links for categories were displayed incorrectly in the administator area. Fixed.
[!] Multi-Vendor Edition: The default shipping method was applied when a user entered the checkout page even if the default shipping method had not been picked. Fixed
[!] News & Emails: Deprecated block type was removed.
[!] Not all product feature variants were displayed on the product multiple update page if 'items per page' variable had been changed. Fixed.
[!] Order statuses: The 'Notify' option was disabled by default. Fixed.
[!] Order statuses: The 'Notify' option was disabled for all statuses. Fixed.
[!] Payments: it was impossible to place order if the number of products was over 99. Fixed.
[!] Payments: shipping cost was calculated incorrectly in Amazon checkout if 'Suppliers' were enabled. Fixed.
[!] Price list: Fatal error appeared on XLS price list creation if support of Zip archives was not added to PHP. Fixed.
[!] Price list: PDF: If product did not have an image, image with empty src attribute was added to PDF document. Fixed.
[!] Price list: Price did not correspond to active currency format. Fixed.
[!] Privileges: Sales reports were not affected by privelegies. Fixed.
[!] Product Configurator: It was possible to put a configurable product in cart without picking a required group. Fixed.
[!] Product Configurator: Price of product being configured failed to update in IE. Fixed.
[!] Product could be created without category selected. Fixed.
[!] Product deleting: Product options and Option combinations were deleted incorrectly: images were not removed. Fixed.
[!] Product Option Combinations: Combinations were generated only for 2 options. Fixed.
[!] Product options: Hooks with the same names were used in different functions. Fixed.
[!] Product tabs: AJAX-disabled pagination worked incorrectly in popup tabs. Fixed.
[!] Product: Quick view page was available without AJAX request. Fixed.
[!] Products: Usergroups: Users were redirected to the login page if product did not have usergroups 'All' and 'Guest' assigned.
[!] Profile fields: The 'Show/Required' checkboxes availability was checked incorrectly. Fixed.
[!] Profile page: Billing address switch title was fixed.
[!] Profiles: When using the 'Act on behalf of' funcionality incorrect trial store information was displayed. Fixed.
[!] Promotions with bonus 'discount_on_categories' were applied incorrectly. Fixed.
[!] Promotions: 'in' and 'not in' conditions worked incorrectly for category promotions. Fixed.
[!] Promotions: Product features conditions: Extended variant picker was unavailable over PRODUCT_FEATURE_VARIANTS_THRESHOLD in the Product feature condition. Fixed: AJAX selector integrated.
[!] Quick view: Detailed image height was not taken into account if it had not been set in settings. Fixed.
[!] Required products: Product chains were deleted not completely. Fixed.
[!] Required products: Products 'requirement loops' caused error on adding to cart. Fixed.
[!] Required products: Required products were not chechked for further required products when added to cart. Fixed.
[!] Required profile fields were disabled on the 'Apply for a vendor account' page. Fixed.
[!] Reward points add-on: Reward points discount was ignored on tax calculating. Fixed.
[!] Reward points: Gift certificate discounts were not checked on points calculation. Fixed.
[!] SEO: 404 errors were shown on product pages if English language was disabled or hidden. Fixed.
[!] SEO: SEO names were not removed on product feature type change. Fixed.
[!] Sequential product options: If product had combinations with individual amounts, there was no ability to modify options on cart page. Fixed.
[!] Shipping names were not changed on changing cart language on the 3rd checkout step. Fixed.
[!] Shippings: UPS shipping worked incorrectly for the non US customers. Fixed.
[!] Skin selector: Skin changes failed to be applied. Fixed.
[!] SQL error was displayed when viewing category products if the 'Show out of stock products' setting was disabled. Fixed.
[!] Suppliers: Shipping freight was always applied even if shipping was free. Fixed.
[!] Suppliers: When an owner was assigned to a shipping, it would keep being selected for other companies if it had been selected for them before. Fixed.
[!] Suppliers: When applying promotion with free shipping as bonus all suppliers got all store shipping methods even if some methods were not available for some suppliers. Fixed.
[!] Taxes: Tax with zero priority always had zero value. Fixed.
[!] There was ability to apply coupon code twice: in the cart and on Google checkout. Fixed.
[!] Thumbnail sizes were calculated incorrectly. Fixed.
[!] Titles and credit cards were not shared on company cloning. Fixed.
[!] Translation mode: Flag icon was not changed after language changing in translation popup. Fixed.
[!] Translation mode: Translation mode was not initialized for pages loaded via AJAX. Fixed.
[!] Translation mode: Translation tags in JavaScript were stripped incompletely. Fixed.
[!] Ultimate Edition: An 'Access denied' warning was shown to a customer on Menu item status change. Fixed.
[!] Ultimate edition: Banners: Banners were not deleted after deleting a store. Fixed.
[!] Ultimate Edition: Clone categories: When cloning categories, some child categories could not be cloned. Fixed.
[!] Ultimate Edition: Company URLs were set incorrectly during the installation. Fixed.
[!] Ultimate Edition: Country and state fields were empty in the customer invoice, when changing order status under root account. Fixed.
[!] Ultimate Edition: Gift certificates: The link led to the main storefront. Fixed.
[!] Ultimate Edition: Google analytics: tracking_code was selected incorrectly when order status was changed by root admin. Fixed.
[!] Ultimate Edition: Order management: Editing order from the removed company led to redirect loop. Fixed.
[!] Ultimate Edition: Product owner could attach product to a company she/he did not belong to. Fixed.
[!] Ultimate Edition: Redirects between secure and non-secure (http/https) pages was incorrect if the Secure storefront URL was different from the Storefront URL. Fixed.
[!] Ultimate Edition: Required products: Product with a not shared required product from another company could not be added to cart. Fixed.
[!] Ultimate Edition: Save button was not displayed on the news editing page and on the affiliate plan adding page if the owner store was selected. Fixed.
[!] Ultimate Edition: The Update usergroups form was displayed even if admin did not have corresponding permissions. Fixed.
[!] User groups: 'Comments and reviews' and 'News & e-mails' permissions changes reversed.
[!] User groups: 'Comments and reviews' and 'News & e-mails' permissions fixed.
[!] Usergroups selection did not work with nodes cloning. Fixed.
[!] Usergroups: Breadcrumbs leading to 'Access denied' pages were displayed for restricted admins. Fixed.
[!] Users: Customer was not able to update their profile if the 'Use for Register form' option was enabled.
[!] Vendor search field did not work on the 'New payout' page. Fixed.
[!] Watermarks: Watermarked images were not removed after product deleting. Fixed.
[!] Watermarks: Watermarks were not added for product variant images. Fixed.
[!] Webmail: Cart session name was not initialized. Fixed.
[!] When a vendor account request was sent from the customer area a 'Requested account name' field was shown in the vendor account despite the 'User e-mail is used as login' option enabled. Fixed.
[!] Wrong customer information was displayed in 'My account' block. Fixed.
[!] {#3158} Spelling mistake in the 'companies:company_data' hook name fixed.
[!] {#3159} Search block at picker in IE7 displayed incorrectly. Fixed.
[!] {#3160} Checkout: Incorrect titles were displayed in the 'Order information' block. Fixed.
[!] {#3160} Orders: Title ID was displayed on the Invoice page instead of text value. Fixed.
[!] {#3161} Community Edition: Currencies: Currencies were not saved. Fixed.
[!] {#3162} {#3163} Product: Product options could not be changed. Fixed.
[!] {#3168} Incorrect tooltip for the company field was displayed on the product update page in Professional and Multi-Vendor Editions. Fixed.
[!] {#3175} Product tabs: Popup tabs were displayed inside product form. Fixed.
[!] {#3177} Popup dialog buttons were aligned incorrectly if part of the dialog overflowed window. Fixed.
[!] {#3177} Popup dialog height could be bigger than window height. Fixed.
[!] {#3185} Block manager: Existing block could not be edited after being added to grid if it already contained other blocks. Fixed.
[!] {#3189} Currencies: Selected currency symbol was displayed incorrectly in the front-end. Fixed.
[!] {#3193} Product feature layout problem fixed.
[!] {#3197} Product detail page now passes W3C validation.
[!] {#3202} Ultimate Edition: Save button was not displayed on the banner editing page if the owner store was selected. Fixed.
[!] {#3259} Ultimate Edition: Search: If any objects apart from Products (Pages, Site News, etc.) were involved in search, the search result was always empty. Fixed.
[!] {#3280} SEO: Vendor could not modify SEO name if it had been modified by admin. Fixed.
[!] {#3294} Quick view: New dialog uniqeness check was incorrect. Fixed.
[!] {#3296} Hot deals: Underlined links hover bug fixed.
[!] {#3308} Radio buttons were cut off at checkout in Safari on MacOS. Fixed.
[!] {#3331} SEO names of site news were regenerated automatically. Fixed.
[!] {#3334} Trailing spaces at the end of some language variables identifiers deleted.


Version 3.0.1, May 22 2012

[+] New customer skin added.
[+] Ability to add taxes and title for a payment method added.
[+] Ability to select language during installation process added to Community edition.
[+] Bulgarian language pack added.
[+] JQuery color picker added.
[+] News and emails: Ability to import/export subscribers added.
[+] Payment surcharge taxes calculation added.
[+] Payments: CRE Secure: support of Payleap 2.0 added.
[+] Payments: DirectOne payment method added.
[+] Payments: eMerchantPay payment method added.
[+] Payments: Firstdata connect payment method added.
[+] Payments: Paysite Cash payment method added.
[+] Payments: eWay hosted payment added.
[+] Pop-ups: Auto-sized pop-ups support added.
[+] Quantity discounts: Ability to set percentage discounts added.
[+] Quick registration functionality added.
[+] Quick view product template (product details popup) added.
[+] RSS feed add-on added.
[+] Shippings: Smart Post support added to the FedEx shipping service.
[+] The ability to display product tabs in popups added.
[+] The Cart content block added.
[+] The Show this page in a popup window option added to page settings.
[+] Translation mode was added for settings.
[+] Watermarks add-on added.

[*] Ability to enter Canada ZIP code without space was added.
[*] Addons: Queries section may contain paths to files with SQL queries.
[*] After an add-on installation the scrollbar on the add-ons list page is automatically set to show the newly installed add-on.
[*] AJAX(Javascript)-based pagination setting for admin area removed.
[*] Apply for a vendor account: The Requested account name field added to the Editing vendor page in the administrator area.
[*] Autoload classes feature added.
[*] Banners management: The carousel template added.
[*] Block manager rewritten from scratch.
[*] Cart items layout modified.
[*] Discussion: Posting comments via AJAX added.
[*] Feedback: Private information was excluded. Array settings values are serialized for the output.
[*] Function 'fn_detele_user_cart' renamed to 'fn_delete_user_cart'.
[*] Hot deals block add-on removed.
[*] Hot deals block added to the home page.
[*] It is now possible to create a function defining whether a particular tab on an add-on setting page must be shown or not.
[*] JQuery UI Slider added.
[*] Login form moved to basic pop-up.
[*] Manage Add-ons page now work via AJAX.
[*] Multi-Vendor Edition: Buy together add-on: vendors can add their own combinations now.
[*] Multi-Vendor Edition: Location and tab Companies added to the block manager.
[*] Now users' passwords use Salt for storage and generation.
[*] Order repaying form modified.
[*] Order statuses: The ability to select a status color added.
[*] Pagination: Ellipsis replaced with page ranges in customer area.
[*] Product details page modified.
[*] Product features speed improved.
[*] Product filters are disabled after disabling the corresponding product feature.
[*] Products inventory: The Inventory field is disabled if the Enable inventory tracking option is turned off.
[*] Products list: Sorting and select view blocks were modified. Items per page dropdown added.
[*] Products search: Ability to search by order id added.
[*] Products: Ability to sort additional images added.
[*] Products: The Apply values to all the selected products feature on the multiple update page refactored.
[*] Quantity discounts: The "Count product options when quantity discounts are calculated" option added.
[*] SEO: SEO names could not be defined for companies in Ultimate Edition, thus they have been removed.
[*] Settings: It is now possible to create a function defining whether a particular tab on an add-on setting page must be shown or not.
[*] Shipping estimation pop-up window modified.
[*] Shippings: Shipping cost is calculated on demand: destination and shipping method must be set manually.
[*] The "Base" skin renamed to "Basic".
[*] The '$(document).ready(handler)' and '$(window).ready(handler)' syntaxes were replaced with short form '$(handler)'.
[*] The 'jQuery' variable name replaced with the '$' alias.
[*] The 'Reset password' page texts and titles modified.
[*] The 960 Grid System CSS framework is now used in the customer area.
[*] The ability to select from available product sortings added.
[*] The basic skin default logo modified.
[*] The Calculate shipping cost block moved to a pop-up window.
[*] The fn_global_update_products function was renamed. Hooks were added.
[*] The fn_string_no_empty function was renamed to fn_string_not_empty.
[*] The old logo replaced on the gift certificate and invoice preview pages.
[*] The products_scroller2 and products_scroller3 templates removed.
[*] The Scroller products template options and layout were modified.
[*] The Updates server setting was moved to the config.php file.
[*] Translation mode toggle button moved to a separate page.
[*] Translation mode: Ability to translate printable pages added.
[*] User type of vendor's administrators was changed to V.
[*] Wishlist add-on: Product list pagination added.
[*] Wishlist: The ability of calculating the number of identical products included in a configured product added.

[!] Access denied error was displayed on the Webmail add-on page. Fixed.
[!] Act on behalf: User would not log in automatically if user's session was not already started. Fixed.
[!] Add-ons: Incompatible add-ons were disabled incorrectly. Fixed.
[!] Ajax request param names were passed encoded in IE. Fixed.
[!] AJAX-based pagination disabled: Selected tab was not saved upon page changing. Fixed.
[!] An extra "or" text was displayed on the product details page. Fixed.
[!] Block Manager: Double quotes broke title attribute in grid mode. Fixed.
[!] Buy together add-on: A discount was not applied if a discounted price was equal to zero. Fixed.
[!] Buy together add-on: error occured when option images were clicked on the 'Active promotions' page. Fixed.
[!] Buy together add-on: Taxes for product combinations were always calculated for products with the quantity equal to 1, even if several identical combinations were added to the cart. Fixed.
[!] Calendar was not working after cloning rows on the product filters editing page. Fixed.
[!] Cart content: The lower 'Recalculte' button did not work. Fixed.
[!] Checkout: Shipping hash calculation could give different results for the same data. Fixed.
[!] Checkout: When the Create Multiple Accounts feature is enabled a new profile failed to be created on the second checkout step if Multiple Page Checkout was being used. Fixed.
[!] Codes in the notification saying about cutting codes were typed in one line. Fixed.
[!] Community: Searchanise: When importing full product information, data were sent several times. Fixed.
[!] Company name was shortened incorrectly at the top of the admin area. Fixed.
[!] Customer API: Category id was not taken into an account for featured categories and products. Fixed.
[!] Data Feed: Download link did not work. Fixed.
[!] Discount for price in points was calculated incorrectly. Fixed.
[!] Downloadable product: Product would become inavailable for download after changing order status and clicking the Save button. Fixed.
[!] DPS payment: URL was changed according to new payment requirements.
[!] eNETS payment: New required field was added.
[!] Error when re-calling the function fn_get_schema. Fixed.
[!] Exim: An extra empty order would be created upon order items import. Fixed.
[!] Export of order items did not work for vendors. Fixed.
[!] Features: WYSIWYG editor did not appear a if feature have extended variants. Fixed.
[!] Feedback: Shipping statistic request fixed.
[!] File uploader: Uploading by URL did not work if path did not contain 'http(s)' prefix. Fixed.
[!] Gift certificates: Minicart was not updated after gift certificate adding/removing. Fixed.
[!] Gift registry: PHP notice was displayed on the view page event. Fixed.
[!] Gift serticate: JavaScript validator allowed to enter illegal numbers on update and creation pages. Fixed.
[!] Google checkout: A non-existing language variable was used. Fixed.
[!] Haute-Vienne was shown twice with different codes in France department list. Fixed: One instance replaced with Hautes-Alpes.
[!] Horizontal scrolling could get activated on certain Quick menu positions. Fixed.
[!] HTML symbols were not escaped in tooltips. Fixed.
[!] If product did not have main image, but had additional ones, these images were not displayed. Fixed.
[!] If the SEO add-on was enabled, some wrong URL addresses did not return the Page not found mistake, but showed the home page instead. Fixed.
[!] Images: Transparent background did not work if the Thumbnail background color option was absent. Fixed.
[!] In case the admin panel language is set to Spanish, Switzerland canton names were replaced with Spain province names. Fixed.
[!] Items per page dropdown did not work in the products picker. Fixed.
[!] Locations: New location added (Isle of Man).
[!] Logs: Assignment was used instead of comparing. Fixed.
[!] Mailing list: An incorrect name of the adding button. Fixed.
[!] Menus: Vendors could edit items from other stores. Fixed.
[!] Multi-Vendor Edition Act on behalf: Vendor would not log in automatically. Fixed.
[!] Multi-Vendor Edition: A vendor had no ability to edit global options even if an option was created by himself/herself. Fixed.
[!] Multi-Vendor Edition: Comments and Reviews add-on module: Some language variables were missing. Fixed.
[!] Multi-Vendor Edition: Owner of product options was not changed after changing the owner of product.
[!] Multi-Vendor Edition: Permission schemas for vendors were not loaded from add-ons. Fixed.
[!] Multi-Vendor Edition: Product import: Company id of product was changed after importing product with the same Product code and another company id.
[!] Multi-Vendor Edition: Products with status 'pending' and 'disapproved' were taken into account when calculating product number with product filters. Fixed.
[!] Multi-Vendor Edition: The 'Apply for a vendor account' link was not displayed on the 'Vendor details' page. Fixed.
[!] Multi-Vendor Edition: The More link led to the 404 page if company description was too long. Fixed.
[!] Name of shipping method was not changed after changing the cart language on the order details page. Fixed.
[!] Name of shipping method was not displayed in the supplier invoice. Fixed.
[!] Node cloning: Disabled nodes completely disappeared in IE9. Fixed.
[!] Only 10 variants of a product feature was displayed on the product page in the administration panel. Fixed.
[!] Order invoice: The Address type field value failed to save. Fixed.
[!] Order management: Discount value was not saved if it had been set to 0 by admin. Fixed.
[!] Order management: If a separate product code was set to a product option combination, it would not be shown in the 3rd step. Fixed.
[!] Order management: If tax value was manually set to 0 in the 3rd step, it would reset to the default value in the 4th step. Fixed.
[!] Order management: It was impossible to enter 0 as shipping cost in the 3rd step of editing, the cost would fall back to the previous value. Fixed.
[!] Order management: Manually entered shipping price was saved incorrectly on order creation if suppliers were enabled. Fixed.
[!] Orders management: If payment method was removed, errors appeared on order status changing. Fixed.
[!] Orders management: Shipping price displayed incorrectly on the third step. Fixed.
[!] Orders picker: AJAX-requests were not supported by search form. Fixed.
[!] Orders picker: Wrong extra parameters were displayed in the ordered products pop-up window. Fixed.
[!] Pages: entities were not escaped. Fixed.
[!] Payments: Orders were always placed as Processed when customer used WestPac payment. Fixed.
[!] Payments: Paysite Cash payment refactored.
[!] Payments: Servired: customer was unable to re-place order if the card number had been entered incorrectly. Fixed.
[!] PayPal Pro: Missing AVS code was added.
[!] PHP warning was displayed if incorrect settings for thumbnails were set up. Fixed.
[!] Product code and quantity data were lost upon combination rebuilding.
[!] Product code was lost upon existing combination adding.
[!] Product configurator: Notice about product groups with no assigned steps not being listed in picker added.
[!] Product configurator: Order total was calculated incorrectly in the cart. Fixed.
[!] Product configurator: Product image was displayed in the popup without resize. Fixed.
[!] Product configurator: Products from disabled categories were added to the groups in the customer area. Fixed.
[!] Product filter by amount worked incorrectly with product options. Fixed.
[!] Product images were not displayed after opening an affiliate link. Fixed.
[!] Product options: An image upload section appeared for a single variant when a checkbox type option was refreshed. It was supposed to be hidden. Fixed.
[!] Product options: If a product had sequential type options and Track with options was checked, the product code would not be selected for combination on the cart page. Fixed.
[!] Product pagination did not work with some encodings. Fixed.
[!] Product SEO name was generated as 'product-nnn' instead of product name if products were imported with empty SEO names. Fixed.
[!] Product SEO name: Several slovak characters were cut out by mistake. Fixed.
[!] Products cloning: Options combinations positions were not copied. Fixed.
[!] Products picker: Items adding did not work if the By together add-on was enabled. Fixed.
[!] Products scroller: Arrow buttons scroll direction did not correspond the buttons icons and position. Fixed.
[!] Products: There cannot be the preview link for ROOT admin.
[!] Promotions: Calendar selection button was available even if the field was disabled. Fixed.
[!] Promotions: Usergroups should not be applied to admin if they have logged in to the customer area. Fixed.
[!] Quantity discount product price for usergroup was diplayed on the global search page in the administrator area. Fixed.
[!] Quantity discounts: The ability to ignore option combinations was added.
[!] Quick view: Buttons block disappeared after AJAX reload. Fixed.
[!] Quick view: Mini thumbnails did not work with the 'Display mini thumbnail images as a gallery' option. Fixed.
[!] Recurring billing: If there were many recurring billing events, SQL queries ran very slowly. Fixed.
[!] Russian encoding symbols were shown incorrectly in the Excel price List. Fixed. The PHP Excel library was integrated. Product images support was added.
[!] Sales Reports: If all order statuses were selected, all payment modes were also selected. Fixed.
[!] Save button was not displayed on the password change page if a usergroup without 'Manage users' permission was assigned. Fixed.
[!] Search results pages with mixed objects differed from pages with products only. Fixed.
[!] Searchanise add-on: The match mode was changed for the search form in the store.
[!] Send feedback: SQL error appeared if the Affiliate add-on was not installed. Fixed. Adding add-ons info was moved to the hooks.
[!] SEO names were generated independently on object name on different object creating. Fixed.
[!] SEO: Category name was duplicated. Fixed.
[!] SEO: SEO rules were parsed incorrectly, so some pages may have been accessible by the same address. Fixed.
[!] SEO: Shared product path was shown incorrectly. Fixed.
[!] Shipments: Order creation date would be shown on the detailed shipment page instead of the shipment creation date. Fixed.
[!] Some variants of the product features were not displayed on the product details page. Fixed.
[!] Sorting did not work before AJAX load. Fixed.
[!] Statistics: Browser version field was too short. Fixed.
[!] Store Locator: Map was displayed incorrectly in the admin area. Fixed.
[!] Subtotal-based taxes: Taxes were calculated incorrectly if 'Catalog promotion' had been applied with 'Cart promotion'. Fixed.
[!] Suppliers: Shipping freight for EDP products was calculated incorrectly. Fixed.
[!] Tabs on the update profile page did not work. Fixed.
[!] Tax priorities were ignored during shipping price calculating on checkout. Fixed.
[!] Taxes: In case 2 or more taxes with different priority were applied to a product: the tax not included in price would have been calculated incorrectly if the tax included in price had been applied before. Fixed.
[!] Template editor: The delete file icon and message were non-informative. Fixed.
[!] The 'Gift registry' page styles partially refactored.
[!] The fn_sort_array_by_key function mixed the array even if values of all keys were the same.
[!] The REAL_HOST constant was defined incorrectly. Fixed.
[!] The styles were incorrect if the "join_css" setting was on. Fixed.
[!] Too long HTTP-requests were shown on the logs view page incorrectly. Fixed.
[!] Ultimate Edition: The 'Ship to a different address' link was visible but did not work after hiding profile fields. Fixed.
[!] Upgrade center: PHP warning about too much free disk space was displayed. Fixed.
[!] UPS & FedEx: If address line contained a "&" symbol, shipping price was not returned.
[!] UPS shipping: UPS negotiated rates used incorrect Postal code and Country code values. Fixed.
[!] User order statuses were intersected with cart predefined order statuses if user added more than 9 own order statuses. Fixed.
[!] Warning about changed shipping rates appeared after switching language in the checkout step. Fixed.
[!] Wishlist button displayed incorrectly when the Back in stock functionality enabled. Fixed.
[!] {#2579} Suppliers: If the suppliers functionality was enabled, Order Department and User no longer received email notifications when an order was processed immediately. Fixed.
[!] {#2779} Sorting by name did not work on the news page. Fixed.
[!] {#2784} Recurring Billing: A subscription would start even if the respective order had not been finally placed and remained Incomplete. Fixed.
[!] {#2784} Recurring Billing: Incorrect recurring price. Fixed.
[!] {#2785} Recurring Billing: Subscription status was removed from customer search form.
[!] {#2792} Order update: Save payment without process was disabled. Fixed.
[!] {#2799} Form builder: Disabled selectable elements were displayed as empty lines. Fixed.
[!] {#2802} The tracking parameter was not taked into account on product search. Fixed.
[!] {#2842} Profile fields (Fax, URL, Company) were not displayed on print invoice. Fixed.
[!] {#2843} Product options: Option values were encoded incorrectly for AJAX-request. Fixed.
[!] {#2854} Recovery password: Both form and button titles used the same language variable. Fixed.
[!] {#2866} Products details page: Product files tables were too narrow. Fixed.
[!] {#2872} If the Thumbnail format setting was not set to same as source, a preview was generated even if it already existed. Fixed.
[!] {#2875} Language variable errors fixed.
[!] {#2886} Products import: Images alternative text was cleared even if images were not imported. Fixed.
[!] {#2896} Menus: Menu could not be disabled. Fixed.
[!] {#2897} Mini thumbnails did not work with the 'Display mini thumbnail images as a gallery' option. Fixed.
[!] {#2906} Jcarousel callback caused an error on the 'beforeunload' event in IE 8. Fixed.
[!] {#2909} The 'and' conjuction term was hardcoded in the 'fn_generate_name' function. Fixed.
[!] {#2913} Menus: Current element was not active. Fixed.
[!] {#2914} Optional/mandatory field marks were displayed incorrectly. Fixed.
[!] {#2929} The name section was missing after an old scheme add-on had been installed. Fixed.
[!] {#2944} Vertical scrolling was displayed in popup window. Fixed.
[!] {#2952} Settings: State select did not work correctly. Fixed.
[!] {#2965} Newsletter: HTML body preview caused a 'Fatal error: Call to undefined function'. Fixed.
[!] {#2988} Settings: Duplicate variant and settings names collisions fixed.
[!] {#3010} The 'Add to cart' button was not displayed in the 'Grid' template. Fixed.
[!] {#3039} Store locator: Block was missing. Fixed.
[!] {#3100} Ultimate Edition: The 'Title' field values did not correspond the customer's company on the customer editing page. Fixed.


Version 2.2.4, November 15 2011

[+] Payments: PayLeap payment method was added.
[+] Searchanise addon was added to the Professional and Multi-vendor Editions.

[*] Twigmo add-on was updated to version 1.4.
[*] Canada Zip code: Ability to enter zip code without space was added.
[*] Add-ons: separate page for some add-on settings was added.
[*] Orders search: Search by payment method was added to the administrator's back-end
[*] Products: The "Sort by" field was added to the products table in the administrator's back-end
[*] Protection against Click-jacking was added.
[*] Sessions: The functionality of changing a session identifier when logging in/logging out was added.
[*] The Fileuploader URL validation script was improved. Now it is possible to input URLs without the HTTP(S) prefix.
[*] The ISO 3166-1 numeric country codes were updated.

[!] Translation Mode: popup boxes did not work. Fixed.
[!] Administrators without privilege "Manage users" were not able to preview products in the customer area. Fixed.
[!] Affiliate: Wrong dynamic links on the product groups and banners pages. Fixed.
[!] Amazon checkout and Google checkout: If a product had only one "textarea" product option and such a product was added as a free one via the cart promotion, a PHP notice was displayed when opening the cart page. Fixed.
[!] Apply for a vendor account: The email was not being checked for uniqueness among customers. Fixed.
[!] Blocks: There was no pagination upon adding the news block. Fixed.
[!] Buy together add-on: When adding new products with options to a combination, the price was displayed incorrectly if the options had a price modifier. Fixed.
[!] CKEditor: All text-edit fields were disabled if the editor was used in a modal window. Fixed.
[!] Categories: unchecked categories were added sometimes if admin use "check/uncheck all" functionality. Fixed.
[!] Checking MIME type of file did not work correctly on Windows servers. Fixed.
[!] Exim: A warning message informing about a missing function argument appeared after exporting products. Fixed.
[!] Flash animations uploaded as product images were displayed all at once, not one by one. Fixed.
[!] Floating elements were displayed incorrectly on Android. Fixed.
[!] Form builder: Extra element options were copied after node adding. Fixed.
[!] Form builder: Selectable elements list was not passed to the new form template. Fixed.
[!] Global search results were not displayed for administrator with restricted permissions if there was only one product in the search results. Fixed.
[!] If a block of the Products Scroller type was displayed on a details page of the product having additional images, the Image gallery did not work. Fixed.
[!] If a product image was uploaded through an URL and it could not be copied to the store, the PHP error occurred. Fixed.
[!] If the "Disable shipping" setting was checked, the PHP warnings were displayed on the fourth step of the Order management page. Fixed.
[!] If two "Unique HTML content"-type blocks were created in the Block manager, they both always had the same content on the detailed product page. Fixed.
[!] Import: admin was able to import data with empty required field. Fixed.
[!] In stock notifications email were being assigned without check. Fixed.
[!] Logs: Records with the same timestamp were sorted incorrectly. Fixed.
[!] Multi-Vendor Edition: "Free product" promotion did not work with products from different vendors. Fixed.
[!] Multi-Vendor Edition: During multiple page update the "company_id" parameter would be reset to "0" if company was not selected before. Fixed.
[!] Multi-Vendor Edition: Product features were not displayed for vendors, if the feature had more than 50 variants. Fixed.
[!] Multi-Vendor Edition: Subcategories without parent categories were not displayed for vendors. Fixed.
[!] Multi-Vendor Edition: Vendors had no ability to preview products that were not approved. Fixed.
[!] Mailing Lists: SQL error was shown when first mailing list was added. Fixed.
[!] News and emails add-on: After adding a block on the edit news page the "Save" and "Save and close" buttons did not work. Fixed.
[!] Node cloning: Node disabling was not visible in Opera. Fixed.
[!] Node cloning: The select box value was not being reset in IE7, IE8
[!] Node cloning: The select box value was being set incorrectly. Fixed.
[!] Order status: Long status names were being cut by the picker borders. Fixed.
[!] Orders: Date format was ignored on the order manage page. Fixed.
[!] Orders: Manage downloads controls were not shown in orders. Fixed.
[!] Orders: Order creation is written to the log when editing the order. Fixed.
[!] PHP warnings were displayed after image uploading in case "magic database" was not properly installed. Fixed.
[!] Pages: admin was redirected to the incorrect tab after deleting a page. Fixed.
[!] Payments: the "payment21" method was updated.
[!] Paypal express: user info was parsed incorrectly. Customers was unable to pay for Gift Certificates. Fixed.
[!] Paypal payment: Some orders failed because of wrong rounding of price in points. Fixed.
[!] Pdf export: Greek characters were not displayed using html2pdf lib. Fixed.
[!] Product Configurator: If a main product had sequential options, selected options were reset upon selecting a configuration. Fixed.
[!] Product Configurator: Wrong param count if the "fn_change_option" function. Fixed.
[!] Product configurator: Incorrect price calculation. Fixed.
[!] Product features values were reset after multiple product updating. Fixed.
[!] Product features: there was "memory limit" fatal error on products multiple update page if features had many options. Fixed.
[!] Product filters was sorted incorrectly. Fixed.
[!] Products scroller block: Products were always scrolled automatically either to the right or downwards with no regard to the "Scroller direction" setting in the block features. Fixed.
[!] Profile fields were not changed after switching profiles at checkout. Fixed.
[!] Promotions: Product image would not change upon changing product options for free products in cart. Fixed.
[!] RMA: Return request status was not displayed in the print slip. Fixed.
[!] Recurring billing add-on: Recurring price was calculated before applying option modifiers. Fixed.
[!] Reward points: Discount was calculated incorrectly when points were used for the order paying. Fixed.
[!] Skins: Jewelry skin central column was aligned incorrectly. Fixed.
[!] The "None" and "Enter other" product feature options were not displayed if the number of product feature options was higher than the value of the "PRODUCT_FEATURE_VARIANTS_THRESHOLD" constant. Fixed.
[!] In the customer area during product options picking the "Out of stock" message would sometimes appear when only the first of several sequential options was set.
[!] The "Price" field on the Editing order page was toggled incorrectly in IE9.
[!] The Loading box would freeze when trying to upload files using an option of the "File" type with the size bigger than the allowed limit for a POST request. Fixed.
[!] The page was blocked after opening a picker attached to another picker. Fixed.
[!] The products picker crashed after the empty search result. Fixed.
[!] Translation mode: Translation tags were not removed from the mails, prints, etc. Fixed.
[!] Uppercase titles could brake the report layout. Fixed. The length of titles was reduced.
[!] Users would keep getting a notification message about a trial license after entering the correct one in the store settings. Fixed.
[!] Virtual merchant: incorrect "ssl_cvv2cvc2_indicator" value was sent to payment. Fixed.
[!] Westpack: Payments failed because of the incorrect order status checking. Fixed.
[!] eNETS payment: new required field was added.
[!] W3C Validation: the "alt" parameter of th  image tag was missing somewhere. Fixed.
[!] {#2706} Deleted products names were not displayed in the "Latest orders" section. Fixed.
[!] {#2706} Sales reports: Empty data were displayed for deleted products in the categories statistics. Fixed. Statistics for the "Unknown" category was added.
[!] {#2714} Comments and reviews: Links in the testimonials block were not escaped. Fixed.
[!] {#2727} RSS feed block cache time was too long. Fixed. The "cache time" option was added.
[!] {#2732} Catalog Mode: If the "Allow purchasing products with empty Buy Now URL" option was enabled then some product did not have a Buy Now URL specified for it. Fixed.
[!] {#2773} Top menu links did not work on iOS. Fixed.


Version 2.2.3, September 28 2011

[+] The "Google Export" add-on was added to meet the changes made to Google Product Search feed specification and policies.
[+] The "Edit blocks" permission was added.
[+] Checking fields for empty values was added to the admin login form.
[+] Filtering by MIME type of files uploaded to the server was added.
[+] The Norwegian language pack was added.
[+] The "Sort by" field was added to the products search form in the admin panel.

[*] The "Search words" field was moved from "SEO / Meta data" to the "Extra" section on the edit product page.
[*] Multi-Vendor Edition: The "check_vendor_permissions" hook was renamed to "check_company_permissions".

[!] The links to open/close storefront were displayed for an additional administrator if his/her user group had the "Open/Close store" privilege disabled. Fixed.
[!] Security rules did not work in ".htacess" files on the Apache web server version 1.3.42 and older. Fixed.
[!] Additional product images were not always displayed in the order in which they were uploaded. Fixed.
[!] Affiliate add-on: Product banners could not be added. Fixed.
[!] Long breadcrumbs were displayed incorrectly in the admin panel. Fixed.
[!] Blocks: HTTP URLs were not changed to HTTPS ones in content of a block after switching to a secure connection. Fixed.
[!] Catalog Mode add-on: The "Quantity" field was displayed on the product details and wish list pages. Fixed.
[!] Multi-Vendor Edition: A new value of the "Vendor" field was not saved on the edit administrator profile page. Fixed.
[!] Checkout: If no shipping methods were available, the appropriate notification was displayed twice at step 3 of checkout. Fixed.
[!] Data feeds add-on: If data was exported on the "Data Feeds" page, the PHP error occurred. Fixed.
[!] FancyBox image previewer: Shadows of the browser window were not displayed in Internet Explorer 7 and 8 browsers. Fixed.
[!] If a product image could not be uploaded from the Internet, the PHP error occurred. Fixed.
[!] Format of an email entered into the "Back in stock" text input field was not checked. Fixed.
[!] If the "AJAX(Javascript)-based pagination" setting was disabled, a product picker did not work correctly. Fixed.
[!] If product subtotal was zero in the cart, taxes were not applied to product shipping cost. Fixed.
[!] If it was selected to display 100 items on the "Products" page in the admin panel, a JavaScript error was displayed in Internet Explorer 7 and 8 browsers.
[!] Multi-Vendor Edition: If the translation mode was enabled, the page layout was broken. Fixed.
[!] Multi-Vendor Edition: The translation mode was available for vendors. Fixed.
[!] Notifications: The "low in stock" notification was sent with incorrect information about product options. Fixed.
[!] Edit order: If an order had products from different suppliers and shipped by different methods, it was impossible to remove only one shipping method from the calculation at step 3. Fixed.
[!] Pages: A value of the "Page URL" field could not be saved separately for each available language. Fixed.
[!] Priority of taxes was not regarded if the "Tax calculation method based on" setting was set to "Subtotal". Fixed.
[!] Product options: When rebuilding option combinations, product codes of combinations created earlier were removed. Fixed.
[!] Products: A value of the "User Group" select box was set to "All" in the "Quantity Discounts" tab of the edit product page after the appropriate user group had been disabled. Fixed.
[!] The Quick menu could not be closed by clicking on its bar. Fixed.
[!] SEO add-on: A new extra field for a product feature was not cleared after saving. Fixed.
[!] Template editor: When trying to rename a file using a forbidden extension (php, cgi, etc...), the text of the error notification missed it. Fixed.
[!] Template editor: When restoring any file from the repository, the error notification was always displayed. Fixed.
[!] Values of text, text area and file options were not displayed in order details emails sent to the administrator. Fixed.
[!] The print card feature did not work if the gift certificate template was empty. Fixed.
[!] Top menu: A wrong color of links was used in the Aquarelle red skin. Fixed.
[!] Upgrade center: The "mysqldump" command did not work if a database password contained special characters. Fixed.
[!] A category picker was not opened on the bulk product addition page, if products were created by cloning. Fixed.
[!] {#2621} Multi-Vendor Edition: Shipping options disappeared on the edit order page after returning to the first step. Fixed.
[!] {#2646} SEO add-on: Content of the storefront home page could be duplicated in search engines if the "Show language in the URL" setting was enabled. Fixed.
[!] {#2660} If a category had a very long name, it broke the layout of the "Products" page. Fixed.
[!] {#2665} A supplier picker did not work when the Russian language was enabled in the admin panel. Fixed.
[!] {#2667} Products: A catalog discount and an option modifier were not applied to a price entered by a user. Fixed.
[!] {#2668} SQLite cache: If the "var/cache" subdirectory did not exist, the PHP error was displayed in the storefront and admin panel. Fixed.
[!] {#2680} An error message saying about invalid email addresses was displayed after updating quantity of a product with the "Back in stock" notification enabled if more than one email was set in the "Order department email" setting. Fixed.
[!] {#2682} Customer information was not displayed in an invoice. Fixed.
[!] {#2687} Invoice: Check box options were displayed incorrectly. Fixed.
[!] {#2693} A description of a product option was displayed incorrectly after receiving AJAX requests. Fixed.
[!] {#2699} Pages: In the dynamic pages tree, active and parent elements had no CSS classes defined. Fixed.


Version 2.2.2, August 17 2011

[+] CRE Secure payment module: Payleap 2.0 support was added.
[+] The ability to disable the visual HTML editor was added.

[*] The Product configurator add-on was refactored.
[*] Loading speed of the "Product Features" page was increased.
[*] Products: The "Apply values to all the selected products" function was refactored on the multiple update page.
[*] Data Feeds add-on: The progress bar was replaced with a new one.
[*] The "import_complete" hook was added to the source code.
[*] New parameters were added to the "get_products_post" hook.
[*] DPS payment module: The submit URL parameter was changed according to new service requirements.
[*] Quick search add-on: The default value of the "Match type" option was changed to "All of these words".

[!] Wish List add-on: Two identical configured products were displayed separately in the wish list if they were added to it not at once. Fixed.
[!] Amazon checkout payment module: Incorrect parameters were sent to the Amazon server if one of  ordered products was free shipping. Fixed.
[!] Back in stock notification: An empty page was displayed if the "AJAX(Javascript)-based the "Add to cart" button" setting was enabled. Fixed.
[!] Blocks: If a block with manually defined products was created, click on the link with a number of products in this block opened an empty window. Fixed.
[!] Order bulk print: The value of the payment method field was empty sometimes. Fixed.
[!] Categories: If the "Add" (new product) link was clicked on the category list page, no categories could be selected on the "New product" page. Fixed.
[!] Export data: The "Save layout as" functionality did not work. Fixed.
[!] File uploader: A file could not be uploaded from the server if HTTPS was enabled. Fixed.
[!] Google checkout payment module: An active gift certificate could not be used for order payment. Fixed.
[!] If a product with a catalog promotion applied was added to the cart and the product options that affected the product price were changed on the cart page, the product price, discounts and cart subtotal were calculated incorrectly. Fixed.
[!] Import data: If a file was uploaded via the file uploader, the file name remained displayed on the page after its reloading. Fixed.
[!] Localizations: Localizations defined for a top menu item were reset after clicking the "Save" button on the "Top menu" page. Fixed.
[!] Edit order: If order shipping rates were changed at the third step, previous values of these rates were displayed after reloading the page. Fixed.
[!] Blocks: Pagination did not work in blocks with products on the edit product page. Fixed.
[!] Price List add-on: Incorrect prices of product options were displayed if the product price was zero. Fixed.
[!] Profile fields: The value of the "State" select box was not set to its default value on the registration page. Fixed.
[!] Profile fields: The language of user defined profile fields in the invoice sent to the store administration was the one that the customer had selected while placing an order. Fixed.
[!] Redirection from HTTPS to HTTP was incorrect if the "Keep HTTPS connection" setting was disabled. Fixed.
[!] Shipping total was not recalculated by JavaScript at the third checkout step if a supplier shipping method was changed by the customer. Fixed.
[!] The "Add to wish list" button was displayed incorrectly when the back in stock functionality was enabled. Fixed.
[!] A skin could not be changed via the demo toolbar in the storefront. Fixed.
[!] Quick search add-on: Products deleted from the database remained displayed in search results. Fixed.
[!] Logs: Long URLs were displayed incorrectly. Fixed.
[!] Blocks: The "Enter e-mail address" field of the "Mailing lists" block moved to the right if the parent block direction was set to "Horizontal". Fixed.
[!] Data Feeds add-on: Product codes were written in one line in the notification saying about cutting the codes. Fixed.
[!] Import data: A main image pair was removed if the "Delete additional images" check box was selected. Fixed.
[!] Product configurator add-on: A configurable product could be added to the cart without choosing required products by pressing the Enter button in the quantity input field. Fixed.
[!] Product configurator add-on, Wish List add-on: A configurable product was added to the cart from the wish list incorrectly. Fixed.
[!] Product configurator add-on: The compatibility classes functionality worked incorrectly. Fixed.
[!] Products: The "Out-of-stock" text label was displayed twice on the product details page. Fixed.
[!] Products: Product position was set to zero after clicking the "Save" button on the edit product page. Fixed.
[!] Products: Categories could not be assigned to products on the multiple product update page. Fixed.
[!] Products: The value of the "User group" select box could not be cloned in the "Quantity Discounts" tab of the edit product page. Fixed.
[!] Sales Reports: Selection of all order statuses caused selection of all payment methods on the edit chart page. Fixed.
[!] Data Feeds add-on: The bottom "Add Data Feed" button had incorrect position on the page. Fixed.
[!] Buy together add-on: A product combination remained active if its main product or any product from this combination was removed. Fixed.
[!] The warning about missing shipping methods was displayed at all checkout steps. Fixed.
[!] Blocks: There was no ability to edit a text of an HTML block in the visual HTML editor. Fixed.
[!] Buy together add-on: If two or more identical product combinations were added to the cart, taxes for these products were always calculated for quantity equal to one. Fixed.
[!] Multi-Vendor Edition: The Comments and reviews add-on: A few language variables were missing in the database. Fixed.
[!] Edit order: A JavaScript error occurred if the check box of manual edition of taxes or shipping cost was selected at the third step. Fixed.
[!] An SQL error occurred when installing the Recurring Billing or Affiliate add-on in CS-Cart upgraded from Community to Professional or Multi-Vendor edition. Fixed.
[!] SQLite cache: A PHP error was displayed if the PDO class was installed without SQLite support. Fixed.
[!] Multi-Vendor Edition: The search form was displayed incorrectly in the select vendor drop-down menu at the top in the admin panel. Fixed.
[!] Suppliers: The shipping method selected in the shipping cost calculation section on the cart page was not saved after proceeding to checkout. Fixed.
[!] Suppliers: If the "Display shipping methods to each supplier separately" setting was disabled and one of suppliers had a free shipping method defined, the "No shipping options available for your location" message was displayed at the checkout. Fixed.
[!] Suppliers: Shipping freight of an electronically distributed product was calculated incorrectly. Fixed.
[!] The "object type is NULL or undefined" Javascript error occurred in the customer front-end in Internet Explorer 7,8. Fixed.
[!] TinyMCE editor: If a language that was not installed in the editor was selected in the admin panel, the editor was not initialized. Fixed.
[!] Upgrade center: The "New license" field was displayed incorrectly on the "Manage editions" page. Fixed.
[!] {#2589} Orders: Credit memo and invoice IDs were not displayed on the bulk order print results page. Fixed.
[!] {#2590} Multi-Vendor Edition: A vendor had no ability to edit a global option even if it was created by themselves. Fixed.
[!] {#2598} The outdated "Logo for sign in box" setting was available in the admin panel. Fixed.
[!] {#2605} Multi-Vendor Edition: An incorrect vendor logo was displayed in the invoice generated in the PDF format. Fixed.
[!] {#2614} Product image gallery: If a click was on the space between mini thumbnail images, the main product image was hidden and nothing appeared instead of it. Fixed.
[!] {#2649} The "Ship to different address" functionality worked incorrectly in the admin panel when creating a customer. Fixed.
[!] {#10486} Option variants images: When an option was selected, the appropriate image was not displayed. Fixed.


Version 2.2.1, Jule 5 2011

[+] The "Back-in-stock notifications" functionality was added.
[+] The Mini-cart was added to checkout.
[+] The Janrain add-on was added.
[+] The MerchantWarrior payment processor was added.
[+] The Rocketgate payment processor was added.
[+] The ability to set an HTML-editor was added. CKEditor, elRTE, TinyMCE are available.
[+] The ability to set an image previewer was added. FancyBox, Lightbox, prettyPhoto are available.
[+] The ability to buy CS-Cart by subscription was added.
[+] The Twigmo add-on module was added.
[+] The Searchanise add-on module was added.
[+] Some missed states of France were added.
[+] 2checkout: Support of Fraud Instant Notification service was added to the 2checkout payment processor.
[+] The ability to connect to several databases at the same time was added.
[+] The "Join css" functionality was added.
[+] Multi-Vendor Edition: The ability to premoderate changes of vendor data was added.
[+] Multi-Vendor Edition: Settings of vendor commissions were expanded.
[+] Multi-Vendor Edition: A catalog of companies was added.
[+] Multi-Vendor Edition: Rating and testimonials for vendors were added.

[*] The look-n-feel of the admin panel was redesigned completely.
[*] jQuery was updated to version 1.5.2.
[*] Amazon checkout: Identification of a shipping method type (One-Day, Two-Day, Expedited, Standard) by its name was added.
[*] Anti-fraud add-on: If an order does not pass fraud check, its status becomes "Fraud checking" and a customer can see a message saying about it.
[*] Catalog mode add-on module: A notice about "Zero price action" was added.
[*] Changes were made to the License Agreement.
[*] Exim: The ability to delete additional images before importing new ones for an updated product was added.
[*] The function that updates a certain add-on option was added.
[*] Layout changes: The "Preview" and "Preview as admin" links for products and pages were moved to the top of the page content.
[*] Multi-Vendor Edition: The "Product premoderation" add-on module was renamed to "Vendor data premoderation".
[*] Multi-Vendor Edition: If a company name is too long, it will be cut when displayed in the admin area.
[*] Moneybookers: The ability to pay for an order in iFrame was added.
[*] The "delete_product_feature" hook was added.
[*] The "get_companies_list" hook was added.
[*] Support of hooks depending on a store edition was added.
[*] Pickers: The link for adding a new element was moved from the bottom to the top.
[*] Quick search in the admin area was improved and now it allows to search by Products, Customers, Orders, Pages and News at the same time.
[*] Russian time zones were updated.
[*] Shippings: Logging of http/https requests was added when calculating real-time shipping rates using multithreading.
[*] Order statuses: An order status is created automatically now and it is impossible to set it manually.
[*] Gift Certificates: Template selection functionality was improved.
[*] The "cm-trim" microformat was added.
[*] The ability of executing custom functions when installing or uninstalling add-ons was added.
[*] The logic of generating the menu for the administrator area was improved.
[*] The permissions check mechanism was improved to reduce the number of Mysql queries when a restricted admin comes to the admin area.
[*] The "Secondary Categories" functionality was improved.
[*] The size of fields for the mysql cache engine was increased to avoid possible problems with inaccessibility of the store.
[*] The speed of generating the sitemap increased significantly.
[*] The speed of navigation through the orders list in the admin panel was increased.
[*] The style of Checkout was changed. There is a new type called "One page with cart" now besides "One page checkout" and "Multi-page checkout".
[*] The "Username" field in the customer area is now processed by the "trim" function before a customer logs in or registers.
[*] A new setting that allows to disable displaying "Quick menu" in the admin area was added.
[*] Addons management: The ability to generate a dynamic description was added via the "fn_addon_dynamic_description_ADDON" function.
[*] Addons management: The ability to install an addon automatically during the cart installation process was added.
[*] Addons management: Addon installation routines were moved to the function.
[*] Core: The database restoration routine was moved to the function, a hook  was added.
[*] Data Feed: The "Exclude disabled products" option was added.
[*] File uploader: A notification about failed file upload was added.
[*] The process of opening dialogs was optimized.
[*] Export to Google was updated.
[*] New hook added: The "pre_delete_product" hook runs before a product is deleted.
[*] The Greek language pack was updated.
[*] The Russian language pack was updated.
[*] When updating a product image to an image with the same name as was before, thumbnails of this image will be updated as well.
[*] {#2183} Displaying a code of a shipping carrier was changed to a full description.
[*] {#2495} Now, if there are any taxes in the store that are not included in a price and the system of calculating taxes is based on "Unit price", both the regular price and the price with the tax will be displayed for shipping methods.
[*] {#2495} Suppliers: Now, if there are any taxes in the store that are not included in a price and the system of calculating taxes is based on "Unit price", both the regular price and the price with the tax will be displayed for shipping methods.

[!] A URL fragment was processed incorrectly if the SEO add-on was enabled and the URL had additional parameters. Fixed.
[!] A block position was not passed to block features and some blocks were displayed incorrectly due to it. Fixed.
[!] The administrator was not able to import products with product codes only. Fixed.
[!] Affiliate: The "Add Banner" button worked only for the "Product groups" tab. Fixed.
[!] The CVV2 code could not have zero value. Fixed.
[!] The Categories picker worked incorrectly if there were more than one picker instances. Fixed.
[!] Categories: It was impossible to save 0 value in the "position" field. Fixed.
[!] Categories: The picker did not work in some add-ons. Fixed.
[!] The color of the "original phrase" style in the "Package" skin was corrected.
[!] Comments and reviews: It was possible to create a post for a non-existent thread. Fixed.
[!] Community Edition: The "Upgrade center" link was absent. Fixed.
[!] The currency name was not saved after editing the currency if the currency code was changed at the same time. Fixed.
[!] Customers could access other customers' return requests via direct links. Fixed.
[!] Customers were able to view RMA packing slips of other customers. Fixed.
[!] Dashboard: When removing the last customer's comment, the Dashboard still displayed it, although the comment was removed. Fixed.
[!] EDP: Downloadable files were available for downloading for incompleted orders. Fixed.
[!] Exim: Shipping parameters were updated for all products even if just one product was imported. Fixed.
[!] Export: The "Load layout" button did not work. Fixed.
[!] Extra pages were printed during bulk print. Fixed.
[!] Gate2shop: A customer was redirected to the checkout page after making a successful transaction. Fixed.
[!] Gift Certificates: The "Quantity" field was disabled for free products. Fixed.
[!] Gift Registry: It was impossible to add a product to the cart if it contained a required product. Fixed.
[!] Gift certificates add-on: An email notification contained blank product information after a certificate was activated. Fixed.
[!] Gift certificates: The "Display subtotal" field had an incorrect value in the cart. Fixed.
[!] Google sitemap: News settings section was removed from the Community edition.
[!] Google sitemap: Links for hidden and disabled languages were counted during sitemap generation. Fixed.
[!] HTML special chars were displayed improperly in the Hot deals block, on the cart page, and in product notifications. Fixed.
[!] HTML special chars were displayed improperly on the "Registrations of returns" page in both customer and admin areas. Fixed.
[!] When creating a new language, it was impossible to set the "Hidden" status for the language. Fixed.
[!] If 0 products were in stock, "Track with options" was selected and no combination was created, and also the "Enable inventory tracking" check box was clear, an incorrect error message was displayed on the cart page. Fixed.
[!] If PHP of version 5.1.6 was used on a server, an sql-error occurred when adding a new language. Fixed.
[!] If a position was not specified when a top menu item was created, this newly created top menu item disappeared from the Top menu sometimes. Fixed.
[!] If a shipping method was added through a promotion, this shipping method was not sorted by its position. Fixed.
[!] If all products had zero weight and a shipping method had the Max box weight setting not equal to 0, this shipping method was not displayed. Fixed.
[!] If the SEO add-on was enabled and different languages were set for localizations, SEO links were used for a wrong language in the select box of selecting a localization. Fixed.
[!] If the process of sending emails was delayed, so, when placing an order through the Google Checkout, doubled orders were created. Fixed.
[!] If the store used version 5.5 of the Mysql server, so, when installing the Data feed add-on, the mysql error occurred. Fixed.
[!] Images: If making thumbnails in the original extension was selected in image settings, these thumbnails were generated in the extension of the first image. Fixed.
[!] The Incompleted status was not displayed on the "View orders" page after selecting a corresponding view of saved search. Fixed.
[!] An incorrect notice was displayed when the translation mode was disabled. Fixed.
[!] Inner hint for text input fields was checked for a regular expression. Fixed.
[!] Inventory of all products in the store was reset during the import process if any vendor selected the "Reset inventory" check box. Fixed.
[!] Invoices: An order status, payment method, and product info were not translated. Fixed.
[!] It was impossible to export/import values for default user groups via exporting/importing of Quantity Discounts. Fixed.
[!] The link for deleting the "Root" administrator was displayed. Fixed.
[!] A list of languages was displayed in the currencies select box if currency and language codes were equal. Fixed.
[!] Multi-Vendor Edition: Required profile fields were disabled on the "Apply for a vendor account" page. Fixed.
[!] Multi-Vendor Edition: Vendors were able to delete category images, weight dependencies of shipping rates, and global options. Fixed.
[!] Multiple email addresses were not displayed properly in invoices. Fixed.
[!] News & email: The PHP warning appeared if the admin tried to save an empty subscribers list. Fixed.
[!] Newsletters: Links in the mail body were broken if they contained the "+" symbol. Fixed.
[!] Newsletters: There were js errors on the "Editing newsletter" page. Fixed.
[!] An incompletely installed upgrade was displayed on the "Installed upgrades" page. Fixed.
[!] Option exceptions: At some certain settings of sequential options with the "Allowed exceptions" type enabled, next options in the list remained disabled. Fixed.
[!] PayFlow: Some orders were marked as failed due to duplicate transactions. Fixed.
[!] PayPal: Some currencies were missed. Fixed.
[!] Product Configurator: A pop-up window with a product description was not displayed if product details page tabs were displayed vertically. Fixed.
[!] Product Configurator add-on: If the "Display In stock as a field" option was enabled, product amount displayed an incorrect value. Fixed.
[!] Product files descriptions were not translated into different languages. Fixed.
[!] Product and category pickers did not work with the SEO add-on. Fixed.
[!] Products: Shipping properties were zeroed when updating any product parameter through bulk update. Fixed.
[!] Quick search add-on: the product code was not added to the quick search catalog when updating the product in the admin area. Fixed.
[!] Quick search add-on: w3c validation was corrected.
[!] RMA addon: Anonymous customers could review return requests placed by other customers. Fixed.
[!] Reward points add-on module: A total price in points and total reward points were rounded incorrectly. Fixed.
[!] Reward points were not calculated if an on-line payment method was used. Fixed.
[!] SEO add-on: If the "When the customer clicks on any Checkout button/link in the store, redirect to the Cart content page first" option was enabled and the SEO add-on was enabled as well, it was impossible to go to checkout. Fixed.
[!] Sales reports: There was some duplicated data on the "Reports" page. Fixed.
[!] Select boxes on pages did not have default values in some cases. Fixed.
[!] Shipments: When creating a shipment, if a product is removed, the "Deleted product" message was displayed instead of its name. Fixed.
[!] Shippings: The unnecessary  "Shipping rates were changed" message was displayed when a customer went from the cart to checkout even if rates were the same as before. Fixed.
[!] Shippings: Rates were calculated incorrectly for manual shipping methods sometimes if products in the cart had free shipping. Fixed.
[!] States of Great Britain were corrected.
[!] Statistics: Graphic Pie was displayed incorrectly when a large amount of data had to be displayed. Fixed.
[!] The "smarty_function_split" function used an undefined variable. Fixed.
[!] The "Add to cart" button did not work in the products block if the "Recurring billing" add-on module was enabled. Fixed.
[!] The "Save layout" button did not work on the Export page. Fixed.
[!] The "order_management" controller was not protected by permissions. Fixed.
[!] The file uploader did not work in a pop-up window in the customer area. Fixed.
[!] Statistics by user groups was available to all admins on the dashboard regardless of their user groups. Fixed.
[!] A value of an option of the Check box type was not displayed at the last checkout step. Fixed.
[!] There was a PHP notice on the placing order page when a customer bought the last item of an admin's product. Fixed.
[!] There was no ability to reset the "Items in box" option back to zero. Fixed.
[!] A vendor was not able to import products if no categories were enabled for this vendor. Fixed.
[!] Webmail add-on module: The "Back to administration panel" link always referred to "admin.php" after logging out. Fixed.
[!] The "fn_https_request" function accepted an incorrect "$data" parameter. Fixed.
[!] It was impossible to return to results of searched pages from a details page in the admin area. Fixed.
[!] Access restrictions: The "Block IP after a number of unsuccessful attempts" option did not work. Fixed.
[!] Banner management add-on: The text banner displayed its content not in all the styles defined in the admin area. Fixed.
[!] Block manager: The "edit" link was absent if "Unique HTML block" was selected for a block. Fixed.
[!] Block manager: The "assign to .. objects" link displayed incorrect results if a number of categories was more than the value of the "CATEGORY_THRESHOLD" variable. Fixed.
[!] Buy together add-on: If the price of a main product of a combination was 0 and it was forbidden to add this product to the cart in settings of the product, wrong messages appeared when buying such a combination.
[!] Buy together add-on: If products in a combination had required option(s), an incorrect notification was displayed when submitting any other form in the tabs panel on the product details page in the customer area. Fixed.
[!] Buy together: Discounts were calculated incorrectly if the "Discounted price" value was added to the products combination. Fixed.
[!] A customer was redirected to a wrong page after logging in through a pop-up window on the "apply for a vendor account" page. Fixed.
[!] Demo categories for vendors were selected even if the Demo catalog was not installed. Fixed.
[!] Gift Registry: A main product image was displayed instead of a product option image on the event page. Fixed.
[!] Google Checkout: Discounts were not applied after a customer returned to the store. Fixed.
[!] Google analytics: Cookies information was absent sometimes. Fixed.
[!] Google sitemap add-on: If the "Show language in the URL" setting was enabled for the SEO addon so, when requesting the sitemap.xml file, a customer was redirected to the home page. Fixed.
[!] Hot Deals: Products were not displayed sometimes if the "override" hook type was used. Fixed.
[!] If a product had two categories specified for it so, when coming to its details page, its main category was always displayed even if we came to this product details page from the other category. Fixed.
[!] Installation: There were PHP notices when wrong credentials were used. Fixed.
[!] Linkpoint: Some orders were marked as failed due to duplicated transactions. Fixed.
[!] Multi-Vendor Edition: Information about a deleted category was shown in a vendor profile. Fixed.
[!] Multi-Vendor Edition: The block with banners disappeared in the storefront after a vendor edited his/her product. Fixed.
[!] Multi-Vendor Edition: The store administrator was able to add products of some other vendors to an order of a vendor. Fixed.
[!] Multi-Vendor Edition: The vendor picker worked incorrectly on text pages. Fixed.
[!] Newsletter: CKEditor worked incorrectly on the Editing newsletter page. Fixed.
[!] The size of the "Product code" field was increased to 64 characters.
[!] Product configurator add-on: Additional images of a configurable product were not displayed on the product details page. Fixed.
[!] Product configurator add-on: If some product had zero quantity, this product still could be unblocked using compability class rules. Fixed.
[!] Promotions: Product prices were calculated incorrectly on the products list page in the admin area. Fixed.
[!] The Quantity step worked incorrectly if the "Inventory" option was set to "Do not track". Fixed.
[!] Reward points add-on: Points were calculated two times for a buy together combination. Fixed.
[!] SEO add-on: If the length of a product SEO-name was 255 symbols, Apache returned 403 error when trying to open this product in the customer area. Fixed.
[!] SEO add-on: If a request URI could not be parced, the PHP error was displayed. Fixed.
[!] SMS notifications add-on module: Some HTML-entities were decoded incorrectly because of wrong characters encoding. Fixed.
[!] Testimonials: The admin was unable to create a post if demo data was not installed. Fixed.
[!] The value of the "hide_server" variable was rewritten in the file uploader. Fixed.
[!] There was incorrect 404 redirect sometimes if a current URL was different from the value of the "http_host" setting. Fixed.
[!] There was an incorrect link to the home page on the 404 page. Fixed.
[!] User groups: The admin was unable to create a new usergroup if the "Manage recurring plans" privilege was disabled. Fixed.
[!] Wishlist add-on: A notification about added products was not hidden automatically. Fixed.
[!] A warning about a very long value in the "Product code" field was added to the export/import script.
[!] Wishlist add-on: A wishlist product notification message displayed a product price for unlogged users. Fixed.
[!] Yourpay payment processor: Orders were duplicated. Fixed.
[!] {#2451} USPS shipping: If several Priority mail methods were created, but they had different Flat rate box values (Small, Medium, Large), a price for three of them was equal. Fixed.
[!] {#2462} Information about an applied gift certificate was lost after making modifications to an order. Fixed.
[!] {#2475} Tags add-on module: A tags with empty links were not removed. Fixed.
[!] {#2478} Reward points add-on module: Reward points were calculated incorrectly on the order editing page when some products had discounts. Fixed.
[!] {#2481} Amazon checkout: A notification message saying about placing an order was sent by email to a customer two times. Fixed.
[!] {#2481} Amazon checkout: The customer's "State" field was always empty in an order. Fixed.
[!] {#2482} Export: The "image_link" field had to be empty if a product did not have an image. Fixed.
[!] {#2491} The Vendor picker worked incorrectly. Fixed.
[!] {#2497} Buy together add-on: It was impossible to add a product combination to the cart if there was a product with zero amount, but with the disabled "Inventory" option in this combination. Fixed.
[!] {#2502} Checkout: If an order status became "Failed" and the "When the customer clicks on any Checkout button/link in the store, redirect to the Cart content page first" option was enabled, a customer was redirected to the cart and he/she could not see an error message. Fixed.
[!] {#2505} Some email notifications were not delivered to some mail servers because of incorrect initialization of a mailer object.
[!] {#2506} Multi-Vendor Edition: Parent orders were calculated in statistics data on some pages. Fixed.
[!] {#2526} Promotions: The "Not in" condition worked incorrectly. Fixed.
[!] {#2534} SEO names of feature variants were not deleted after deleting a feature. Fixed.


Version 2.1.4, March 2 2011

[+] The support of hidden language statuses was added.
[+] Multi-Vendor Edition: The ability to view Sales reports for vendors was added.

[*] Gift Registry add-on: The appearance of the pop-up window for adding a new custom field was reduced to the standard appearance.
[*] Users Import/Export: The User ID field was added.
[*] The logic of the saved search functionality was improved.
[*] New hooks were added to the "fn_gather_additional_products_data" function.
[*] Only CS-Cart tables are selected on the database backup page by default now.
[*] The Moneybookers payment method was divided into "Moneybookers eWallet" and "Mooneybookers Quick Checkout".
[*] SEO add-on: Field descriptions were improved on the SEO-rules page in the administration panel.

[!] Attachments add-on: There was no ability to change the attachment status on the detailed product page in the administration panel. Fixed.
[!] The Registered Post International shipping service of Australia Post did not work correctly with multi-thread requests. Fixed.
[!] Flash objects and scripts were not displayed in blocks in Safari at the CRE Secure checkout. Fixed.
[!] Images were not displayed in blocks in Safari at the CRE Secure checkout. Fixed.
[!] The calendar worked incorrectly at the checkout. Fixed.
[!] Exim: If products were imported with zero taxes, all product taxes were zeroed. Fixed.
[!] The text was cut to 255 symbols in the Form builder. Fixed.
[!] Gift Registry: It was possible not to fill in some required fields while creating a new event. Fixed.
[!] Gift Registry: PHP warnings were displayed on the page with the results of search for events if custom event fields were created. Fixed.
[!] Gift Registry: The content of the email notification that was sent after creating a new private event was incorrect. Fixed.
[!] Gift Registry: Searching by event type did not work. Customer's events became not available after the administrator had modified them. Fixed.
[!] Gift Registry: The error notification was displayed when deleting a custom field with variants. Fixed.
[!] Gift Registry: Products were removed from all events if several events had the same product. Fixed.
[!] Hot deals add-on: If a product image file contained the '&' sign and the SEO add-on was enabled, this file was uploaded by the browser two times. Fixed.
[!] If multi-threading was used for the calculation of the cost of shipping methods, the returned shipping methods were sorted not by the position specified in the administration panel. Fixed.
[!] Images and styles were not displayed at the CRE Secure checkout. Fixed.
[!] It was possible to remove a free product from the pop-up cart. Fixed.
[!] Order management: If the last product was removed while editing an order, this order was displayed as newly created. Fixed.
[!] Order management: The stored price was displayed incorrectly on the edit product page. Fixed.
[!] Paypal: If a product name had HTML tags, PayPal always declined any order with this product. Fixed.
[!] Product Feature: Brackets were missed around the question sign. Fixed.
[!] Product configurator add-on: If option combinations had their own images, the main product image was not changed after selecting these option combinations. Fixed.
[!] Product options: Option variant images were switched incorrectly in IE8 if they were cached. Fixed.
[!] Statistics add-on: An incorrect format of the IP address was passed to the GeoIP library. Fixed.
[!] Last viewed/Recently viewed menu items were always empty. Fixed.
[!] Affiliate: The process of paying out to the affiliate could result in heavy load on the server, and sometimes it led to the impossibility of creating a new payout. Fixed.
[!] The alignment of the quick search drop-down field in the "Brickwork" skin was incorrect. Fixed.
[!] Google Sitemap: The PHP notice was displayed during the initial generation of the sitemap. Fixed.
[!] Google Sitemap: When the connection with the server was broken, the sitemap was generated incorrectly on some hosting servers. Fixed.
[!] Hot deals: Flash files could not be used as product images in the Hot deals block. Fixed.
[!] If quantity discounts were not set for a product, the product was not displayed when searching by price. Fixed.
[!] If an add-on was disabled, its override templates were still displayed in the store. Fixed.
[!] Blocks with empty content were displayed. Fixed.
[!] FedEx International shipping rates were not returned if the length of a state/province code exceeded 2 symbols. Fixed.
[!] Flash files could not be used as product images. Fixed.
[!] Product thumbnails had an incorrect margin on the grid layout in the "Green web" skin. Fixed.
[!] Paypal: When the Japanese Yen currency was selected in the payment method settings, the order total value was transferred as a fractional one to the payment system and the payment was failed with the following error: "The link you have used to enter the PayPal system contains an incorrectly formatted item amount.". Fixed.
[!] The product filter by suppliers was empty on the "Manage products" page in the administration panel. Fixed.
[!] Products could be added to the cart with the quantity that was more than available in stock. Fixed.
[!] SEO add-on: If the SEO add-on was enabled, some wrong URL addresses did not return the "Page not found" error, but showed the home page instead. Fixed.
[!] Shipping rates were not calculated for supplier's products if the "Display shipping methods to each supplier separately" setting was cleared. Fixed.
[!] Shipping rates were not calculated for tiny packages. Fixed.
[!] Multi-Vendor Edition: Vendors could remove the product filters defined by the administrator. Fixed.
[!] When a promotion was set for some categories, the information about the received discount was not displayed in the results of product search by all categories. Fixed.
[!] Wrong parameters were passed to the "get_additional_product_data" hook. Fixed.
[!] A user name was not displayed after the expiry of a session. Fixed.
[!] Block manager: The "Grid2" template was not displayed in the "Appearance type" select box. Fixed.
[!] Multi-Vendor Edition: The "Design" mode was available to vendors. Fixed.
[!] HTML block cache: The block with Events was cached incorrectly. Fixed.
[!] HTML block cache: The block with Testimonials with random filling was cached incorrectly. Fixed.
[!] Links on the "View all product features" page were not SEO-friendly. Fixed.
[!] Only one coupon code was displayed on the order details page. Fixed.
[!] Order management: The product having required products could not be added to the cart. Fixed.
[!] PHP notices were displayed on the upgrade center page if the "exec" and "system" functions were disabled. Fixed.
[!] Pagination did not work correctly on some pages. Fixed.
[!] PayPoint payment methods: The CVV2 code was not passed to the payment gateway. Fixed.
[!] Product filters: When a category was disabled, the number of products in the filter was not updated. Fixed.
[!] Product images were not cloned when products were cloned. Fixed.
[!] Quick Search: Searching by product codes did not work. Fixed.
[!] User registration timestamp was not updated after the installation. Fixed.
[!] The type of CS-Cart edition was not passed to the upgrade server. Fixed.
[!] The Cancel button on the edit product page did not take to the page with the results of the latest products search. Fixed.
[!] Mailing lists were not displayed on the one-page checkout if the AJAX-redirect to the first step was performed. Fixed.
[!] The Sagepay direct payment method did not work properly. Fixed.
[!] The Fedex Ground shipping service did not work if the address type was "residential". Fixed.
[!] Upgrade center: If the CS-Cart administrator removed an upgrade package, the subsequent packages were removed automatically as well. Fixed.


Version 2.1.3, February 1 2011

[+] Ability to divide ordered products into boxes when calculating the delivery cost for real-time shipping methods was added.
[+] Amazon Checkout payment option was added.
[+] DIRECTebanking.com payment option was added.
[+] Payment21 payment option was added.
[+] Multi-thread shipping rate requesting was added.
[+] Privileges to manage vendors were added.
[+] Jewelry skin template was added.
[+] Ability to configure each shipping method separately was added.
[+] Multi-Vendor Edition: Product filter "Vendor" was added.
[+] Community edition: SEO add-on was included in the Community edition.
[+] "Food" skin template was added.
[+] PayTrace payment option was added.
[+] Upgrade center: Ability to update the software edition was added.

[*] Manual filling the block of Vendors on the customer area was added.
[*] Quick Search add-on: Ability to search for products with UTF-8 character encoding was added.
[*] Privileges to manage suppliers were restored.
[*] "Position" field was added to the inventory management page.
[*] Add-ons' configuration file can contain JS or HTML code now.
[*] Appearance of the "Previous" & "Next" links on the order details page in the admin area was modified.
[*] File copyright.txt for the Community Edition was updated.
[*] EDP delivery: Large file handling was improved.
[*] Fedex shipping method was updated to meet the latest Fedex Web Services API v9.
[*] Items in the list of global options in the Global Options > Apply to Products section of the admin are sorted by their position number.
[*] Google Sitemap add-on: Multi-lingual link generating was added.
[*] Google Sitemap add-on: Support of sitemaps with 50 000+ links was added.
[*] HTML block cache was improved.
[*] Code improvements to speed up product selection and reduce the number of database queries.
[*] Indexing by product_id field was added to product_global_option_links table to speed up data access.
[*] MVE payouts: New field "Vendor commission" was added to the vendor account balance table.
[*] Multi-Vendor Edition: Ability to edit payout comments was added.
[*] Multi-Vendor Edition: Billing and shipping info is now added to the vendor account automatically.
[*] New hook was added to the fn_get_filter_range_name function.
[*] Style of notifications was improved.
[*] PayPal Pro description was corrected.
[*] Privileges for the "Product premoderation" add-on module were moved to the file addon.xml.
[*] Product Configurator add-on: Configured items are added to the cart in the same order as they appear on the Configurator's page.
[*] Quick Search add-on: Caching the found search results was improved.
[*] Quick Search add-on: Product links from the list are now converted by the SEO add-on.
[*] SQLite cache back-end was revamped to support SQLite3 and PDO access layers.
[*] "fn_send_mail" function was updated.
[*] Gift Certificates add-on: "Delete Product" button was added to the mini cart.
[*] Email address of the order department was added to the "Reply-To" field of the suppliers' email notifications.
[*] Input fields on the checkout pages no longer blank out after the Ajax update.
[*] Notification system: Behavior of notice, warning and error messages was improved.
[*] Notification system: The message about successful changes saving was added to the main objects (products, categories, pages, etc.).
[*] Product filter "Supplier" was restored.
[*] Tool for viewing changes in files was added.
[*] UPS shipping method: Ability to calculate shipping cost based on negotiated rates was added.
[*] USPS shipping method: API was upgraded from version 3 version to version 4.
[*] Upgrade Center: Fail-safety of the upgrade processes was improved.
[*] Upgrade Center: Upgrade processes are now logged.
[*] Upgrade Center: All upgrade-related issues are reported via the standard CS-Cart notification layer.
[*] Warning message is displayed to prevent product feature variants loss.
[*] Upgrade Center: Database can be backed up using the mysqldump utility to avoid upgrade freezing.
[*] DHL shipping method: Support for multi-piece packages was added.
[*] EDP: HTTP download can be resumed if the connection was lost.
[*] AJAX Drag-n-Drop sorting by positions was added to product attachments list in the admin area.
[*] PHP and MySQL errors are not displayed when the store functions in the live mode.
[*] FedEx shipping module: Ability to define the shipping address as residential or commercial was added.
[*] Multi-Vendor Edition: Administrator receives email notifications of pending vendor accounts now.
[*] Multi-Vendor Edition: If a new vendor account is created together with a related administrator account, there is displayed a pop-up notification of the successful administrator account creation with the link to the account profile..
[*] Multi-Vendor Edition: Vendor description pages are included into the Google Sitemap now.
[*] Multi-Vendor Edition: Shoppers are prompted to remove undeliverable products from the cart at checkout now.
[*] New hook "get_orders_totals" was added.
[*] "Apply for a Vendor Account" link is not shown to authenticated vendors now.
[*] Tool for viewing changes in the database schema was added.

[!] "?:" was replaced with the table prefix while inserting a user input into a database. Fixed.
[!] "Orders/Choose Action" pop-up box was not shown to administrators with restricted privileges. Fixed.
[!] Affiliate add-on: "Life span of customer cookie" setting option worked incorrectly. Fixed.
[!] Affiliate add-on: Banner HTML code contained a relative image path. Fixed.
[!] Affiliate add-on: Text banners did not redirect visitors to the destination site. Fixed.
[!] Affiliate add-on: Wrong location of email templates. Fixed.
[!] After a skin had been switched several times through the demo skin selector panel, the URL of the page contained a recurring demo_skin parameter. Fixed.
[!] Alignment of the quantities numeral at the product notification was corrected.
[!] All files in the upgrade package had the "777" access permissions. Fixed.
[!] An incorrect link was displayed in the news block. Fixed.
[!] Any order's status could be changed to Open. Fixed.
[!] Authorize.Net: Some orders were marked as failed due to duplicate transactions. Fixed.
[!] Block manager: Blocks could not be moved outside blocks group. Fixed.
[!] Blocks: Item numbers were not displayed for the first item in the product blocks with the appearance type "Side box first item". Fixed.
[!] Blocks: Item numbers were not displayed in the product blocks with the appearance types "Small items" or "Products grid". Fixed.
[!] CRE Secure payment method: Some successful transactions were marked as failed. Fixed.
[!] Categories were not added through "Bulk category addition". Fixed.
[!] Changed categories were not included into the XML sitemap. Fixed.
[!] Customers' phone numbers from their shipping and billing phones could not be exported. Fixed.
[!] Data from the cscart_stat_search_engines table were not removed when the Remove Statistics link was clicked. Fixed.
[!] Default localization's language and currency were used in order status emails to customers with a non-default localization. Fixed.
[!] Display of the storefront in the IE6 browser was corrected.
[!] Display of buttons in the list of categories in the admin area was fixed for languages different than English.
[!] Display of the admin panel's button "Open Storefront" in ie7 was fixed.
[!] Display of the arrow button in sport skin was fixed.
[!] Display of the notifications for the IE6 browser was corrected.
[!] Display of the one page checkout with long labels was corrected.
[!] Display of product notifications was fixed.
[!] Display of the products list was corrected.
[!] Empty tabs appeared on the orders export page after trying to download an export file. Fixed.
[!] Form builder: Field values selection form was shown/hidden incorrectly, if the field type was changed while adding fields through the admin area. Fixed.
[!] HTML block cache: Blocks with categories with the filling type "Plain" were cached incorrectly. Fixed.
[!] HTML block cache: If in the block manager the filling type "Manually" was selected for a product location, and different block object were selected for different products, the content of this block was cached for the first viewed product only and did not change for other products. Fixed.
[!] CURL wrapper did not support HTTP GET requests. Fixed.
[!] If a product's main category was disabled, a PHP notice displayed on this product's details page in the customer area. Fixed.
[!] With a significant number of shipments, it took the system a lot of time to generate the list of shipments in the administration panel. Fixed.
[!] With the SEO add-on enabled, some wrong URL addresses did not return the "Page not found" mistake, but showed the home page instead. Fixed.
[!] If the current main product category was selected as a secondary product category for a product when editing the product details through the global update functionality, the main product category lost its value for this product, and it was impossible to re-assign this product category as the main product category for this product on the product details page. Fixed.
[!] If the administrator had no permissions to view orders, he could still see orders in the Latest orders section on the Dashboard in the administration area. Fixed.
[!] If the first checkout step included some mandatory fields, and the second one included none, it was possible to proceed to the third step until the mandatory fields from the first step are completed. Fixed.
[!] Information about banner localization could not be saved after editing the list of banners. Fixed.
[!] Information about the price in points was not displayed in orders that were placed through the subscription management mechanism. Fixed.
[!] Information returned by the payment server was not saved if the Save button was clicked on after the order had been edited. Fixed.
[!] JS compression: If the JS compression was enabled, tabs in the administration panel stopped working. Fixed.
[!] Languages: Russian language pack was corrected.
[!] LinkPoint Connect Payment: Information about the "Order Submission Form" on the payment configuration page in the admin panel did not change depending on the HTTPS settings and if the SEO add-on was enabled. Fixed.
[!] Email messages with user profile data did not include the list of his user groups. Fixed.
[!] Notices about file modifications were displayed in the upgrade center for the upgrades that were not installed yet. Fixed.
[!] One page checkout: Field for selecting a state at the second checkout step was reset to the default value if the customer returned from the fourth step to the second more than one time. Fixed.
[!] Option file: Image previewer did not work on the cart page in the customer area. Fixed.
[!] Order management did not work correctly if a product had zero quantity. Fixed.
[!] Order management: With the tax calculation method based on subtotal, the tax value could not be re-calculated at the third editing step. Fixed.
[!] PHP notice was displayed on the storefront's "Product banners" page if both Affiliate and Premoderation add-ons were enabled. Fixed.
[!] Product Configurator add-on: Component details page in the customer area used an incorrect "zero_price_action" setting. Fixed.
[!] Product Configurator add-on: After a new configuration was added and then edited, the product amount was reset to 1. Fixed.
[!] Product Configurator add-on: Discounted price was displayed incorrectly if the products in the configuration had a catalog discount. Fixed.
[!] Product filters: For price range product filters, the price was always shortened to an integer. Fixed.
[!] Promotion bonuses were saved incorrectly. Fixed.
[!] Promotions linked to payment methods could not update shipping methods. Fixed.
[!] Promotions with auto-generated coupons worked incorrectly. Fixed.
[!] Promotions: If a product with a certain set of product options was used as a promotion condition and the same product with any product options was specified as the bonus, it was impossible to change this product's options when the promotion applied. Fixed.
[!] Promotions: "Discount coupon" field appeared at the checkout page even if there were no coupon codes in active promotions. Fixed.
[!] Promotions: "Once per customer" condition worked incorrectly if there were two or more promotions. Fixed.
[!] ProxyPay validation: PHP warning was displayed. Fixed.
[!] Unnecessary caching the RSS Feed block. Fixed.
[!] RSS Feed block: Some RSS feeds having an incorrect format caused PHP warnings in the cart. Fixed.
[!] Recurring Billing add-on: Start price was always displayed in the subscription lists. Fixed.
[!] Recurring Billing add-on: After a new subscription was added and then edited, the product amount was reset to 1. Fixed.
[!] Registry: With the Access Restrictions add-on disabled, changes in the data could not be saved to the cache. Fixed.
[!] Regular expressions worked incorrectly on the order management page. Fixed.
[!] Reports in the Polls add-on were not paginated. Fixed.
[!] Required products: Product options could not be selected in the list of the required products on the product details page in the customer area. Fixed.
[!] Reward points were calculated incorrectly for product with option modifiers. Fixed.
[!] Reward points were calculated incorrectly when some products could not be bought for points. Fixed.
[!] Reward points: PHP notices were displayed. Fixed.
[!] SEO add-on: With the "Use single URL for all languages" setting enabled and a two-letter SEO name specified for a category, it was impossible to follow a link containing this category name in the storefront. Fixed.
[!] SEO add-on: Unnecessary PHP notice was displayed on the page for bulk category update if the SEO add-on was activated. Fixed.
[!] Search button disappeared on the product list pickers if the active administrator had no permissions to manage products. Fixed.
[!] Search engines did not index pages with extended product features. Fixed.
[!] Search engines indexed links in blocks containing product filters. Fixed.
[!] Search page results: If the search was also performed through news or pages, images of product combinations did not change even if different images were specified for a product combination. Fixed.
[!] Sequential product options: If a product was set to be tracked with options and the options type was set as "Sequential", the "Out of stock" label was displayed incorrectly until a customer selects all necessary options. Fixed.
[!] Shipments: Name of the shipping method was always displayed in the default language. Fixed.
[!] Shipping cost was displayed without decimals on the order editing page. Fixed.
[!] Some SQL files could not be imported. Fixed.
[!] Some checkbox settings did not have default value. Fixed.
[!] Some email messages were sent with an incorrect "From" field. Fixed.
[!] Sometimes discussions messages were displayed incorrectly. Fixed.
[!] Sorting worked incorrectly after clicking the "Save and close" button. Fixed.
[!] Statistics add-on: Yearlong cookies worked incorrectly. Fixed.
[!] Status selectors did not work if there was a comma in status description. Fixed.
[!] Some language variables related to store suppliers were missing from the Professional edition. Fixed.
[!] Taxes: If taxes were calculated based on the order subtotal, taxes were calculated incorrectly if the customer updated the cart and left only products with zero price there. Fixed.
[!] The "@" sign was changed to "%40" in the email links if the "WebMail" add-on was enabled. Fixed.
[!] The "USERGROUP_ALL" value was saved incorrectly. Fixed.
[!] "In Stock" label and "Add to Cart" button were not displayed if a product had a negative amount, but product inventory tracking was disabled. Fixed.
[!] Quick Search add-on: Product titles were truncated incorrectly if titles were in Russian. Fixed.
[!] The alignment of the left column at the basic skin was corrected.
[!] Data with NULL values was saved incorrectly in the database dump. Fixed.
[!] Product price displayed incorrectly in IE7. Fixed.
[!] Layout of the top menu item status selector displayed incorrectly in IE. Fixed.
[!] Path to custom product files got broken if the product was re-ordered. Fixed.
[!] Style of breadcrumb navigation in the "Default Orange" skin was corrected.
[!] Style of lists in the category description was corrected.
[!] Value of the constant "MAX_FILES_IN_DIR" was changed to 1000 after each upgrade. Fixed. The constant moved to the file "config.local.php".
[!] "htmlentities" function in the PayFlo Pro payment module was used instead of the correct function "htmlspecialchars". Fixed.
[!] Vendor description was displayed with the encoded HTML tags. Fixed.
[!] When product options were changed in the customer area, the "[Sign in to view price]" label was duplicated in Chrome and Internet Explorer. Fixed.
[!] Wishlist add-on: Product thumbnails were not displayed if the product had option combinations. Fixed.
[!] Uppercase characters in the site URL caused to generate a wrong URL of the current language. Fixed.
[!] fn_set_notifications: Backward compatibility with the previous CS-Cart versions was added.
[!] HTML block cache: Blocks with affiliate links were cached incorrectly. Fixed.
[!] IPv4 address was passed to the GeoIP library incorrectly causing incorrect country detection. Fixed.
[!] Product search by the parameter "Configurable: 'NO'" did not work in the admin area. Fixed.
[!] If the cart contained two items of the same product with different product options and the customer changed the items' options to identical values, the product quantity did not sum up after the cart had been updated. Fixed.
[!] If the store administrator viewed a disabled product in the preview mode, he got an error message when trying to change the product options. Fixed.
[!] Pages created through the form builder could display only one select box with the list of country states. Fixed.
[!] Orders were always placed with the credit card info saved in the customer profile. Fixed.
[!] Adding new languages could interfere with other tables in the store database. Fixed.
[!] Product Configurator: Main product with separate images linked to product variant lost these images after the configuration update. Fixed.
[!] RMA add-on: Did not use global pagination settings. Fixed.
[!] Recuring Billing add-on: Did not use global pagination settings. Fixed.
[!] Search engines indexed links in the My Account block. Fixed.
[!] Pop-up windows in the admin area aimed at product selection did not allow for product option selection on the second and further pages. Fixed.
[!] Vendor could not create a new shipment if the vendor has limited catalog management permissions. Fixed.
[!] The "Previous" & "Next" links produced slow SQL queries. Fixed.
[!] Download key expiration date was displayed on the order details page in the admin area even if the respective product had an unlimited download period specified. Fixed.
[!] jCarousel: Multiple issues concerning images with non-alphabetic characters in their filenames were fixed.


Version 2.1.2, November 9 2010

[+] Cache system for caching block contents in the customer area was added.
[+] The "Quick search" add-on was added.
[+] The "Catalog Mode" add-on was added.
[+] Image verification was added to the "Track my order" form.
[+] The WorldNet TPS XML payment module was added.
[+] New templates for the Product details page were added.
[+] Ability to enable "Live Mode" for the store was added. In this mode, the store produces the highest performance.
[+] The "Help us improve CS-Cart" check box was added to the installation wizard.
[+] Block with contents loaded through Ajax was added.
[+] Multi-Vendor Edition: The "Apply for a vendor" functionality was added.
[+] Multi-Vendor Edition: Ability to control vendor payouts was added.
[+] Multi-Vendor Edition: The "Merge Vendor/Supplier" feature was added.
[+] Multi-Vendor Edition: The "Product premoderation" add-on was added.

[*] The "get_product_price" hook was added.
[*] New hook was added. The "set_admin_notification" hook may be used for displaying notifications after logging in.
[*] Ability to disable a button was added to the button template.
[*] Address format was corrected.
[*] Banners: Hook in the "get_banners" function was improved.
[*] Buy together add-on: If the combination products require a certain set of options to be configured, but the customer has not specified them and tried to add the combination to cart, the warning notice will be displayed.
[*] CRE Secure: The "Connecting to CRE Secure..." message was removed from the place order page.
[*] Customer notification system was improved.
[*] If the exportable thumbnails do not exist, they are generated automatically.
[*] The displaying style of the fileuploader was corrected.
[*] If the thumbnail that is generated automatically does not have the Alt text, this text will be taken from the Alt text of the detailed image.
[*] The text of the message about the data structure of options and features was corrected on the import page.
[*] Languages: Language code for the Greek language was changed from GR to EL.
[*] Locations: Names of the Canadian states were corrected.
[*] Notification informing that the "Terms and Conditions" check box is not selected at checkout was improved.
[*] Now by default the "Remove CC info" setting is enabled for all order statuses, except the "Open" one.
[*] Promotions: Functionality of adding/deleting conditions and bonuses was improved.
[*] RMA: Notification settings for the RMA add-on were not used anywhere, they were deleted.
[*] SEO: Base href meta tag was restored.
[*] Screenshots for the basic skin were updated.
[*] The "orders:confirmation" hook was renamed "checkout:order_confirmation" and moved to the order landing page.
[*] The export/import format of the multilanguage Alt text was simplified.
[*] The "/images/banner" directory was renamed "/images/promo" in order to prevent cutting the Banner Block by Web filtering software.
[*] The exact set of settings of each add-on may vary depending on the software edition (CS-Cart Multi-Vendor, CS-Cart Professional, etc.)
[*] Catalog mode: The "Allow purchasing products with empty Buy Now URL" option was added.
[*] Notification styles were improved.
[*] The "revert" link was removed from the previously installed packages. Administrator should be able to revert the last upgrade only.
[*] The design of the "Login" and "Change password" forms was updated.
[*] The type of the "value" field in the "cscart_sales_reports_intervals" table was changed to "int(11)".
[*] Price-list add-on: Product thumbnails are generated automatically if they do not exist.
[*] List of currencies supported by WorldPay was expanded.
[*] Dutch language pack was updated.
[*] ProxyPay: ProxyPay validation algorithm was improved.
[*] Registry: Storage engine for MySQL cache was changed to MyISAM.
[*] Russian language pack was updated.
[*] Hot Deals block: the "No image" image is displayed in the block if a product does not have a thumbnail.

[!] Attachments add-on: ID of the pickers coincided with the already existing ones. Fixed.
[!] Attachments: Attachments were not cloned when cloning the product. Fixed.
[!] Attachments: Attachments were not deleted when deleting the product. Fixed.
[!] Attachments: File of the deletable attachment was not deleted if there existed another attachment with the same file name. Fixed.
[!] Attachments: Names of attachments were not multilingual. Fixed.
[!] Autocomplete library: Apache error was displayed. Link to the missing background image was removed from the CSS file.
[!] DPS PX Post: Transaction was always marked as failed. Fixed.
[!] Debugging console did not work if additional languages were installed. Fixed.
[!] Discussion: If the filling type for the categories block was selected as Rating, the categories within this block were sorted in reverse order. Fixed.
[!] Exim: Callback functions could not receive an argument with a value equal to TRUE.
[!] If any text input field was completed with data which format resembled that of a date, the system formatted such data incorrectly. Fixed.
[!] The "fn_format_price" function did not always work correctly. Fixed.
[!] Gift certificates were displayed incorrectly on the Return information page. Fixed.
[!] Gift registry add-on: The table containing all the events was displayed incorrectly. Fixed.
[!] If the Order ID field was not completed in the search form in the customer area, the zero value was displayed in this field. Fixed.
[!] If a product had a minimum quantity option specified, a customer could add this product with less quantity if the amount of this product in storage was less than the minimum quantity value. Fixed.
[!] If product options were represented as check boxes, then the product price was calculated incorrectly when calculating Ajax options on the cart page. Fixed.
[!] If both the "Disable anonymous checkout" and "Administrator must activate new user accounts" options were enabled, the unnecessary information was displayed at the first checkout step. Fixed.
[!] If the "Enable secure connection at checkout" and "When the customer clicks on any Checkout button/link in the store, redirect to the Cart content page first" options were enabled, and the payment failed on the payment page, the customer was redirected to the Cart content page, not to the Checkout one. Fixed.
[!] If the output format was specified in the thumbnail settings, the thumbnail still retained the same format as the source file. Fixed.
[!] If the "Remove CC info" setting was enabled for orders with the "Failed" status and any direct payment method was selected, the user could not make a second attempt to pay for the order if his first attempt to pay for this order using this payment method failed. Fixed.
[!] Moneybookers: The merchant received the code of the state instead of the state name. Fixed.
[!] News and emails: The number of clicks on the link contained within the letter was displayed incorrectly in the newsletter campaign statistics. Fixed.
[!] 404 Error displayed on the Statistics: Referrers page. Fixed.
[!] If "track with options" was enabled, by default the system selected the option combination that was not the first one on the list. Fixed.
[!] Order tracking: Notifications were sent in the default language, but not in the language the order was placed. Fixed.
[!] Order tracking: If an email address was typed in the request form, the notification was sent for the first order that was placed with this email address. Fixed.
[!] Pages: When editing pages, the "Available from" and "Available till" fields did not work. Fixed.
[!] PayPal Express Checkout: Shipping first name and last name which were returned by PayPal Express Checkout were not used in the shipping address section at checkout. Fixed.
[!] Paypal Express Checkout: After returning from the payment details page, the shipping state at checkout was completed incorrectly for non-American states. Fixed.
[!] Polls add-on: Image verification code was always incorrect if the poll was displayed as a central block. Fixed.
[!] Product configurator add-on: Out-of-stock products were available for selection after the page was loaded. Fixed.
[!] Product options: Sequential options did not work in the order management in the admin area. Fixed.
[!] Products creator script was improved.
[!] RMA: The "Delete this return" link on the return details page in the admin area did not contain the cm-confirm class. Fixed.
[!] RMA: Not all the data was deleted when deleting the return request. Fixed.
[!] Records in the reward points userlog were displayed incorrectly for RMA returns. Fixed.
[!] SEO links were not generated for a sitemap when a non-empty HTTPS path was used. Fixed.
[!] Sage pay form: Non-unique transaction IDs caused errors. Fixed.
[!] Search engines could index the "Add to compare list" link. Fixed.
[!] Send feedback: Upgrade center settings were removed.
[!] Sitemap add-on: Sitemap contained links to static pages that redirected to other sites. Fixed.
[!] Statistics add-on: Invalid referrer link was fixed.
[!] The "Out of stock" label was displayed on the product details page in the customer area if the product had zero inventory, but the "Allow negative amount" option was enabled. Fixed.
[!] The "Sign in as a different user" link did not always work correctly. Fixed.
[!] The "reward_points:userlog" hook was given an incorrect name in the RMA add-on module. Fixed.
[!] The "&nbsp;" character entity appeared in the select boxes of the configurable product options in the "Product Configurator" add-on. Fixed.
[!] The "&amp;" character entity was displayed in the Newsletter links table. Fixed.
[!] The email subjects that contained special characters were displayed incorrectly in the email headers. Fixed.
[!] The language selector in the admin panel stopped working if the name of the admin script began with "sl". Fixed.
[!] An out-of-stock product was not displayed in the customer area even if the inventory tracking was disabled. Fixed.
[!] The thumbnail of the product did not work as a link to the product details page in IE7. Fixed.
[!] There was no possibility to add product details page templates via the add-ons. Fixed.
[!] Thumbnail background color specified in the admin area was not considered when generating a thumbnail image. Fixed.
[!] User login was not displayed after changing the password if PCI compliance functionality was enabled. Fixed.
[!] User group requests were displayed incorrectly. If the user sent a request for two or more user groups, the administrator could not approve all the requests. Fixed.
[!] When registering at checkout, the user received information with empty fields for billing and shipping addresses. Fixed.
[!] When restoring the store from a backup, non-English language variables were displayed incorrectly, if restored through the Restore link in the Upgrade Center section of the administration area. Fixed.
[!] ePDQ: Information about "Allowed URL" on the epdq payment details page in the admin panel did not change depending on the HTTPS settings and when enabling the SEO add-on. Fixed.
[!] Gift Registry add-on: When a product was deleted from the catalog, this product could not be deleted from the event. Fixed.
[!] Exim: If the product name contained a double quotation mark ("), this mark was duplicated ("") during the export to Google Base.
[!] The fn_format_price function did not always work correctly. Fixed.
[!] Gift registry add-on: Product thumbnail was not displayed on the product details page if the product had a detailed image only. Fixed.
[!] In the "Add site map section" picker, the check for the required fields did not function. Fixed.
[!] It was impossible to specify a lot of categories for the product filters and for the product features. Fixed.
[!] The "list_without_options" language variable had a wrong value for the Russian language. Fixed.
[!] Option combination layout was broken in IE7. Fixed.
[!] Product filters: After one of the product features was selected, the search by the selected feature was performed incorrectly on the features page. Fixed.
[!] Promotion with the "Product" condition worked only if the product quantity was equal to the amount specified, and did not work if the product quantity exceeded this amount. Fixed.
[!] Sometimes successful transactions made through the ePDQ (Barclaycard) payment module were marked as failed. Fixed.
[!] Validation of the fields in the pop-up box indented for creating a file in the template editor did not work. Fixed.
[!] If the tax calculation method was based on the subtotal, the previous tax rule was not removed and was added to the new one. Fixed.
[!] Store locator add-on: Input box overlapped the label text on the add-on settings page. Fixed.
[!] It was impossible to add many recipients to a newsletter. Fixed.
[!] Price for configurable product was displayed incorrectly on the category page if its components had quantity discounts. Fixed.
[!] Product Configurator: Default product of a mandatory product group could be ordered even if was out of stock. Fixed.
[!] Promotion with the "Product Quantity" condition worked only if the ordered product quantity was equal to the specified amount, and did not work if the ordered product quantity exceeded this amount. Fixed.
[!] Statistics: If the "mbstring" PHP extension was not installed on the server, referrers' statistics was ignored by search engines. Fixed.
[!] The password recovery link always referred to the customer area. Fixed.
[!] The password recovery link for administrators always referred to the vendor area. Fixed.
[!] Field validation in the file upload pop-up box in the template editor did not work. Fixed.
[!] Virtual Merchant: Virtual Merchant payment did not sebd error messages to the cart. Fixed.
[!] When selecting options on the product details page, IE showed a Javascript alert if additional product images appeared as a scroller, and images of option combinations were uploaded. Fixed.


Version 2.1.1, September 6 2010

[+] Ajax requests are now cached when changing product options.
[+] The "Ship to different address" check box was added to the profile registration page in the customer area.
[+] New implementation of Winbank payment processor was added.

[*] The AREA prefix was added to the "dispatch", "user" and "locale_auth" cache levels to avoid intersection between the customer and admin areas.
[*] Cache subsystem was improved: It is now possible to use different types of cache storage (file, sqlite, mysql, shared memory).
[*] GeoIP database was updated.
[*] If the form has class "cm-disable-empty" or "cm-disable-empty-files", the unnecessary input fields and the empty input fields with type "file" are no longer passed to the server.
[*] Languages: The values for the "declined_products_information" and "return_products_information" language variables were corrected.
[*] The confusing description for Moneybookers was corrected.
[*] The possibility to edit properties of Central content group on the product editing page was removed.
[*] A separate script to restore the store if the upgrade fails was added.
[*] Shortcut links were updated.
[*] Text body will be sent to manually added users if HTML body is empty.
[*] The displaying of the Group block on the Block manager page was corrected.
[*] The displaying of the PDF invoice was corrected.
[*] The manage link for a block with assigned objects was changed. Now the link leads to objects with such block enabled.
[*] Vendor/Supplier name, instead of the ID number, is now included in the exported product data.
[*] New option type - "Template" - was added to add-ons.
[*] The "Notify supplier" setting was restored.
[*] Ability to change the user account language for the root admin was added.
[*] The "params" parameter has been added to the "get_shipments" hook.
[*] The Supplier field was returned to the products multiple update page.
[*] Recently viewed block contents are now sorted by the most recently viewed products.

[!] The "Clear list" button on the products comparison page led to a non-existing page. Fixed.
[!] After the search was performed on the Product search page in the Admin area, the value selected in the "Search by supplier" select box was reset. Fixed.
[!] PHP fatal error occurred in non-Apache environments. Fixed.
[!] In the admin area on the Product search page, the advanced_filter parameter appeared twice if advanced search options were used. Fixed.
[!] Automatically generated thumbnails did not display on the product feature page. Fixed.
[!] A backtick character appeared in the name of a link between the domain name and index.php. Fixed.
[!] Block manager: It was impossible to enable/disable a block for this page in the products block area if HTTPS was enabled in the admin area. Fixed.
[!] Changing block properties for a single location changed properties for all locations. Fixed.
[!] Empty feature comparison block could be displayed if the mainbox-general and mainbox-simple wrappers were used. Fixed.
[!] The Suppliers drop-down box on the Products page in the admin area was empty. Fixed.
[!] Exim scheme was processed incorrectly if the scheme contained a zero-valued parameter. Fixed.
[!] The Feature comparison block did not appear dynamically when enabled. Fixed.
[!] Files could not be sent to some servers. Fixed.
[!] "C:\fakepath\" was displayed on the file upload page when using browsers IE7, IE8 and Opera. Fixed.
[!] Hot deals add-on: Thumbnails were not generated automatically from a product detailed image. Fixed.
[!] If a product had a quantity step value, the qty select box selector showed the max available value. Fixed.
[!] If the "Display In stock as a field" option was enabled, the out-of-stock information was not displayed on the product details page in the customer area. Fixed.
[!] Notification of incorrect file upload size was displayed even if the file size fit within the limit.  Fixed.
[!] Most recently viewed products might be missing in the "Recently Viewed" block. Fixed.
[!] Old "Site layout" link was displayed. Fixed.
[!] Options with the "file" type were overridden after other product options were changed. Fixed.
[!] PHP warning was displayed when editing old orders. Fixed.
[!] Price in points was calculated incorrectly on the product details page. Fixed.
[!] Product names, product options and option modifiers were not saved in the order data for the RMA add-on module. Fixed.
[!] Product names, product options and option modifiers were not saved in the order data. Fixed.
[!] Product thumbnails were not displayed in the product block with type "Product grid" if products had a detailed image only. Fixed.
[!] The "Time-unlimited download" option could not be switched off for products. Fixed.
[!] Quick menu: The "Site layout" link in Quick menu redirected users to a non-existing page. Fixed.
[!] Recently Viewed block: Recently viewed product might not be displayed after it was viewed for the second time. Fixed.
[!] Redirection to an HTTP resource caused the cart to misbehave if HTTPS was enabled in the admin section. Fixed.
[!] The "Regenerate thumbnails" check box was displayed on the product global update page. Fixed.
[!] Reward points: Customer was not able to gain more than 8388607 reward points. Fixed.
[!] Sage pay direct: Non-unique transaction IDs caused errors. Fixed.
[!] Send feedback functionality: Wrong settings were sent. Fixed.
[!] Session cookies were not passed to the store if an IP address was used as the host name. Fixed.
[!] Statistic charts were not displayed after switching between graphic types. Fixed.
[!] Template override: Cached templates were used both for the customer and admin areas. Fixed.
[!] PHP warning was displayed on the product options editing page. Fixed.
[!] The block manager page was scrolled up to top in the Firefox browser after moving a block. Fixed.
[!] If product options did not have a price modifier, images for option variants of a product did not change the style when the options were changed. Fixed.
[!] Incorrect "Out of stock" label was displayed in the product blocks if the product tracking was specified as "Track with options". Fixed.
[!] Product thumbnail was not resized proportionally if the width and height values were specified in the admin area. Fixed.
[!] Values of the "Text" and "Textarea" product options were not displayed at the fourth checkout step. Fixed.
[!] The "Add to cart" button did not work in the "Without images" product block. Fixed.
[!] Automatically generated thumbnails did not display in the product picker in the customer area. Fixed.
[!] Empty feature comparison block could be displayed after the comparison list had been cleared and the visitor had navigated to another page or refreshed the current one and if the mainbox-general & mainbox-simple wrappers had been used for the block. Fixed.
[!] Old title was displayed in the categories block with the mainbox wrapper. Fixed.
[!] International filenames of the files that were uploaded from the server's file system were chunked (aaa_bbb_ccc.zip => _bbb_ccc.zip). Fixed.
[!] New user could not be added if the country field was disabled. Fixed.
[!] Pages tree was not displayed after clicking the "Save and close" button on the "Editing page" page. Fixed.
[!] Price list add-on: If the inventory option value is equal to "Track with options", the product amount was displayed incorrectly in the price list. Fixed.
[!] Wishlist add-on: The Gift certificates free product options were displayed incorrectly on the wishlist cart page. Fixed.
[!] Wrong link in the Activate profile mail was corrected.
[!] Wrong link in the manufacturer list was corrected.
[!] Wrong message was displayed after attempting to add an existing language code. Fixed.
[!] Admin/Export data/Products: PHP notices were displayed while exporting Image URL. Fixed.
[!] URLs of automatically generated thumbnails were not included in the Google Base export feed. Fixed.
[!] Google images did not index images in the store. Fixed.
[!] Pages tree was not displayed after clicking the "Create and close" button on the "New page" page. Fixed
[!] When removing an object from the cscart_block_links table, the information related to this object was not removed. Fixed.


Version 2.1.0, August 9 2010

[+] Block manager: the "order landing page" location was added.
[+] Block manager: it is now possible to define a block's width.
[+] The ability to create invoices and credit memos was added.
[+] Abandoned/live carts functionality was improved.
[+] Image thumbnails settings were improved: the ability to define thumbnail sizes for different pages (category, products list, product details page) was added.
[+] The product options functionality was improved: the ability to select exceptions type (allowed/forbidden) and the order in which to select options (consequential/simultaneous) was added.
[+] The new option that provides the possibility to stay on the secure connection after the first visit to a secure page was added.
[+] It is now possible to define the minimum order amount by products subtotal or subtotal + shipping.
[+] It is now possible to hide/display the top pagination.
[+] The ability to define payment instructions that will be displayed on the order landing page was added to the payment methods.
[+] The ability to define "Alt" texts was added to the logo images.
[+] The ability to sort data in the tables using the "drag and drop" feature was added to the admin panel.
[+] The "Alt" text for images is now multilingual.
[+] Australia post: the ability to set delivery confirmation was added.
[+] CRE Secure hosted payment acceptance service was added.
[+] Caching mechanism: the ability to cache data for a certain period was added.
[+] It is now possible to create a new account from the order landing page.
[+] Comments and Reviews add-on: links to posts on the testimonials page were added to the testimonials block.
[+] Error handling of AJAX requests was added.
[+] Exim: the ability to export/import products combinations was added.
[+] The "Help us improve CS-Cart" functionality was added.
[+] Gift registry add-on: a pagination was added to the list of event products.
[+] Incomplete orders are not displayed in the common list now.
[+] Meta descriptions and meta keywords can now be defined for all locations in the block manager.
[+] The navigation between the objects was improved: the ability to go to the next/previous product/order/user/etc from the object editing page was added.
[+] Image previewer: additional navigation elements were added.
[+] The ability to create a block with contents of external RSS feed was added.
[+] Recurring billing add-on: the ability to change a subscription plan for products was added to the cart and checkout pages.
[+] Images are now distributed among subdirectories in order to remove the restriction on the number of files in one directory.
[+] Reward points: the setting to recalculate reward points and price in points if an order discount is used was added.
[+] The method of calculating taxes based on the order subtotal was added.
[+] The "ct" parameter was added to clear the thumbnails cache.
[+] The ability to export orders and customers to the MYOB accounting system was added.
[+] The ability to set different templates for a product details page was added.
[+] The setting to disable checking for the upgrades availability was added.
[+] The setting to open "quick menu" in the admin panel when "quick menu" is pointed to with the mouse was added.
[+] The checkout process was improved.
[+] The ability to override base templates by add-ons was added.
[+] The ability to define block groups was added to block manager. All blocks are now stored in the database, the directory "blocks/locations" was removed.
[+] Core: all links are now processed via the fn_url function.
[+] Pagination for newsletters was added.
[+] Product configuration add-on: the ability to define the image width for a configuration group was added.
[+] The ability to edit positions in the Top menu section of the admin panel was added.

[*] "Completed" and "Canceled" order statuses were renamed.
[*] Affiliate add-on: the "Show orders" setting was removed from affiliate plans.
[*] Copyright text was updated.
[*] Core: the logic of checking controllers' names and object IDs was corrected.
[*] Customization mode: Now the help tags are shown only to the administrator.
[*] Comments and Reviews add-on: a hook was added to the fn_get_discussion function.
[*] Exim: export/import schemas were brought to standard ones (params without #).
[*] Form builder add-on: 2 new fields were added - referer and IP address.
[*] The French language pack was updated.
[*] Hook products:product_block in one_product.tpl was renamed into products:one_product.
[*] The logic of the "track my order" functionality was improved.
[*] Now products with zero prices (that were not allowed to be added to the cart) can be added to the cart if the products have modifiers that make the price non-zero.
[*] Now if the shipment functionality is enabled, the old functionality responsible for adding the tracking number and selecting carriers is not available.
[*] Ogone Direct: the payment was updated to work with the new SHA signature policy.
[*] Ogone Web: the payment was updated to work with the new SHA signature policy.
[*] PayPal Express Checkout: the ability to select whether to validate the customer address or not was added.
[*] The priority of the my_changes add-on was set to the maximum value in order to activate this add-on at the end.
[*] Profiles info template: extra data were moved to appropriate templates.
[*] Returned order total checkup was corrected for the DBS Post, Thiepay, SP Plus payments.
[*] The Romanian language pack was updated.
[*] The Site layout page was removed.
[*] Suppliers functionality was moved to the cart core.
[*] Templater was simplified.
[*] The MySQLi database driver is now selected by default during the cart installation.
[*] The appearance of the "We suggest" block was changed to Grid list.
[*] The displaying of the Advanced search page was corrected for IE browsers.
[*] The displaying of the Configurable product options was corrected.
[*] The displaying of the List product was corrected.
[*] The displaying of the blocks in the "Bottom" group was corrected.
[*] The displaying of the blocks in the "Top" and "Bottom" groups was corrected.
[*] The displaying of the invoice page was corrected for different mail clients.
[*] The styles for disabled input fields were added.
[*] Tinymce editor was updated to the latest version.
[*] The unnecessary code was removed from the categories layouts templates.
[*] "Welcome text" was moved from the home page to the block.
[*] Core: fn_get_dir_contents function: the ability to retrieve files from subdirectories recursively was added.
[*] Constant TABLE_PREFIX moved to config.local.php.
[*] Constants DEFAULT_FILE_PERMISSIONS and DEFAULT_DIR_PERMISSIONS moved to config.local.php.
[*] The English language pack was updated.
[*] The obsolete option "news per page" was removed.
[*] Checkout: a pop-up box with information about CVV code was added.
[*] The E-mail validating function was improved.
[*] Checkout: the address format was changed.
[*] The displaying of the "Cart items" section on the Cart page was corrected.
[*] The displaying of the "Review and place order" step on the Classic checkout page was corrected.
[*] USPS: The names of the countries were updated according to the latest USPS update.

[!]  Reward points add-on module: Price in points was calculated incorrectly for products with overridden PER and multiple items. Fixed.
[!] The "State/province" input field was not displayed in users picker in Firefox. Fixed.
[!] Affiliate add-on: the URL banners had incorrect redirection. Fixed.
[!] Age verification add-on: unavailable product was not hidden if the compact list template was selected for the products list layout. Fixed.
[!] Customization mode: image previewer worked incorrectly. Fixed.
[!] Customization mode: the top menu worked incorrectly. Fixed.
[!] Dibs: incorrect field values were passed to the payment server. Fixed.
[!] With the activation mode set to "Immediately", emails with download links for EDP's files were sent after the order status was changed to "Complete". Fixed.
[!] Duplicate IDs were displayed on the page if blocks with the same content were defined for the page. Fixed.
[!] Duplicate e-mails with download links were sent if the customer notification was enabled. Fixed.
[!] When downloading a file, non-ASCII filenames were sent to browsers incorrectly. Fixed.
[!] After the time limit expired, EDP was not marked as expired on the customer's download page. Fixed.
[!] An error occurred after downloading large files. Fixed.
[!] Exim: the name of the exported file was not escaped in the links on the export data page. Fixed.
[!] File uploader: there was no ability to use an FTP address as an image source. Fixed.
[!] Filenames of electronically delivered products could not be sent to Internet Explorer if there was any type of traffic compression enabled on the server side. Fixed.
[!] Gift certificates add-on: the "deprecated" error notification appeared on the certificate preview page. Fixed.
[!] Google analytics add-on: the information about categories was not passed in e-commerce transactions. Fixed.
[!] Incorrect ampersand encoding in outgoing e-mails was fixed.
[!] Invalid language variable for License Agreement was used on the EDP's details page. Fixed.
[!] The admin pagination used the "customer elements per page" setting. Fixed.
[!] Multiple emails with the same download links were sent to an order containing several EDPs. Fixed.
[!] News and emails add-on: a message informing about successful test mail sending was always displayed. Fixed.
[!] News and emails add-on: News list had no pagination. Fixed.
[!] Non-ASCII filenames containing spaces and underscore characters were sent to browsers incorrectly. Fixed.
[!] Notifications: If the store administrator selected to send emails for orders with statuses Open and Processed (Orders->Order statuses tab), repeated payment emails were sent only for orders with the status Open. Fixed.
[!] Ogone Direct: the orders were not processed if the customer address was too long. Fixed.
[!] Ogone Web: If the customer clicked on "Cancel" in the Ogone payment form, the notification informing about a successful order placement was displayed. Fixed.
[!] Ogone Web: the orders were not processed if the customer address was too long. Fixed.
[!] The order total in the "Last viewed items" pop-up window was calculated incorrectly. Fixed.
[!] PHP Notice: The undefined index HTTP_ACCEPT_LANGUAGE appeared in the log file after the site had been crawled by a search-engine robot.
[!] PHP notice was displayed within certain Web server configurations. Fixed.
[!] Pages picker: after the pages list was updated by AJAX, the check box was given the wrong name. Fixed.
[!] Pages: wrong links were displayed in the breadcrumbs for the pages with the "link" type. Fixed.
[!] Price list add-on: If the URL contained the "cc" parameter when the price list was being generated, there was an unlimited number of redirections. Fixed.
[!] Product filters: the variants of the "Free shipping" filter were displayed incorrectly. Fixed.
[!] Promotions: the "Once per customer" condition was corrected.
[!] The "Quantity" select box on the "View cart" page was displayed incorrectly for products with options if "Inventory tracking" was enabled.
[!] RMA add-on: the order total was calculated incorrectly after a product with a discount was refunded. Fixed.
[!] RMA add-on: the promotion discount was calculated twice when registering the return. Fixed.
[!] Ranges of the product filters were stored incorrectly. Fixed.
[!] Reward points add-on module: reward points and price in points were calculated incorrectly for products with multiple items in the cart and with overridden "PER". Fixed.
[!] The Russian language pack was corrected.
[!] SEO add-on: If the cart was installed in the root domain and the SEO addon was enabled with Show language in the URL option activated, customers authorization worked incorrectly. Fixed.
[!] SEO add-on: The catalog and site map pages had noindex meta tag. Fixed.
[!] SEO add-on: If the add-on was enabled, the "Loading" box was not hidden if a user downloaded a file. Fixed.
[!] SQL errors were displayed after disabling the "Bestsellers" add-on if the "Bestselling" option   was selected for "Product list default sorting". Fixed.
[!] Search forms were sensitive to extra spaces in the search string. Fixed.
[!] Shipping methods were displayed incorrectly on the customer order details page. Fixed.
[!] Statistics: certain plug-ins prevent from detecting IE version correctly. Fixed.
[!] Statistics: the layout in the admin panel is broken if the referrer name is too long.
[!] Tags add-on: it was impossible to remove the tag from the object if the tag was set by another user. Fixed.
[!] The PHP Warning was displayed if the payment name was incorrect. Fixed.
[!] The SQL error was displayed when adding a new mailing list to the cart in Romanian or Russian. Fixed.
[!] The content of the product feature picker was scrolled up when extra parameters were opened for the feature variants. Fixed.
[!] The duplicate user profiles were created if customers modified their profiles at regular checkout. Fixed.
[!] The price with non-standard decimals separator was saved incorrectly. Fixed.
[!] After reordering, the "Quantity" select box was displayed incorrectly on the "View cart" page. Fixed.
[!] The unnecessary DB queries were submitted during the thumbnail generation. Fixed.
[!] The wrong user name was sent in a letter containing the user group information if the "User e-mail is used as login" setting was enabled. Fixed.
[!] It was possible to change the status for the root administrator. Fixed.
[!] Pages and categories were sorted incorrectly. Fixed.
[!] The administrators, customers and affiliates pages had incorrect titles. Fixed.
[!] There was no ability to import order items. Fixed.
[!] There was no ability to unsubscribe from all mailing lists on the profiles and customer info pages. Fixed.
[!] When the "track with options" and "min order quantity" settings were enabled, the product with options was added to cart incorrectly. Fixed.
[!] Where EDP had the activation mode set to "Immediately", an email with the download link was not sent to the customer. Fixed.
[!] The wrong link was displayed on the search result page for the page with the "link" type. Fixed.
[!] The fn_get_product_features function was called with the wrong parameter for the update mode in the admin area. Fixed.
[!] After the customer registered at checkout, placed an order and clicked on the "Logout" link, the cart products appeared in the cart again. Fixed.
[!] The customer could join a disabled user group by using a promotion. Fixed.
[!] Duplicate e-mails were sent to the customer after he joined a disabled user group by using a promotion. Fixed.
[!] HTML entities escaping was not applied to all php output elements. Fixed.
[!] IDEAL Basic: notification of canceled transaction was corrected.
[!] Import: if an imported product had an empty image path record, the record was replaced by the previously imported product image path. Fixed.
[!] Logs: Content field in https request logs could contain incorrect information. Fixed.
[!] Pay&Read: If a shipping cost for an order did not include taxes, the order total was calculated incorrectly. Fixed.
